var ComboMealsDao=
    {
        /**
         *增加
         */
        add : function(sqlData, callBack) {
            insert("comboMeals", sqlData, callBack);
        },

        /**
         *删除
         */
        delete : function(id, callBack) {
            del("comboMeals", id, callBack);
        },
        /**
         * 更新
         * @param {Object} callback(success,err)
         */
        update : function(sqlData,id, callback) {
            update('comboMeals',sqlData,id,callback)
        },

        /**
         * 查询数据
         * @param {Object} callback(success,err)
         */
        getByComboId : function(id, callback) {
            var sql = "SELECT * FROM comboMeals where comboId=? and sellerId=? and ifnull(status,'0')<>'9' ";
            //console.log(id);
            loadBySqlParam(sql,[id,loginInfo.storeId],callback);
        },

        /**
         * 删除数据
         * @param {Object} callback(success,err)
         */
        DeleteByComboId : function(id, callback) {
            delByWhere('comboMeals','comboId=? and sellerId=? ',[id,loginInfo.storeId],callback);
        },
        /**
         * 查询所有套餐
         * @param {Object} callBack(success,res|err)
         */
        loadAllComboMeals: function (callback) {
            var sql = "SELECT * FROM combomeals where sellerId=?";
            loadBySqlParam(sql,[loginInfo.storeId],callback);
        },
    }
