
var PayTypeDao= {

    /**
     *增加支付方式
     */
    addPayType : function(sqlData, callBack) {
        insert("sellerpaytypes", sqlData, callBack);
    },


    /**
     * 查询所有支付方式
     * @param callBack(success,res|err)
     */
    loadAllData : function(callBack) {
        var sql = "SELECT * FROM sellerpaytypes ";
        loadBySql(sql, callBack);
    },

    /**
     * 根据id查询支付方式
     * @param {Object} callBack(success,res|err)
     */
    loadSearchPayType : function(id,callBack) {
        var sql = "SELECT * FROM sellerpaytypes where id = ?";
        getBySql(sql,[id], callBack);
    },


    /**
     * 根据名称查询支付方式
     * @param {Object} callBack(success,res|err)
     */
    loadSearchPayTypeName : function(payTypeName,callBack) {
        if (!payTypeName){
            PayTypeDao.loadAllData(callBack);
        }else {
            var sql = "SELECT * FROM sellerpaytypes where payTypeName = ?";
            getBySql(sql,[payTypeName], callBack);
        }
    },




    delete:function (id,callBack) {
        del('sellerpaytypes',id,callBack)
    }
}
