Ext.define('Seller.view.place.AddPlaceTypeSub', {
	extend : 'Seller.view.place.PlaceType',
	alias : 'widget.addplacetypesub',
	initialize : function(panel, eOpts) {
		Ext.getCmp('placetype-toolbar').setTitle('添加桌号区域');
		ServicePlaceDao.getMaxSequence(function(success, res) {
			if (success) {
				var placeTypeForm = Ext.getCmp('placeTypeForm');
				placeTypeForm.getFields("sequence").setValue(parseInt(res) ? parseInt(res) + 1 : 0);
			}
		});
	},
	/* 修改权限 */
	checkModifyPermission : function() {
		/**
		 * 1. 手动打开钱箱
		 * 2. 退货
		 * 3. 反结账
		 * 4. 打折
		 * 5. 删除
		 * 6. 撤销订单
		 * 7. 修改
		 * 8. 自定义抹零
		 */
		return new Promise(function(resolve, reject) {
			checkPermissions("16", true)
			.then(function() {resolve();})
			.catch(function() {reject();});
		});
		/*if (!checkPermissions("7", true)) {
			return false;
		}
		return true;*/
	},
	saveViewData : function(viewData) {
		var me = this;
		ServicePlaceDao.getServicePlaceTypeByName(viewData.typeName, function(success, items) {
			if(success && items.length > 0) {
				showAlert('提示', '桌台类型已存在');
				return;
			} else {							
				viewData.sellerId = seller.id;
				viewData.id = createSysId();
				viewData.syned = "0";
				var parent=Ext.getCmp(Ext.getCmp('placeType-view').parentId);
				viewData.lastUpdateTime=createDateStr();
				viewData.isDelete = '0';
				viewData.syned = "0";
				viewData.status = "1";
				viewData.createId=shouYinEmployee.workId;
				viewData.createTime= createDateStr();
				viewData.lastUpdateId=shouYinEmployee.workId;
				ServicePlaceDao.addPlaceType(viewData, function(success) {
					if (success) {
						me.afterViewData(viewData);
					} else {
						showAlert('提示','保存出错！');
					}
				});
			}
		});
	},
	afterViewData : function(viewData) {
		this.callParent(arguments);
	}
});
