/**
 *@Project: 餐桌
 *@Author: lijy
 *@Date: 2015-03-01
 */
Ext.define('Seller.view.place.PlaceView', {
	extend : 'Ext.Container',
	alias : 'widget.placeview',
	requires : ['Seller.view.place.AddPlace', 'Seller.view.place.EditPlace','Seller.view.place.PlaceSub', 'Seller.view.place.AddPlaceSub', 'Seller.view.place.EditPlaceSub', 'Seller.view.place.PlaceTypeSub', 'Seller.view.place.AddPlaceType', 'Seller.view.place.EditPlaceType', 'Seller.view.place.AddPlaceTypeSub', 'Seller.view.place.EditPlaceTypeSub', 'Seller.view.place.SelectPlaceView', 'Seller.view.place.SelectRemovePlaceView', 'Seller.view.place.SelectMergePlaceView'],
	longTimeClickTimeout : null,
	isLongTimeClick : false,
	currPlaceTypeId : null,
	//分页工具
	placeTypePage : new $.PageUtil({
		limitCount : bdySetting.ptLines === 2 ? 16 : 8
	}),
	placeViewPage : new $.PageUtil({
		limitCount : 20
	}),
	config : {
		layout : 'vbox',
		id: 'placeView-view',
		cls: 'type-view',
		height:'100%',
		items : [{
			xtype : 'container',
			layout : 'hbox',
			flex : 1,
			items : [{
				flex : 1,
				layout : 'vbox',
				items : [{
					id : 'placeTypeView-list-panel',
					xtype : 'container',
					layout : 'hbox',
					// height : bdySetting.ptLines===2?100:50,
					items : [{
						xtype : 'container',
						defaults : {
							// width : 60,
							xtype : 'container',
						},
						layout : 'vbox',
						items : [{
							//cls :'order-margin',
							//上一页
							xtype : 'button',
							// hidden : bdySetting.ptLines===2?true:false,
                            icon: 'resources/icon/public/left.png',
                            // width : 60,
                            // height : 40,
                            id : 'downPlaceS-View',
                            style :'padding:0;',
                            cls :'order-margin sy-tm-button jz-center fy-button',
                            handler : function () {
                                //Ext.getCmp('placeView-view').downPlaceType();
                            },
						}]
					}, //Ext.create('Ext.DataView', {
					{
						xtype : "dataview",
						id : 'placeTypeView-list',
						cls : 'placetype-dataview',
						scrollable : false,
						flex : 1,
						store : Ext.create('Ext.data.Store', {
							id : 'placetypeview-store',
							model : 'Seller.model.ServicePlaceType',
							data : []
						}),
						listeners : {

						},
						/*itemTpl: new Ext.XTemplate('<tpl if="id == 0"><div class="commodityType"><div class="commoditytype-button sy-tm-button jz-center" onclick="Ext.getCmp(\'placeView-view\').addServicePlaceType(this,\'placeView-view\')"><img class="jz-center" src="resources/icon/public/tianjia.png"></img></div></div><tpl else><div class="commodityType"><div class="commoditytype-button sy-tm-button jz-center" id="placeview-type-button-{id}" onclick="Ext.getCmp(\'placeView-view\').servicePlaceTypeClick(this,\'{id}\',\'{typeName}\')"><tpl if="typeName.length&gt;6">{[ this.limitName(values.typeName) ]}<tpl else>{typeName}</tpl></div></tpl>', {
							limitName: function(name) {
								// 占两个字符的(如汉字)限制六个长度
								if (name.length > 6) {
									return name.substring(0, 6) + '...';
								} else {
									return name;
								}
							}
						})*/
						itemTpl: new Ext.XTemplate('<tpl if="id == 0">' +
							'<div class="commodityType">' +
							'<div class="commoditytype-button sy-tm-button jz-center" onclick="Ext.getCmp(\'placeView-view\').addServicePlaceType(this,\'placeView-view\')">' +
							'<img class="jz-center" src="resources/icon/public/tianjia.png"></img>' +
							'</div>' +
							'</div>' +
							'<tpl else>' +
							'<div class="commodityType">' +
							'<div class="commoditytype-button sy-tm-button jz-center" id="placeview-type-button-{id}" onclick="Ext.getCmp(\'placeView-view\').servicePlaceTypeClick(this,\'{id}\',\'{typeName}\')">' +
							'<tpl if="typeName.length&gt;6">{[ this.limitName(values.typeName) ]}' +
							'<tpl else>{typeName}</tpl>' +
							'</div>' +
							'</tpl>', {
								limitName: function(name) {
									// 占两个字符的(如汉字)限制六个长度
									if (name.length > 6) {
										return name.substring(0, 6) + '...';
									} else {
										return name;
									}
								}
							})
					//}), {
                    }, {
						xtype : 'container',
						layout : 'vbox',
						items : [{
							//cls :'order-margin',
							//上一页
							xtype : 'button',
							// hidden : bdySetting.ptLines===2?false : true,
                            icon: 'resources/icon/public/left.png',
                            // width : 60,
                            // height : 40,
                            id : 'downPlaceS-View2',
                            style :'padding:0;',
                            cls :'order-margin sy-tm-button jz-center fy-button',
                            handler : function () {
                                //Ext.getCmp('placeView-view').downPlaceType();
                            },
						}, {
                            //下一页
                            xtype : 'button',
                            icon: 'resources/icon/public/right.png',
                            // width : 60,
                            // height : 40,
                            id : 'downPlaceX-View',
                            style :'padding:0;',
                            cls :'order-margin sy-tm-button jz-center fy-button',
                            handler : function () {
                            	// Ext.getCmp('placeView-view').upPlaceType();
                            },
                        }]
					}],
                    /*listeners : {
                        painted : function() {
                            var x1, x2, y1, y2, x, y;
                            $('#placeTypeView-list-panel').mousedown(function () {
                                x1 = window.event.clientX;
                                y1 = window.event.clientY;
                            });
                            $('#placeTypeView-list-panel').mouseup(function () {
                                x2 = window.event.clientX;
                                y2 = window.event.clientY;
                                x = x2 - x1;
                                y = y2 - y1;
                                if (Math.abs(x) > 1.414 * Math.abs(y) && Math.abs(x) > 150) {
                                    if (x < 0) {
                                        Ext.getCmp('placeView-view').upPlaceType();
                                        return;
                                    } else if (x > 0) {
                                        Ext.getCmp('placeView-view').downPlaceType();
                                        return;
                                    }
                                    return;
                                }
                            });
                        }
                    }*/
				}, //Ext.create('Ext.DataView', {
				{
					xtype : "dataview",
					id : 'placeView-list',
					scrollable : false,
					flex : 1,
					//cls : 'greybg',
					store : Ext.create('Ext.data.Store', {
						id : 'placeview-store',
						//model : 'Seller.model.ServicePlace',
						fields : ['id', 'placeName', 'sequence', 'remark', 'typeId', 'typeName', 'personNum', 'sellerId', 'parentSellerId', 'status', 'syned', 'isDelete', 'sellAmount', 'sellTime', 'sellAmountText', 'isPinPlace', 'sellTimeTxt', 'placePersonNum','teaPrice'],
						data : []
					}),
                    /*listeners : {
                        painted : function() {
                            var x1, x2, y1, y2, x, y;
                            $('#placeView-list').mousedown(function () {
                                x1 = window.event.clientX;
                                y1 = window.event.clientY;
                            });
                            $('#placeView-list').mouseup(function () {
                                x2 = window.event.clientX;
                                y2 = window.event.clientY;
                                x = x2 - x1;
                                y = y2 - y1;
                                if (Math.abs(x) > 1.414 * Math.abs(y) && Math.abs(x) > 150) {
                                    if (x < 0) {
                                        Ext.getCmp('placeView-view').upPlaceView();
                                        return;
                                    } else if (x > 0) {
                                        Ext.getCmp('placeView-view').downPlaceView();
                                        return;
                                    }
                                    return;
                                }
                            });
                        }
                    },*/
					// itemTpl : ['<tpl if="id == 0"><div class="place-dataview"><div class="addimg jz-center"><img src="resources/icon/public/add.png"/></div></div><tpl else> <div class="place-dataview"><div class="cent place-status{status}" id="placeview{id}"><div style="width:100%;height:55px;" class="jz-center"><p style="word-break:break-word;">{placeName}</p><tpl if="isPinPlace==\'1\'"><div class="commoditynamepin"></div><tpl else><div class="commodityname{status}"></div></tpl></div><span id="placeSpan{id}" class="">人数:{placePersonNum}</span><span class="">{sellAmountText}</span><span>{sellTimeTxt}</span></div></tpl>'].join('')
					// 餐桌列表
					itemTpl: ['<tpl if="id == 0">' +
						'<div class="place-dataview">' +
						'<div class="addimg jz-center"><img src="resources/icon/public/add.png"/></div>' +
						'</div>' +
						'<tpl else>' +
						'<div class="place-dataview">' +
						'<div class="cent views place-status{status}" id="placeview{id}">' +
						'<div class="jz-center place-name">' +
						'<p style="word-break:break-word;">{placeName}</p>' +
						'<tpl if="isPinPlace==\'1\'">' +
						'<div class="commoditynamepin"></div>' +
						'<tpl else>' +
						'<div class="commodityname{status}"></div>' +
						'</tpl>' +
						'</div>' +
						'<span id="placeSpan{id}" class="">人数:{placePersonNum}</span>' +
						'<span class="">{sellAmountText}</span>' +
						'<span>{sellTimeTxt}</span>' +
						'</div></tpl>'
					].join('')
				//}), {
                }, {
                    xtype : 'container',
                    width : '100%',
                    style : 'background:transparent;box-shadow:none;',
                    centered : true,
                    id : 'no-place-label',
                    hidden : true,
                    html : '<center><font style="opacity: 0.3; line-height:240px ;font-size: 50px;font-weight: 400;color: #000;">该餐桌分类下无餐桌！</font></center>'
                }, {
					xtype : 'container',
					layout : 'hbox',
					height : 45,
					hidden : false,
					id : 'placeview-bar',
					defaults : {
						height : 40
					},
					items : [{
						xtype : 'container',
						layout : 'hbox',
						margin : '0 0 0 10',
						width : 200,
						defaults : {
							margin : '0 10 0 0'
						},
						items : [{
							xtype : 'button',
							cls : 'sy-tm-button place-opt-button',
							iconMask : true,
							id : 'placeview-clear',
							hidden : true,
							text : '清台',
							handler : function() {
                                //ClearTheTable();
							}
						}, {
							xtype : 'button',
							cls : 'sy-tm-button place-opt-button',
							iconMask : true,
							hidden : true,
							id : 'placeview-fetch',
							text : '取单',
							handler : function() {
                                //TakeASingle();
							}
						}, {
							xtype : 'button',
							cls : 'sy-tm-button place-opt-button',
							iconMask : true,
							hidden : true,
							id : 'placeview-common',
							text : '搭台',
							handler : function() {
                                //CommTable();
							}
						}, {
							xtype : 'button',
							cls : 'sy-tm-button place-opt-button',
							iconMask : true,
							hidden : true,
							id : 'placeview-change',
							text : '转台',
							handler : function() {
                                /*CommZhuanTaiTable();*/

							}
						}, {
                            xtype : 'button',
                            cls : 'sy-tm-button place-opt-button',
                            iconMask : true,
                            hidden : true,
                            id : 'placeview-merge',
                            text : '并台',
                            handler : function() {
                                /*mergePlaceComm();*/
                            }
                        }, {
							xtype : 'button',
							cls : 'sy-tm-button place-opt-button',
							iconMask : true,
							hidden : true,
							id : 'placeview-order',
							text : '开台',
							handler : function() {
                                // OriginalComm();
							}
						}, {
							xtype : 'button',
							cls : 'sy-tm-button place-opt-button',
							iconMask : true,
							hidden : true,
							id : 'placeview-update',
							text : '修改',
							handler : function() {
                                //KaitaiUpdate();
							}
						}, {
							xtype : 'button',
							cls : 'sy-tm-button place-opt-button',
							iconMask : true,
							hidden : true,
							id : 'placeview-delete',
							text : '删除',
							handler : function() {
                                // DeletePlace();
							}
						}, {
							xtype : 'button',
							cls : 'sy-tm-button place-opt-button',
							iconMask : true,
							hidden : true,
							id : 'placeview-book',
							text : '留位',
							handler : function() {
                                //LiuWeiPlace();
							}
						},{
							xtype: 'ebutton',
							cls: 'sy-tm-button place-opt-button',
							iconMask: true,
							hidden: true,
							id : 'placeview-remove',
							text: '移菜',
							handler: function(){
								//removePlaceComm();
							}
						},{
							xtype: 'ebutton',
							cls: 'sy-tm-button place-opt-button',
							iconMask: true,
							hidden: true,
							id: 'placeview-revoke',
							text: '撤单',
							handler: function() {
								//revokeSingle();
							}
						}]
					}, {
						xtype : 'spacer',
					}, {
						//上一页
						xtype : 'button',
                        icon: 'resources/icon/public/left.png',
                        width : 55,
						height : 20,
						id : 'downPlace-View',
						margin : '5 0',
                        style :'border-radius:12px;padding:0;',
						cls :'sy-tm-button jz-center btn-place',
						handler : function () {
                            // Ext.getCmp('placeView-view').downPlaceView();
                        },
					}, {
						cls : 'jz-center',
						margin : '0 15px',
						xtype : 'label',
						id : 'placeview-total-label',
						html : '1/1'
					}, {
						//下一页
                        xtype : 'button',
                        icon: 'resources/icon/public/right.png',
						width : 55,
						height : 20,//20
						margin : '5 0',
						id : 'upPalce-View',
                        style :'border-radius:12px;padding:0;',
                        cls :'sy-tm-button jz-center',
						handler : function () {
                            // Ext.getCmp('placeView-view').upPlaceView();
                        }
					}]
				}]
			}]
		}]
	},
	initialize : function(panel, eOpts) {

	},
	loadCommodityInfos : function(commodityIds, callback) {
		CommodityDao.loadUseCommodityInfoByIds(commodityIds, function(success, commodityInfos) {
			if(success) {
				callback && callback(commodityInfos);
			}
		});
	},
	normsCommodity : function(commodityInfo) {
		// 规格商品组合
		if(commodityInfo.isSupportNorms == '1') {
			var isSpecialNormsPrice = '0';
			var specialNormsPrice = 0;
			var mainSpecialPrice = commodityInfo.isSpecialPrice;
			var specialNorms = commodityInfo.specialNorms ? Ext.JSON.decode(commodityInfo.specialNorms) : {};
			specialNorms = specialNorms ? specialNorms : {};
			for(var nit=1;nit<9;nit++) {
				if(commodityInfo['normsName' + nit] == commodityInfo.normsName) {
					if(commodityInfo['normsName' + nit] in specialNorms) isSpecialNormsPrice = '1';
					specialNormsPrice = specialNorms[commodityInfo['normsName'+nit]];
					commodityInfo.normsPrice = commodityInfo.price;
				}
			}
			if(mainSpecialPrice != '1') isSpecialNormsPrice = '0';
			commodityInfo.isSpecialPrice = isSpecialNormsPrice;
			if(isSpecialNormsPrice == '1') normsPrice = specialNormsPrice ? specialNormsPrice : 0;
			commodityInfo.specialPrice = specialNormsPrice ? specialNormsPrice : 0;
		}
	},
	//addCommoditys : function(openPlaceInfo) {
	addCommodityForOpenPlace : function(openPlaceInfo, selectRecord, callback) {
		var mainView = Ext.getCmp('shouyinMainView');
		if(!mainView) return;
		var mainPageStore = getPageStore();
		var details = [];
		var commodityIds = [];
		for(var ci=0,clen=openPlaceInfo.length;ci<clen;ci++) {
			//var genDetails = mainView.getCartDataByCommodity(commoditys[ci]);
			commodityIds.push("'" + openPlaceInfo[ci].commodityId + "'");
		}
		var me = this;
		this.loadCommodityInfos(commodityIds, function(commodityInfos) {
			var openPlaceInfo2 = [];
			for(var tci=0,tclen=openPlaceInfo.length;tci<tclen;tci++) {
				openPlaceInfo[tci].iskitchenprint = false;
				openPlaceInfo[tci].kitchenPrintJson = Ext.JSON.encode({});
				for(var cmi=0,cmlen=commodityInfos.length;cmi<cmlen;cmi++) {
					var commodityInfo = Ext.clone(commodityInfos[cmi]);
					if(openPlaceInfo[tci].commodityId == commodityInfo.id) {
						var normsPrice = 0;
						if(isAndroidSqliteNull(openPlaceInfo[tci].normName)) commodityInfo.normsName="";
						else
							commodityInfo.normsName = openPlaceInfo[tci].normName;
                        commodityInfo.price = openPlaceInfo[tci].commodityPrice;
						me.normsCommodity(commodityInfo);
						commodityInfo.sellNum = openPlaceInfo[tci].commodityNum;
						commodityInfo.sellCommNum = openPlaceInfo[tci].commodityNum;
						if(commodityInfos[cmi].soldoutStatus == '1') {
							if(parseFloat(commodityInfo.sellCommNum) - parseFloat(commodityInfo.soldoutNum) > 0) { // 商品剩余数量不足
								showAlert('提示', '<span style="color:red;">' + commodityInfo.name + '商品不足</span>');
								return;
							}
							commodityInfos[cmi].soldoutNum = parseFloat(commodityInfos[cmi].soldoutNum - commodityInfo.sellCommNum);
						}
						openPlaceInfo2.push(commodityInfo);
					}
				}
			}

			Ext.getCmp('shouyinMainView').selectPlace = selectRecord;
			syLeftButtonClick($("#syLeftButton_sy")[0], 0);
			//callback && callback();
			setTimeout(function() {
				var commodityMainStore = Ext.getCmp('showyin-commodity-list').getStore();
				for(var cmi=0,cmlen=openPlaceInfo2.length;cmi<cmlen;cmi++) {
					var commodityInfo = openPlaceInfo2[cmi];
					var resultRecord = mainView.addCommodityInterceptor(commodityInfo, commodityInfo.normsName, commodityInfo.normsPrice, true);
					var commodityRecord = commodityMainStore.findRecord('id', commodityInfo.id);
					if(commodityRecord && commodityRecord.get('soldoutStatus') == '1') {
						var remainNum = commodityRecord.get('remainNum');
						var soldoutNum = commodityRecord.get('soldoutNum');
						if(remainNum >= commodityInfo.sellCommNum) {
							commodityRecord.set('remainNum', parseFloat(remainNum - commodityInfo.sellCommNum).toFixed(2));
						} else {
							showAlert('提示', '<span style="color:red;">' + commodityInfo.name + '商品不足</span>');
							return;
						}
					}
					if (resultRecord) {
						// resultRecord.set("sellNum", commodityNum);
						//resultRecord.set('sellCommNum', commodityNum);
						countDetail(resultRecord);
						mainView.countStore();
					}
				}
			}, 150);
		});
	},
	addCommodity : function(commodityId, commodityNum, normsName, callback) {
		var parentContainer = Ext.getCmp('shouyinMainView');
		var resultRecord = null;
		CommodityDao.getCommodityById(commodityId, function(success, commodityInfo) {
			if (success && commodityInfo) {
				if (isKtTransToCommodityType) {
					commodityInfo.iskitchenprint = false;
					//commodityInfo.kitchenPrintJson = Ext.JSON.encode([0, 0, 0, 0, 0, 0]);
					commodityInfo.kitchenPrintJson = Ext.JSON.encode({});
					if (commodityInfo.typeId) {
						CommodityDao.getCommodityTypeById(commodityInfo.typeId, function(success, items) {
							if (success && items) {
								commodityInfo.kitchenPrint = items.iskitchenprint;
								commodityInfo.iskitchenprint = items.iskitchenprint;
								commodityInfo.kitchenPrintJson = items.kitchenPrintJson;
							}

							var normsPrice = 0;
							if(commodityInfo.isSupportNorms == '1') {
								var isSpecialNormsPrice = '0';
								var specialNormsPrice = 0;
								var mainSpecialPrice = commodityInfo.isSpecialPrice;
								var specialNorms = commodityInfo.specialNorms ? Ext.JSON.decode(commodityInfo.specialNorms) : {};
								specialNorms = specialNorms ? specialNorms : {};
								for(var nit=1;nit<9;nit++) {
									if(commodityInfo['normsName' + nit] == normsName) {
										if(commodityInfo['normsName' + nit] in specialNorms) isSpecialNormsPrice = '1';
										specialNormsPrice = specialNorms[commodityInfo['normsName'+nit]];
										normsPrice = commodityInfo['normsPrice' + nit];
									}
								}
								if(mainSpecialPrice != '1') isSpecialNormsPrice = '0';
								commodityInfo.isSpecialPrice = isSpecialNormsPrice;
								if(isSpecialNormsPrice == '1') normsPrice = specialNormsPrice ? specialNormsPrice : 0;
								commodityInfo.specialPrice = specialNormsPrice ? specialNormsPrice : 0;
							}
							commodityInfo.sellNum = commodityNum;
							commodityInfo.sellCommNum = commodityNum;
							//resultRecord = parentContainer.addCommodityByData(commodityInfo, normsName, normsPrice, true);
							resultRecord = parentContainer.addCommodityInterceptor(commodityInfo, normsName, normsPrice, true);
							/*if(parentContainer.addCommodityNum && commodityNum > 1) {
								for(var tNum=0; tNum < commodityNum-1; tNum++) {
									parentContainer.addCommodityNum(commodityId, commodityInfo.typeId, 1);
								}
							}*/
							if (resultRecord) {
								resultRecord.set("sellNum", commodityNum);
								//resultRecord.set('sellCommNum', commodityNum);
								countDetail(resultRecord);
								parentContainer.countStore();
							}
							var commodityMainStore = Ext.getCmp('showyin-commodity-list').getStore();
							var commodityRecord = commodityMainStore.findRecord('id', commodityInfo.id);
							if(commodityRecord && commodityRecord.get('soldoutStatus') == '1') {
								var remainNum = commodityRecord.get('remainNum');
								var soldoutNum = commodityRecord.get('soldoutNum');
								if(remainNum >= commodityInfo.sellCommNum) {
									commodityRecord.set('remainNum', parseFloat(remainNum - commodityInfo.sellCommNum).toFixed(2));
								}
							}
						});
					}
				} else {
					var normsPrice = 0;
					for(var ni=1; ni<9; ni++) {
						if(commodityInfo["normsName" + ni] == normsName) {
							normsPrice = commodityInfo["normsPrice"+ni];
							break;
						}
					}
					//resultRecord = parentContainer.addCommodityByData(commodityInfo, normsName, normsPrice, true);
					resultRecord = parentContainer.addCommodityInterceptor(commodityInfo, normsName, normsPrice, true);
					if (resultRecord) {
						resultRecord.set("sellNum", commodityNum);
						//resultRecord.set("sellCommNum", commodityNum);
						countDetail(resultRecord);
						parentContainer.countStore();
					}
				}
				//var resultRecord = parentContainer.addCommodityByData(commodityInfo);
				/*if (resultRecord) {
					resultRecord.set("sellNum", commodityNum);
					countDetail(resultRecord);
					parentContainer.countStore();
				}*/
			}
		});
	},
	resetData : function() {
		var store = Ext.getStore('placetypeview-store');
		store.removeAll();
		this.clearplace();
		this.resetButton();
		this.setPlaceViewPageSize();
	},
	setPlaceViewPageSize : function() {
		var me = this;
		/*var lines = 3;
		var cols = 5; // default
		var eleListHeight = getHtmlElementHeight("#placeView-list");
		if(eleListHeight) {
			var eleItemHeight = isAndroid() ? 124 : 138;//getHtmlElementHeight("#placeView-list .place-dataview");
			if(eleItemHeight) {
				lines = calcListMaxContainNum(eleListHeight, eleItemHeight);
			}
		} else {console.log(eleListHeight, "值不正确(PlaceView-1034)!");}
		me.placeViewPage = new $.PageUtil({limitCount : lines*cols});*/

		var lines = bdySetting.placeLines; // 行数
		var cols = bdySetting.placeColumns; // 列数
		me.placeViewPage = new $.PageUtil({
			limitCount: lines * cols
		});
	},
	resetCmpData : function() {
		var me = this;
		me.longTimeClickTimeout = null;
		me.isLongTimeClick = false;
		me.currPlaceTypeId = null;
		//分页工具
		if(me.placeTypePage)
			me.placeTypePage.reset();
		if(me.placeViewPage)
			me.placeViewPage.reset();
		me.setPlaceViewPageSize();
	},
	resetButton : function() {
		Ext.getCmp('placeview-update').hide();
		Ext.getCmp('placeview-delete').hide();
		Ext.getCmp('placeview-book').hide();
		Ext.getCmp('placeview-order').hide();
		Ext.getCmp('placeview-fetch').hide();
		Ext.getCmp('placeview-change').hide();
		Ext.getCmp('placeview-clear').hide();
		Ext.getCmp('placeview-common').hide();
		Ext.getCmp('placeview-remove').hide();
		Ext.getCmp('placeview-merge').hide();
		Ext.getCmp('placeview-revoke').hide();
	},
	loadData : function() {
		var me = this;
		this.resetData();
		this.clearPlaceType();
		updatePlaceBdySetting();// 更新餐桌界面设置
		this.setItemTpl();
		this.getPlaceTypeTotalPage(function(success, message) {
			if (success) {
				ServicePlaceDao.loadPlaceTypePage(me.placeTypePage.getLimitCount(), me.placeTypePage.getOffset(), function(success, res) {
					if (success) {
                        me.loadServicePlaceType(res);
						/*Ext.query('.commoditytype-button') .forEach(function(element, index, array) {
							var _id = element.id.split('-')[3];
							if (_id == me.currPlaceTypeId) {
								// $('#placeview-type-button-' + _id).addClass('commoditytype-button-select')
								// setTimeout(function() {
								// 	$('#placeview-type-button-' + _id).addClass('commoditytype-button-select');
								// }, 150)
								$('#placeview-type-button-' + _id).addClass('type-button-selected');
							}
						})*/
                    }
				});
			} else {
				showAlert("提示", message ? message : "查询失败!");
			}
		});
	},
	setItemTpl: function() {
		var placeItemTpl = '<tpl if="id == 0">' +
			'<div class="place-dataview" style="width:' + placeColumnsWidth + ';height:' + placeLineHeight + 'px;">' +
			'<div class="addimg jz-center"><img src="resources/icon/public/add.png"/></div>' +
			'</div>' +
			'<tpl else>' +
			'<div class="place-dataview" style="width:' + placeColumnsWidth + ';height:' + placeLineHeight + 'px;">' +
			'<div class="cent views place-status{status}" id="placeview{id}">' +
			'<div class="jz-center place-name" style="font-size:' + bdySetting.placeFontSize + 'px;">' +
			'<p style="word-break:break-word;">{placeName}</p>' +
			'<tpl if="isPinPlace==\'1\'">' +
			'<div class="commoditynamepin"></div>' +
			'<tpl else>' +
			'<div class="commodityname{status}"></div>' +
			'</tpl>' +
			'</div>' +
			'<span id="placeSpan{id}">人数:{placePersonNum}</span>' +
			'<span >{sellAmountText}</span>' +
			'<span >{sellTimeTxt}</span>' +
			'</div></tpl>';
		Ext.getCmp('placeView-list').setItemTpl([placeItemTpl]);
	},
	/**
	 * 点击增加餐桌
	 */
	addPlace2 : function(typeId, parentId) {
		var addPlaceView = Ext.Viewport.add({
			xtype : 'panel',
			id : 'addPlaceView',
			modal : true,
			hideOnMaskTap : false,
			centered : true,
			width : 550,
			height : 275,
			scrollable : false,
			items : [{
				typeId : typeId,
				parentId : parentId,
				xtype : 'addplace'
			}]
		});
		addPlaceView.show();
		Ext.getCmp('place-add-view').setParentContainer(addPlaceView);
		Ext.getCmp('place-add-view').setFromContainer(Ext.getCmp('placeView-view'));
		Ext.getCmp('place-add-view').typeId = typeId;
		Ext.getCmp('place-add-view').parentId = parentId;
	},
	/**
	 * 点击增加餐桌
	 */
	addPlace : function(typeId, parentId) {
        /*var placeViewConfig = {
            xtype : 'panel',
            id : 'addPlaceView',
            modal : true,
            hideOnMaskTap : false,
            centered : true,
            width : 550,
            height : 315,
            scrollable : false,
            items : [{
                typeId : typeId,
                parentId : parentId,
                xtype : 'addplacesub'
            }]
        };
        if(isAndroidSys()) {
            placeViewConfig.top = 30;
            placeViewConfig.left = (clientWidth-placeViewConfig.width)/2;
        }
		var addPlaceView = Ext.Viewport.add(placeViewConfig);
		addPlaceView.show();
		Ext.getCmp('place-view').setParentContainer(addPlaceView);*/
		var oprServicePlaceView = Ext.getCmp('oprServicePlaceView');
		if (!oprServicePlaceView) {
			oprServicePlaceView = addViewportCenter('oprServicePlaceView', 'placesub', 550, 315, true);
		} else {
			oprServicePlaceView.setHeight(315);
			Ext.getCmp('placeForm').reset();
		}
		oprServicePlaceView.show();
		Ext.getCmp('place-view').setParentContainer(oprServicePlaceView);
		Ext.getCmp('place-view').setFromContainer(Ext.getCmp('placeView-view'));
		Ext.getCmp('place-view').typeId = typeId;
		Ext.getCmp('place-view').setAddData();
	},
	upPlaceType : function() {
		var me = this;
		Ext.getCmp('placeView-view').clearPlaceType();
		me.placeTypePage.up();
		ServicePlaceDao.loadPlaceTypePage(me.placeTypePage.getLimitCount(), me.placeTypePage.getOffset(), function(success, res) {
			if (success) {
				me.loadServicePlaceType(res);
			} else showAlert("提示", res ? res : "查询失败!");
		});
	},
	downPlaceType : function() {
		var me = this;
		Ext.getCmp('placeView-view').clearPlaceType();
		me.placeTypePage.down();
		ServicePlaceDao.loadPlaceTypePage(me.placeTypePage.getLimitCount(), me.placeTypePage.getOffset(), function(success, res) {
			if (success) {
				me.loadServicePlaceType(res);
			} else showAlert("提示", res ? res : "查询失败!");
		});
	},
	doSelectPlaceType : function(id) {
		var me = this;
		me.clearplace();
		me.getPlaceViewTotalPageByTypeId(id, function(success, message) {
			if (success) {
				ServicePlaceDao.loadPlacePageByTypeId(id, me.placeViewPage.getLimitCount(), me.placeViewPage.getOffset(), function(success, res) {
					if (success) {
						if (res.length > 0) {
							me.loadplace(res, id);
                            Ext.getCmp('no-place-label').setHidden(true);
						} else if (Application.Ftype == Application.SLAVE && res.length == 0) {
                            Ext.getCmp('no-place-label').setHidden(false);
						} else {
							Ext.getCmp('placeView-view').loadPlaceViewButton(id);
                            Ext.getCmp('no-place-label').setHidden(true);
						}
					}
				});
			} else showAlert("提示", message ? message : "查询失败!");
		});
	},
	loadPlaceViewButton : function(typeId) {
		if(Application.Ftype == Application.SLAVE) return;
		var store = Ext.getStore('placeview-store');
		store.add({
			id : 0,
			name : '添加桌子',
			barCode : '',
			price : 0,
			isTimecard : 0,
			timeNum : 0,
			timeCommodityId : 0,
			logo : '',
			typeId : typeId,
		});
	},
	getPlaceTypeTotalPage : function(callBack) {
		var me = this;
		ServicePlaceDao.getPlaceTypeTotalCount(function(success, totalCount) {
			if (success) {
				me.placeTypePage.countPage(Application.Ftype == Application.SLAVE ? totalCount : totalCount+1);
				if (callBack) {
					callBack(true);
				}
			} else {
				if (callBack) {
					callBack(false, totalCount);
				}
			}
		});
	},
	clearPlaceType : function() {
		var store = Ext.getStore('placeview-store');
		store.removeAll();
		this.clearplace();
	},
	loadServicePlaceType : function(datas) {
        var currServicePlaceTypeId = Ext.getCmp('placeView-view').currPlaceTypeId;
		var me = this;
		var store = Ext.getStore('placetypeview-store');
		var item;
		var first;
		store.removeAll();
		me.resetButton();
		var isExist = false;
		for (var i = 0, len = datas.length; i < len; i++) {
			item = datas[i];
			store.add(item);
			if (i == 0) {
				first = item.id;
			}
			if (me.currPlaceTypeId == item.id) {
				isExist = true;
			}
		}
		if (!isExist) {
			me.currPlaceTypeId = first;
		}
		me.selectEditPlaceType(me.currPlaceTypeId);
		/*if (currServicePlaceTypeId) {
			//刷新按钮 不跳转桌面分类方法
            Ext.getCmp('placeView-view').servicePlaceTypeClick($("#placeview-type-button-" + currServicePlaceTypeId)[0], currServicePlaceTypeId, '111');
        }
		else {
			setTimeout(function() {
                $("#placeview-type-button-" + me.currPlaceTypeId).addClass('commoditytype-button-select');
            }, 200);
        }*/
		if ($("#placeview-type-button-" + me.currPlaceTypeId)){
			// $("#placeview-type-button-" + me.currPlaceTypeId).addClass('commoditytype-button-select');
			$("#placeview-type-button-" + me.currPlaceTypeId).addClass('type-button-selected');
		}
		else {
			selectPlaceTask = setInterval(function () {
                if($("#placeview-type-button-" + me.currPlaceTypeId)) {
                    // $("#placeview-type-button-" + me.currPlaceTypeId).addClass('commoditytype-button-select');
					$("#placeview-type-button-" + me.currPlaceTypeId).addClass('type-button-selected');
                    if (typeof selectPlaceTask != 'undefined') {
                        window.clearInterval(selectPlaceTask);
                        delete selectPlaceTask;
                    }
                }
            },100);
			setTimeout(function () {
                if (typeof selectPlaceTask != 'undefined') {
                    window.clearInterval(selectPlaceTask);
                    delete selectPlaceTask;
                }
            },1000);
        }
		/*if (me.placeTypePage.getCurrPage() == me.placeTypePage.getTotalPage()) {
			store.add({
				id : 0
			});
		}*/
		me.addPlaceTypeBtn();

	},
	addPlaceTypeBtn : function() {
		if(Application.Ftype == Application.SLAVE) return;
		var me = this;
		if (me.placeTypePage.getCurrPage() == me.placeTypePage.getTotalPage()) {
			Ext.getStore('placetypeview-store').add({
				id : 0
			});
		}
	},
	/**
	 * 点击增加分类
	 */
	addServicePlaceType2 : function(element, parentId) {
		var addServicePlaceTypeView = Ext.Viewport.add({
			xtype : 'panel',
			id : 'addServicePlaceTypeView',
			modal : true,
			hideOnMaskTap : false,
			centered : true,
			width : 550,
			height : 185,
			scrollable : false,
			items : [{
				xtype : 'addplacetype'
			}]
		});
		addServicePlaceTypeView.show();
		Ext.getCmp('placeType-add-view').setParentContainer(addServicePlaceTypeView);
		Ext.getCmp('placeType-add-view').parentId = parentId;
	},
	genServicePlaceTypeConfig : function() {
		var config = {};
		config.xtype = 'panel';
		config.modal = true;
		config.hideOnMaskTap = false;
		config.centered = true;
		config.width = 550;
		config.height = 230;
        if(isAndroidSys()) {
            config.top = 30;
            config.left = (clientWidth-config.width)/2;
        }
		config.scrollable = false;

		return config;
	},
	/**
	 * 点击增加分类
	 */
	addServicePlaceType : function(element, parentId) {
		/*var me = this;
		var config = me.genServicePlaceTypeConfig();
		config.id = 'addServicePlaceTypeView';
		config.items = [{
			xtype : 'addplacetypesub'
		}];
		var addServicePlaceTypeView = Ext.Viewport.add(config);
		addServicePlaceTypeView.show();
		Ext.getCmp('placeType-view').setParentContainer(addServicePlaceTypeView);
		Ext.getCmp('placeType-view').parentId = 'placeView-view';*/

		var optServicePlaceTypeView = Ext.getCmp('optServicePlaceTypeView');
		if (!optServicePlaceTypeView) {
			optServicePlaceTypeView = addViewportCenter('optServicePlaceTypeView', 'placetypesub', 550, 230, true);
		} else {
			Ext.getCmp('placeTypeForm').reset();
			Ext.getCmp('id-place-type-tea-price').setValue('0');
		}
		optServicePlaceTypeView.show();
		Ext.getCmp('placeType-view').setParentContainer(optServicePlaceTypeView);
		Ext.getCmp('placeType-view').setAddData();
		Ext.getCmp('placeType-view').parentId = 'placeView-view';
	},
	editServicePlaceType : function(record) {
		/*var me = this;
		if (Ext.getCmp('editServicePlaceTypeView')) {
			Ext.getCmp('editServicePlaceTypeView').show();
			Ext.getCmp('placeType-view').setParentContainer(Ext.getCmp('editServicePlaceTypeView'));
			Ext.getCmp('placeType-view').setRecord(record);
		} else {
			var config = me.genServicePlaceTypeConfig();
			config.id = 'editServicePlaceTypeView';
			config.items = [{
				xtype : 'editplacetypesub'
			}];
			var editServicePlaceTypeView = Ext.Viewport.add(config);
			editServicePlaceTypeView.show();
			Ext.getCmp('placeType-view').setParentContainer(editServicePlaceTypeView);
			Ext.getCmp('placeType-view').parentId = 'placeView-view';
		}
		Ext.getCmp('placeType-view').setRecord(record);*/

		var optServicePlaceTypeView = Ext.getCmp('optServicePlaceTypeView');
		if (!optServicePlaceTypeView)
			optServicePlaceTypeView = addViewportCenter('optServicePlaceTypeView', 'placetypesub', 550, 230, true);
		optServicePlaceTypeView.show();
		Ext.getCmp('placeType-view').setParentContainer(optServicePlaceTypeView);
		Ext.getCmp('placeType-view').parentId = 'placeView-view';
		Ext.getCmp('placeType-view').setEditData();
		Ext.getCmp('placeType-view').setRecord(record);
	},
	/**
	 * 点击分类
	 */
	servicePlaceTypeClick : function(element, id, name) {
		if (!name) {
			return;
		}
		Ext.query("#placeView-view .commoditytype-button").forEach(function(element, index, array) {
			// Ext.get(element).removeCls('commoditytype-button-select');
			Ext.get(element).removeCls('type-button-selected');
		});
		if (Ext.get(element)) {
			// Ext.get(element).addCls('commoditytype-button-select');
			Ext.get(element).addCls('type-button-selected');
		}
		this.selectEditPlaceType(id);
	},
	selectEditPlaceType : function(id) {
		var me = Ext.getCmp('placeView-view');
		Ext.getCmp('placeView-view').clearplace();
		me.placeViewPage.setCurrPage(1);
		me.resetButton();
		if(!id) return;
		me.currPlaceTypeId = id;
		me.getPlaceViewTotalPageByTypeId(id, function(success) {
			if (success) {
				ServicePlaceDao.loadPlacePageByTypeId(id, me.placeViewPage.getLimitCount(), me.placeViewPage.getOffset(), function(success, res) {
					if (success && res) {
                        if (res.length > 0) {
                            Ext.getCmp('no-place-label').setHidden(true);
                        } else if (Application.Ftype == Application.SLAVE && res.length == 0) {
                            Ext.getCmp('no-place-label').setHidden(false);
                        } else {
                            Ext.getCmp('no-place-label').setHidden(true);
                        }
						Ext.getCmp('placeView-view').loadplace(res, id);
					} else {
						console.warn('get in else');
						Ext.getCmp('placeView-view').loadPlaceViewButton(id);
					}
				});
			}
		});
	},
	getPlaceViewTotalPageByTypeId : function(currPlaceTypeId, callBack) {
		var me = Ext.getCmp('placeView-view');
		ServicePlaceDao.getPlaceTotalCountByTypeId(currPlaceTypeId, function(success, totalCount) {
			if (success) {
				me.placeViewPage.countPage(Application.Ftype == Application.SLAVE ? totalCount : totalCount + 1);
				Ext.getCmp('placeview-total-label').setHtml(me.placeViewPage.getCurrPage() + "/" + me.placeViewPage.getTotalPage());
				if (callBack) {
					callBack(true);
				}
			} else {
				if (callBack) {
					callBack(false);
				}
			}
		});
	},

	/**
	 * 向上滚动
	 */
	upPlaceView : function() {
		var me = Ext.getCmp('placeView-view');
		if (!me.currPlaceTypeId) {
			showAlert("提示", "请先增加分类！");
			return;
		}
		//me.placeViewPage.up();
		upThingPage(me.placeViewPage, function(startPage, endPage) {
			Ext.getCmp('placeView-view').clearplace();
			ServicePlaceDao.loadPlacePageByTypeId(me.currPlaceTypeId, me.placeViewPage.getLimitCount(), me.placeViewPage.getOffset(), function(success, res) {
				if (success) {
					Ext.getCmp('placeView-view').loadplace(res, me.currPlaceTypeId);
				} else showAlert("提示", res ? res : "查询失败!");
			});
			Ext.getCmp('placeview-total-label').setHtml(me.placeViewPage.getCurrPage() + "/" + me.placeViewPage.getTotalPage());
		});
	},
	/**
	 * 向下滚动
	 */
	downPlaceView : function() {
		var me = Ext.getCmp('placeView-view');
		if (!me.currPlaceTypeId) {
			showAlert("提示", "请先增加分类！");
			return;
		}
		//me.placeViewPage.down();
		downThingPage(me.placeViewPage, function(startPage, endPage) {
			Ext.getCmp('placeView-view').clearplace();
			ServicePlaceDao.loadPlacePageByTypeId(me.currPlaceTypeId, me.placeViewPage.page.limitCount, me.placeViewPage.getOffset(), function(success, res) {
				if (success) {
					Ext.getCmp('placeView-view').loadplace(res, me.currPlaceTypeId);
				} else showAlert("提示", res ? res : "查询失败!");
			});
			Ext.getCmp('placeview-total-label').setHtml(me.placeViewPage.getCurrPage() + "/" + me.placeViewPage.getTotalPage());
		});
	},
	showUpdate2 : function(record) {
		var editServicePlaceView = Ext.getCmp('editServicePlaceView');
		if (editServicePlaceView) {
			editServicePlaceView.show();
			Ext.getCmp('place-edit-view').setParentContainer(editServicePlaceView);
		} else {
			editServicePlaceView = Ext.Viewport.add({
				xtype : 'panel',
				id : 'editServicePlaceView',
				modal : true,
				hideOnMaskTap : false,
				centered : true,
				width : 550,
				height : 275,
				scrollable : false,
				items : [{
					xtype : 'editplace'
				}]
			});
			editServicePlaceView.show();
			Ext.getCmp('place-edit-view').setParentContainer(editServicePlaceView);
		}
		Ext.getCmp('place-edit-view').parentId = 'placeView-view';
		Ext.getCmp('place-edit-view').setRecord(record);
		Ext.getCmp('place-edit-view').setFromContainer(Ext.getCmp('placeView-view'));
		isLongTimeClick = false;
	},
	showUpdate : function(record) {
		/*var editServicePlaceView = Ext.getCmp('editServicePlaceView');
		if (editServicePlaceView) {
			editServicePlaceView.show();
			Ext.getCmp('place-view').setParentContainer(editServicePlaceView);
			Ext.getCmp('place-view').setRecord(record);
		} else {
			editServicePlaceView = Ext.Viewport.add({
				xtype : 'panel',
				id : 'editServicePlaceView',
				modal : true,
				hideOnMaskTap : false,
				centered : true,
				width : 550,
				height : 275,
				scrollable : false,
				items : [{
					xtype : 'editplacesub'
				}]
			});
			editServicePlaceView.show();
			Ext.getCmp('place-view').setParentContainer(editServicePlaceView);
		}*/
		var oprServicePlaceView = Ext.getCmp('oprServicePlaceView');
		if (!oprServicePlaceView)
			oprServicePlaceView = addViewportCenter('oprServicePlaceView', 'placesub', 550, 275, true);
		else
			oprServicePlaceView.setHeight(275);
		oprServicePlaceView.show();
		Ext.getCmp('place-view').setParentContainer(oprServicePlaceView);
		Ext.getCmp('place-view').setEditData();
		Ext.getCmp('place-view').setRecord(record);
		Ext.getCmp('place-view').setFromContainer(Ext.getCmp('placeView-view'));
		isLongTimeClick = false;
	},
	/**
	 * 清空
	 */
	clearplace : function() {
		var store = Ext.getStore('placeview-store');
		store.removeAll();
	},
	refreshData : function() {
		var me = this;
		me.resetData();
		me.loadData();
	},
	/**
	 * 加载商品
	 * @param {Object} datas
	 * @param {Object} typeId
	 */
	loadplace : function(datas, typeId) {
		var me = this;
		me.clearplace();
		me.resetButton();
		var store = Ext.getStore('placeview-store');
		var placeData;
		var i = 0;
		var k = 0;
		//alert(datas.length)
		placeData = datas;
		store.add(placeData);
		for(var j=0,len=placeData.length;j<len;j++) {
			placeData[j].placePersonNum = placeData[j].personNum;
			var placeRecord = store.findRecord('id', placeData[j].id);
			placeRecord.set('placePersonNum', placeData[j].personNum);
			if(placeData[j].status == '1') {
				me.loadSellInfo(placeRecord);
			}
		}
		$('#placeview-type-button-' + typeId).addClass('type-button-selected');// 副机登录时添加选中
		if (me.placeViewPage.getCurrPage() == me.placeViewPage.getTotalPage()) {
            me.loadPlaceViewButton(typeId);
			/*store.add({
				id : 0,
				name : '添加桌子',
				barCode : '',
				price : 0,
				isTimecard : 0,
				timeNum : 0,
				timeCommodityId : 0,
				logo : '',
				typeId : typeId,
			});*/
		}
	},
	loadplace2 : function(datas, typeId) {
		var me = this;
		me.clearplace();
		me.resetButton();
		var store = Ext.getStore('placeview-store');
		var placeData;
		var i = 0;
		var k = 0;
		while (i < datas.length) {
			if (!placeData) {
				placeData = [];
			}
			//if (datas[i].status != '2') {
			placeData[k++] = datas[i];
			//}
			if (k > 4) {
				for (var j = 0, len = placeData.length; j < len; j++) {
					placeData[j].placePersonNum = placeData[j].personNum;
					var records = store.add(placeData[j]);
					if (placeData[j].status == '1') {
						me.loadSellInfo(records[0]);
					}
				}
				k = 0;
				placeData = null;
			}
			i++;
		}
		if (placeData) {
			for (var j = 0, len1 = placeData.length; j < len1; j++) {
				placeData[j].placePersonNum = placeData[j].personNum;
				var records = store.add(placeData[j]);
				if (placeData[j].status == '1') {
					me.loadSellInfo(records[0]);
				}
			}
			placeData = null;
			k = 0;
		}

		if (me.placeViewPage.getCurrPage() == me.placeViewPage.getTotalPage()) {
			store.add({
				id : 0,
				name : '添加桌子',
				barCode : '',
				price : 0,
				isTimecard : 0,
				timeNum : 0,
				timeCommodityId : 0,
				logo : '',
				typeId : typeId,
			});
		}
	},
	loadSellInfo : function(record) {
		var placeId = record.get("id");
		// 查看是否存在拼桌并填写开台时间(最早开台的时间)
		SellDao.getCurrSellInfoByPlaceIdPin(placeId, function(success, places) {
			if(success && places && places.length > 0) {
				var plen = places.length;
				var sellTime = new Date().format('yyyy-MM-dd hh:mm:ss');
				var sellAmount = 0;
				var totalAmount = 0;
				var discount = 100;
				var costAmount = (totalAmount * discount / 100);
				var personNum = 0;
				var curShowPlace = {};
				var showFactAmount = 0;
				for(var pi=0;pi<plen;pi++) {
					if(places[pi].sellTime && places[pi].sellTime < sellTime) {
						sellTime = places[pi].sellTime;
						curShowPlace = places[pi];
					}
					personNum += places[pi].personNum ? places[pi].personNum : 0;
					var tmpDiscount = places[pi].discount ? places[pi].discount : 100;
					var tmpTotalAmount = places[pi].totalAmount ? places[pi].totalAmount : 0;
					showFactAmount += parseFloat(tmpTotalAmount * (tmpDiscount/100));
				}
				sellAmount = curShowPlace.sellAmount ? curShowPlace.sellAmount : 0;
				totalAmount = curShowPlace.totalAmount ? curShowPlace.totalAmount : 0;
				discount = curShowPlace.discount ? curShowPlace.discount : 100;
				costAmount = (totalAmount * discount / 100);
				//personNum = curShowPlace.personNum;
				record.set('sellAmount', sellAmount);
				//record.set('sellAmountText', '消费:' + parseFloat(costAmount).toFixed(2));
				record.set('sellAmountText', '消费:' + parseFloat(showFactAmount).toFixed(2));
				//record.set('personNum', personNum);
				record.set('placePersonNum', personNum);
				record.set('sellTime', sellTime);

				if(!sellTime || sellTime.length < 16) return;
				var placeSellTime = sellTime.substring(11, 16);
				var placeDate = new Date(sellTime);
				var curSysDate = new Date();
				var placeSellTimeTxt = placeSellTime + '';
				var pvExeTime = loadPlaceViewExeTime(placeDate, curSysDate);
				placeSellTimeTxt += pvExeTime;
				if(sellTime)
					record.set('sellTimeTxt', placeSellTimeTxt);
				else
					record.set("sellTimeTxt", '');
			} else {
				//待清台label显示
                record.set('sellTimeTxt', '(待清台)');
			}
		});
		SellDao.getCurrSellInfoByPlaceIdPin(placeId, function(success, pinSellInfos) {
			var isPinPlace = false;
			if(success && pinSellInfos && pinSellInfos.length > 1) {
				isPinPlace = true;
			}
			record.set('isPinPlace', isPinPlace);
		});
	},
	loadSellInfo2 : function(record) {
		var placeId = record.get("id");
		SellDao.getCurrSellInfoByPlaceId(placeId, function(success, res) {
			if (success && res) {
				var sellAmount = res.sellAmount ? res.sellAmount : 0;
				var totalAmount = res.totalAmount ? res.totalAmount : 0;
				var discount = res.discount ? res.discount : 100;
				var costAmount = (totalAmount * discount/100);
				record.set("sellAmount", res.sellAmount);
				//record.set("sellAmountText", "消费:" + parseFloat(res.sellAmount).toFixed(2));
				record.set('sellAmountText', '消费:' + parseFloat(costAmount).toFixed(2));
				record.set("personNum", res.personNum);
				record.set('sellTime', res.sellTime);
				var placeSellTime = res.sellTime.substring(11, 16);
				var placeDate = new Date(res.sellTime);
				var curSysDate = new Date();
				//console.log(curSysDate.getMonth());  // 3
				//console.log(curSysDate.getDate()); // 1
				//console.log(curSysDate.getDay());  // 6(周)

				var placeSellTimeTxt = placeSellTime + '';
				var pvExeTime = loadPlaceViewExeTime(placeDate, curSysDate);
				placeSellTimeTxt += pvExeTime;
				if(res.sellTime)
					record.set('sellTimeTxt', placeSellTimeTxt);
				else
					record.set("sellTimeTxt", '');
			}
		});
		SellDao.getCurrSellInfoByPlaceIdPin(placeId, function(success, pinSellInfos) {
			var isPinPlace = false;
			if(success && pinSellInfos && pinSellInfos.length > 1) {
				isPinPlace = true;
			}
			record.set('isPinPlace', isPinPlace);
		});
	},
	deletePlace : function(record) {
		var store = Ext.getStore('placeview-store');
		store.remove(record);
	},
	deletePlaceType : function(record) {
		var store = Ext.getStore('placetypeview-store');
		store.remove(record);
	},
	refreshChgData : function(operatorData) {
		this.refreshData();
	}
});


/**
 * 刷新餐桌
 */
function refreshPlace() {
	pushMasterSocket({viewIds:["placeView-view","putup-edit-view"],operatorData:"refreshPlaceView"}, null, M_EVENT_TYPE.REFRESHVIEW);
	if (Ext.getCmp('placeView-view')) {
		// Ext.getCmp('placeView-view').refreshData();
		Ext.getCmp('placeView-view').refreshData();
	}
}
/**
 * 获取拼桌的拼号
 * @param placeId
 * @param callback
 * @returns placeShareTxt
 */
function getShareTable2(placeId, callback) {
	var tmpPlaceId = placeId;
	var placeShareTxt = '';
	SellDao.getCurrSellInfoByPlaceIdPin(placeId, function(success, sellInfos) {
		if(success && sellInfos && sellInfos.length > 0) {
			//var placeRecord = record.copy(record.get('id'));
			var sincePinCount = sellInfos.length;
			var sincePinCountNum = 0;
			//var tmpPlaceId = placeRecord.get('id');
			var isOriginalPlace = true;
			for(var si=0;si<sincePinCount;si++) {
				if(sellInfos[si].status > '0') continue;
				if(sellInfos[si].placeId == tmpPlaceId) {
					isOriginalPlace = false;
					continue;
				}
				var tmpPinPlaceId = sellInfos[si].placeId;
				if(tmpPinPlaceId.indexOf('pin') > -1) continue;
				var tmpSpaceLen = (tmpPinPlaceId.length - 1) - tmpPlaceId.length;
				if(tmpSpaceLen > 0) {
					var tmpPinNum = tmpPinPlaceId.slice(tmpPinPlaceId.length-tmpSpaceLen, tmpPinPlaceId.length);
					tmpPinNum = parseInt(tmpPinNum);
					if(tmpPinNum && tmpPinNum > sincePinCountNum) sincePinCountNum = tmpPinNum;
				}
			}

			if(!isOriginalPlace) {
				placeShareTxt = '-' + (sincePinCountNum+1);
			}

			callback && callback(placeShareTxt);
		} else {
			showAlert('提示', '该餐桌并未下单!');
		}
	});
}
 function DeletePlace() {
     /*if (!checkPermissions("5", true)) {
         return;
     }*/
	 checkPermissions("5", true).then(function() {
		 showConfirm('提示', '确定删除该餐桌？', function(buttonId) {
	         if (buttonId == "yes") {
	             var categoryList = Ext.getCmp("placeView-list");
	             var store = categoryList.getStore();
	             if (categoryList.getSelection().length > 0) {
	                 var id = categoryList.getSelection()[0].get('id');
	                 var typeId = categoryList.getSelection()[0].get('typeId');
	                 ServicePlaceDao.updatePlace({
	                     syned : '0',
						 isDelete :'1',
						 status : '9',
						 lastUpdateTime:createDateStr()
	                 }, id, function(success) {
	                     if (success) {
	                         //refreshPlace();
	                         Ext.getCmp('placeView-view').resetButton();
	                         Ext.getCmp('placeView-view').doSelectPlaceType(typeId);
	                         sendPlace(id);
	                     } else {
	                         showAlert('提示', '删除出错！');
	                     }
	                 });
	             }
	         }
	     });
	 });
}
//留位
function LiuWeiPlace() {
    showConfirm('提示', '确定该餐桌要留位吗？', function(buttonId) {
        if (buttonId == "yes") {
            var categoryList = Ext.getCmp("placeView-list");
            var store = categoryList.getStore();
            if (categoryList.getSelection().length > 0) {
                var id = categoryList.getSelection()[0].get('id');
				console.log('操作单据：餐桌' + categoryList.getSelection()[0].get('placeName') + '留位--' + new Date().format('yyyy-MM-dd hh:mm:ss'))
                ServicePlaceDao.updatePlace({
                    syned : '0',
                    status : '3'
                }, id, function(success) {
                    if (success) {
                        refreshPlace();
                        sendPlace(id);
                    } else {
                        showAlert('提示', '删除出错！');
                    }
                });
            }
        }
    });
}
function KaitaiUpdate() {
	//修改
    var categoryList = Ext.getCmp("placeView-list");
    var store = categoryList.getStore();
    if (categoryList.getSelection().length > 0) {
        Ext.getCmp('placeView-view').showUpdate(categoryList.getSelection()[0]);
    }
}

//开台
function OriginalComm() {
    var categoryList = Ext.getCmp("placeView-list");
    var store = categoryList.getStore();
    if (categoryList.getSelection().length > 0) {
        var selectRecord = categoryList.getSelection()[0];
		// console.log('操作单据：餐桌' + selectRecord.getData().placeName + '开台--' + new Date().format('yyyy-MM-dd hh:mm:ss'))
        SettingDao.loadOpenPlace(function(success, openPlaces) {
        	if(success) {
        		var store = Ext.getCmp('buyCarGridPanel').getStore();
                var commodityStore = Ext.getStore('showyin-commodity-store');
                Ext.getCmp('placeView-view').addCommodityForOpenPlace(openPlaces, selectRecord, function() {
                    Ext.getCmp('shouyinMainView').selectPlace = selectRecord;
                    syLeftButtonClick($("#syLeftButton_sy")[0], 0);
                });
        	}
        });
    }
}

function mergePlaceComm(){
    //并台
    var categoryList = Ext.getCmp('placeView-list');
    var store = categoryList.getStore();
    if(categoryList.getSelection().length > 0){
        var record = categoryList.getSelection()[0];
        getAllPinPlace(record.get('id'), function(success, pinSellInfos){
            if(success && pinSellInfos.length > 1){
                var selectPinPlaceView = Ext.getCmp('selectPinPlaceView');
                if(!selectPinPlaceView) {
                    selectPinPlaceView = Ext.Viewport.add({
                        xtype : 'panel',
                        modal : true,
                        centered : true,
                        hideOrMaskTap : false,
                        id : 'selectPinPlaceView',
                        width : 300,
                        height : 400,
                        items : [{
                            xtype: 'toolbar',
                            title: '请选择并台位',
                            height: 50,
                            docked: 'top',
                            items: [{
                                xtype: 'button',
                                cls: 'close-button',
                                handler: function () {
                                    if (Ext.getCmp('selectPinPlaceView'))
                                        Ext.getCmp('selectPinPlaceView').destroy();
                                }
                            }, {
                                xtype: 'spacer'
                            }, {
                                xtype: 'button',
                                cls: 'sy-tm-button',
                                text: '确认',
                                hidden: true,
                                handler: function () {
                                }
                            }]
                        }, {
                            xtype : 'list',
                            id : 'select-pin-place-list',
                            //height : 224,
                            height : 350,
                            margin : '0 0 0 0',
                            store : Ext.create("Ext.data.Store", {
                                id:'select-pin-place-store',
                                fields : ['id', 'placeName', 'oldPlaceId', 'status'],
                                data : []
                            }),
                            selectedCls : 'checkedbg',
                            itemTpl : new Ext.XTemplate('<div class="sy-commodity-list" style="width:300px !important;border-bottom:1px solid #ccc;"><div class="name jz-center" style="width:100%!important;">{placeName}</div></div>'),
                            isAfterrendered : false, //添加一个变量，用于检测afterrender是否已经发生
                            listeners : {
                                itemtap : function(list, index, target, record, e, eOpts) {
                                    preventEventBubble(e);
                                    if (record) {
                                        SellDao.getCurrSellInfoByPlacePinId(record.get("id"), function(success, sellInfo) {
                                            if (success && sellInfo) {
                                                var selectMergePlaceView = Ext.getCmp('selectMergePlaceView');
                                                if (!selectMergePlaceView) {
                                                    selectMergePlaceView = Ext.Viewport.add({
                                                        xtype : 'panel',
                                                        id : 'selectMergePlaceView',
                                                        modal : true,
                                                        hideOnMaskTap : false,
                                                        centered : true,
                                                        width : 980,
                                                        height : 600,
                                                        scrollable : false,
                                                        items : [{
                                                            xtype : 'selectmergeplaceview'
                                                        }]
                                                    });
                                                }
                                                showBy(selectMergePlaceView,Ext.getCmp('shouyinMainView'),10);
                                                Ext.getCmp('selectMergePlaceView-view').loadData('', sellInfo);
                                            } else {
                                                showAlert("提示", "该餐桌没人用餐,可以清台!");
                                            }
                                        });
                                    }
                                    Ext.getCmp('selectPinPlaceView').destroy();
                                },
                                itemtouchmove : function(list, index, target, record, e, eOpts) {
                                },
                                itemdoubletap : function(list, index, target, record, e, eOpts) {

                                }
                            }
                        }]
                    });
                }
                showBy(selectPinPlaceView,Ext.getCmp('shouyinMainView'),5);
                var selectPinPlaceStore = Ext.getStore('select-pin-place-store');
                for(var pi=0,pilen=pinSellInfos.length;pi<pilen;pi++) {
                    if(pinSellInfos[pi].status != '-1'){
                        selectPinPlaceStore.add({
                            id: pinSellInfos[pi].placeId,
                            placeName: pinSellInfos[pi].placeName,
                            oldPlaceId: record.get('id'),
                            status: pinSellInfos[pi].status
                        });
                    }
                }
            } else if(pinSellInfos && pinSellInfos.length > 0){
                if(pinSellInfos[0].status == '-1'){
                    showAlert("提示", "当前选中餐桌为挂单状态，请下单后再进行并台！");
                    return;
                }
                SellDao.getCurrSellInfoByPlacePinId(pinSellInfos[0].placeId, function(success, sellInfo) {
                    if(success && sellInfo){
                        var selectMergePlaceView = Ext.getCmp('selectMergePlaceView');
                        if (!selectMergePlaceView) {
                            selectMergePlaceView = Ext.Viewport.add({
                                xtype : 'panel',
                                id : 'selectMergePlaceView',
                                modal : true,
                                hideOnMaskTap : false,
                                centered : true,
                                width : 980,
                                height : 600,
                                scrollable : false,
                                items : [{
                                    xtype : 'selectmergeplaceview'
                                }]
                            });
                        }
                        showBy(selectMergePlaceView,Ext.getCmp('shouyinMainView'),10);
                        Ext.getCmp('selectMergePlaceView-view').loadData(pinSellInfos[0].placeId, sellInfo);
                    } else {
                        showAlert("提示", "该餐桌没人用餐,可以清台!");
                    }
                })
            }
        })
    }
}

function removePlaceComm(){
	//已下单移菜
	var categoryList = Ext.getCmp('placeView-list');
	if(categoryList.getSelection().length > 0){
		var record = categoryList.getSelection()[0];
		getAllPinPlace(record.get('id'), function(success, pinSellInfos){
			if(success && pinSellInfos.length > 1){
				var selectPinPlaceView = Ext.getCmp('selectPinPlaceView');
				if(!selectPinPlaceView) {
					selectPinPlaceView = Ext.Viewport.add({
						xtype : 'panel',
						modal : true,
						centered : true,
						hideOrMaskTap : false,
						id : 'selectPinPlaceView',
						width : 300,
						height : 400,
						items : [{
							xtype: 'toolbar',
							title: '请选择移菜台位',
							height: 50,
							docked: 'top',
							items: [{
									xtype: 'button',
									cls: 'close-button',
									handler: function () {
										if (Ext.getCmp('selectPinPlaceView'))
											Ext.getCmp('selectPinPlaceView').destroy();
									}
								}, {
									xtype: 'spacer'
								}, {
									xtype: 'button',
									cls: 'sy-tm-button',
									text: '确认',
									hidden: true,
									handler: function () {
									}
								}]
						}, {
							xtype : 'list',
							id : 'select-pin-place-list',
							//height : 224,
							height : 350,
							margin : '0 0 0 0',
							store : Ext.create("Ext.data.Store", {
								id:'select-pin-place-store',
								fields : ['id', 'placeName', 'oldPlaceId', 'status'],
								data : []
							}),
							selectedCls : 'checkedbg',
							itemTpl : new Ext.XTemplate('<div class="sy-commodity-list" style="width:300px !important;border-bottom:1px solid #ccc;"><div class="name jz-center" style="width:100%!important;">{placeName}</div></div>'),
							isAfterrendered : false, //添加一个变量，用于检测afterrender是否已经发生
							listeners : {
								itemtap : function(list, index, target, record, e, eOpts) {
									preventEventBubble(e);
									if (record) {
										SellDao.getCurrSellInfoByPlacePinId(record.get("id"), function(success, sellInfo) {
											if (success && sellInfo) {
												console.log('操作单据：餐桌' + sellInfo.placeName + '取出订单号为' + sellInfo.id + '的订单进行移菜--' + new Date().format('yyyy-MM-dd hh:mm:ss'))
												var selectRemovePlaceView = Ext.getCmp('selectRemovePlaceView');
												if (!selectRemovePlaceView) {
													selectRemovePlaceView = Ext.Viewport.add({
														xtype : 'panel',
														id : 'selectRemovePlaceView',
														modal : true,
														hideOnMaskTap : false,
														centered : true,
														width : 980,
														height : 600,
														scrollable : false,
														items : [{
															xtype : 'selectremoveplaceview'
														}]
													});
												}
												showBy(selectRemovePlaceView,Ext.getCmp('shouyinMainView'),10);
												Ext.getCmp('selectRemovePlaceView-view').loadData('', sellInfo);
											} else {
												showAlert("提示", "该餐桌没人用餐,可以清台!");
											}
										});
									}
									Ext.getCmp('selectPinPlaceView').destroy();
								},
								itemtouchmove : function(list, index, target, record, e, eOpts) {
								},
								itemdoubletap : function(list, index, target, record, e, eOpts) {

								}
							}
						}]
					});
				}
				showBy(selectPinPlaceView,Ext.getCmp('shouyinMainView'),5);
				var selectPinPlaceStore = Ext.getStore('select-pin-place-store');
				for(var pi=0,pilen=pinSellInfos.length;pi<pilen;pi++) {
					if(pinSellInfos[pi].status != '-1'){
						selectPinPlaceStore.add({
							id: pinSellInfos[pi].placeId,
							placeName: pinSellInfos[pi].placeName,
							oldPlaceId: record.get('id'),
							status: pinSellInfos[pi].status
						});
					}
				}
			} else if(pinSellInfos && pinSellInfos.length > 0){
				if(pinSellInfos[0].status == '-1'){
					showAlert("提示", "当前选中餐桌为挂单状态，请下单后再进行移菜！");
					return;
				}
				SellDao.getCurrSellInfoByPlacePinId(pinSellInfos[0].placeId, function(success, sellInfo) {
					if(success && sellInfo){
						console.log('操作单据：餐桌' + sellInfo.placeName + '取出订单号为' + sellInfo.id + '的订单进行移菜--' + new Date().format('yyyy-MM-dd hh:mm:ss'))
						var selectRemovePlaceView = Ext.getCmp('selectRemovePlaceView');
						if (!selectRemovePlaceView) {
							selectRemovePlaceView = Ext.Viewport.add({
								xtype : 'panel',
								id : 'selectRemovePlaceView',
								modal : true,
								hideOnMaskTap : false,
								centered : true,
								width : 980,
								height : 600,
								scrollable : false,
								items : [{
									xtype : 'selectremoveplaceview'
								}]
							});
						}
						showBy(selectRemovePlaceView,Ext.getCmp('shouyinMainView'),10);
						Ext.getCmp('selectRemovePlaceView-view').loadData(pinSellInfos[0].placeId, sellInfo);
					} else {
						showAlert("提示", "该餐桌没人用餐,可以清台!");
					}
				})
			}
		})
	}
}

function revokeSingle() {
	// 已下单订单撤单
	var categoryList = Ext.getCmp("placeView-list");
	if (categoryList.getSelection().length > 0) {
		var record = categoryList.getSelection()[0];
		getAllPinPlace(record.get('id'), function(success, pinSellInfos) {
			if (success && pinSellInfos.length > 1) {
				var selectPinPlaceRevokeView = Ext.getCmp('selectPinPlaceRevokeView');
				if (!selectPinPlaceRevokeView) {
					selectPinPlaceRevokeView = Ext.Viewport.add({
						xtype: 'panel',
						modal: true,
						centered: true,
						hideOrMaskTap: false,
						id: 'selectPinPlaceRevokeView',
						width: 300,
						height: 400,
						items: [{
							xtype: 'toolbar',
							title: '请选择撤单桌号',
							height: 50,
							docked: 'top',
							items: [
								getDefaultToolbarLeftViewForHandler(function() {
									if (Ext.getCmp('selectPinPlaceRevokeView'))
										Ext.getCmp('selectPinPlaceRevokeView').destroy();
								}), {
									xtype: 'button',
									cls: 'close-button',
									hidden: true,
									handler: function() {
										if (Ext.getCmp('selectPinPlaceRevokeView'))
											Ext.getCmp('selectPinPlaceRevokeView').destroy();
									}
								}, {
									xtype: 'spacer'
								}, {
									xtype: 'button',
									cls: 'sy-tm-button',
									text: '确认',
									hidden: true,
									handler: function() {}
								}
							]
						}, {
							xtype: 'list',
							id: 'select-pin-place-revoke-list',
							height: 350,
							margin: '0 0 0 0',
							store: Ext.create("Ext.data.Store", {
								id: 'select-pin-place-revoke-store',
								fields: ['id', 'placeName', 'oldPlaceId'],
								data: []
							}),
							selectedCls: 'checkedbg',
							itemTpl: new Ext.XTemplate('<div class="sy-commodity-list" style="width:300px !important;border-bottom:1px solid #ccc;"><div class="name jz-center" style="width:100%!important;">{placeName}</div></div>'),
							isAfterrendered: false, //添加一个变量，用于检测afterrender是否已经发生
							listeners: {
								itemtap: function(list, index, target, record, e, eOpts) {
									preventEventBubble(e);
									if (record) {
										SellDao.getCurrSellInfoByPlacePinId(record.get("id"), function(success, sellInfo) {
											if (success && sellInfo) {
												revokeTheSingle(sellInfo);
											} else {
												showAlert("提示", "该餐桌没人用餐,可以清台!");
											}
										});
									}
									Ext.getCmp('selectPinPlaceRevokeView').destroy();
								}
							}
						}]
					});
				}
				selectPinPlaceRevokeView.show();
				var selectPinPlacePutupStore = Ext.getStore('select-pin-place-revoke-store');
				for (var pi = 0, pilen = pinSellInfos.length; pi < pilen; pi++) {
					selectPinPlacePutupStore.add({
						id: pinSellInfos[pi].placeId,
						placeName: pinSellInfos[pi].placeName,
						oldPlaceId: record.get('id'),
					});
				}
			} else if (pinSellInfos && pinSellInfos.length > 0) {
				SellDao.getCurrSellInfoByPlacePinId(pinSellInfos[0].placeId, function(success, sellInfo) {
					if (success && sellInfo) {
						revokeTheSingle(sellInfo);
					} else {
						showAlert("提示", "该餐桌没人用餐,可以清台!");
					}
				});
			}
		})
	}
}

function CommZhuanTaiTable() {
	//转台
    var categoryList = Ext.getCmp("placeView-list");
    var store = categoryList.getStore();
    if (categoryList.getSelection().length > 0) {
        var record = categoryList.getSelection()[0];
        getAllPinPlace(record.get('id'), function(success, pinSellInfos) {
            if(success && pinSellInfos.length > 1) {
                var selectPinPlaceView = Ext.getCmp('selectPinPlaceView');
                if(!selectPinPlaceView) {
                    selectPinPlaceView = Ext.Viewport.add({
                        xtype : 'panel',
                        modal : true,
                        centered : true,
                        hideOrMaskTap : false,
                        id : 'selectPinPlaceView',
                        width : 300,
                        height : 400,
                        items : [{
                            xtype: 'toolbar',
                            title: '请选择转台桌号',
                            height: 50,
                            docked: 'top',
                            items: [
                                /*getDefaultToolbarLeftViewForHandler(function() {
                                    if (Ext.getCmp('selectPinPlaceView'))
                                        Ext.getCmp('selectPinPlaceView').destroy();
                                }),*/ {
                                    xtype: 'button',
                                    cls: 'close-button',
                                    handler: function () {
                                        if (Ext.getCmp('selectPinPlaceView'))
                                            Ext.getCmp('selectPinPlaceView').destroy();
                                    }
                                }, {
                                    xtype: 'spacer'
                                }, {
                                    xtype: 'button',
                                    cls: 'sy-tm-button',
                                    text: '确认',
                                    hidden: true,
                                    handler: function () {
                                    }
                                }]
                        }, {
                            xtype : 'list',
                            id : 'select-pin-place-list',
                            //height : 224,
                            height : 350,
                            margin : '0 0 0 0',
                            store : Ext.create("Ext.data.Store", {
                                id:'select-pin-place-store',
                                fields : ['id', 'placeName', 'oldPlaceId'],
                                data : []
                            }),
                            selectedCls : 'checkedbg',
                            itemTpl : new Ext.XTemplate('<div class="sy-commodity-list" style="width:300px !important;border-bottom:1px solid #ccc;"><div class="name jz-center" style="width:100%!important;">{placeName}</div></div>'),
                            isAfterrendered : false, //添加一个变量，用于检测afterrender是否已经发生
                            listeners : {
                                itemtap : function(list, index, target, record, e, eOpts) {
                                	preventEventBubble(e);
                                    if (record) {
                                        SellDao.getCurrSellInfoByPlacePinId(record.get("id"), function(success, sellInfo) {
                                            if (success && sellInfo) {
                                                var selectPlaceView = Ext.getCmp('selectPlaceView');
                                                if (!selectPlaceView) {
                                                    selectPlaceView = Ext.Viewport.add({
                                                        xtype : 'panel',
                                                        id : 'selectPlaceView',
                                                        modal : true,
                                                        hideOnMaskTap : false,
                                                        centered : true,
                                                        width : 980,
                                                        height : 600,
                                                        scrollable : false,
                                                        items : [{
                                                            xtype : 'selectplaceview'
                                                        }]
                                                    });
                                                }
                                                //selectPlaceView.show();
                                                showBy(selectPlaceView, "shouyinMainView",10);
                                                Ext.getCmp('selectPlaceView-view').loadData(record.get("id"));
                                            } else {
                                                showAlert("提示", "该餐桌没人用餐,可以清台!");
                                            }
                                        });
                                    }
                                    Ext.getCmp('selectPinPlaceView').destroy();
                                },
                                itemtouchmove : function(list, index, target, record, e, eOpts) {
                                },
                                itemdoubletap : function(list, index, target, record, e, eOpts) {

                                }
                            }
                        }]
                    });
                }
                //selectPinPlaceView.show();
                showBy(selectPinPlaceView,Ext.getCmp('shouyinMainView'),5);
                var selectPinPlaceStore = Ext.getStore('select-pin-place-store');
                console.log(pinSellInfos);
                for(var pi=0,pilen=pinSellInfos.length;pi<pilen;pi++) {
                    selectPinPlaceStore.add({
                        id: pinSellInfos[pi].placeId,
                        placeName: pinSellInfos[pi].placeName,
                        oldPlaceId: record.get('id')
                    });
                }
            } else if(pinSellInfos && pinSellInfos.length > 0){
                SellDao.getCurrSellInfoByPlacePinId(pinSellInfos[0].placeId, function(success, sellInfo) {
                    if (success && sellInfo) {
                        var selectPlaceView = Ext.getCmp('selectPlaceView');
                        if (!selectPlaceView) {
                            selectPlaceView = Ext.Viewport.add({
                                xtype : 'panel',
                                id : 'selectPlaceView',
                                modal : true,
                                hideOnMaskTap : false,
                                centered : true,
                                width : 980,
                                height : 600,
                                scrollable : false,
                                items : [{
                                    xtype : 'selectplaceview'
                                }]
                            });
                        }
                        //selectPlaceView.show();
                        showBy(selectPlaceView,Ext.getCmp('shouyinMainView'),10);
                        Ext.getCmp('selectPlaceView-view').loadData(pinSellInfos[0].placeId);
                    } else {
                        showAlert("提示", "该餐桌没人用餐,可以清台!");
                    }
                });
            }
        });
    }
}
function CommTable() {
	//拼桌
    var categoryList = Ext.getCmp("placeView-list");
    var store = categoryList.getStore();
    if (categoryList.getSelection().length > 0) {
        var record = categoryList.getSelection()[0];
        var placeId = record.get("id");
		console.log('操作单据：餐桌' + record.get('placeName') + '进行搭台开台--' + new Date().format('yyyy-MM-dd hh:mm:ss'));
        getShareTable(placeId, function(placeShareTxt) {
            var placeRecord = record.copy(record.get('id'));
            placeRecord.set('id', placeRecord.get('id') + placeShareTxt);
            placeRecord.set('placeName', placeRecord.get('placeName') + placeShareTxt);
            /*if (setting.openPlaceSettingJson) {
                var store = Ext.getCmp('buyCarGridPanel').getStore();
                var commodityStore = Ext.getStore('showyin-commodity-store');
                var datas = Ext.JSON.decode(setting.openPlaceSettingJson);
                Ext.getCmp('placeView-view').addCommodityForOpenPlace(datas, placeRecord, function() {
                });
            }*/
            SettingDao.loadOpenPlace(function(success, openPlaces) {
            	if(success) {
            		var store = Ext.getCmp('buyCarGridPanel').getStore();
                    var commodityStore = Ext.getStore('showyin-commodity-store');
                    Ext.getCmp('placeView-view').addCommodityForOpenPlace(openPlaces, placeRecord, function() {
                    });
            	}
            });
        });
    }
}
function TakeASingle() {
	//取单
    var categoryList = Ext.getCmp("placeView-list");
    var store = categoryList.getStore();
    if (categoryList.getSelection().length > 0) {
        var record = categoryList.getSelection()[0];
        var placeId = record.get("id");
        getAllPinPlace(record.get('id'), function(success, pinSellInfos) {
            if(success && pinSellInfos.length > 1) {
                var selectPinPlacePutupView = Ext.getCmp('selectPinPlacePutupView');
                if(!selectPinPlacePutupView) {
                    selectPinPlacePutupView = Ext.Viewport.add({
                        xtype : 'panel',
                        modal : true,
                        centered : true,
                        hideOrMaskTap : false,
                        id : 'selectPinPlacePutupView',
                        width : 300,
                        height : 400,
                        items : [{
                            xtype: 'toolbar',
                            title: '请选择取单桌号',
                            height: 50,
                            docked: 'top',
                            items: [
                                getDefaultToolbarLeftViewForHandler(function() {
                                    if (Ext.getCmp('selectPinPlacePutupView'))
                                        Ext.getCmp('selectPinPlacePutupView').destroy();
                                }), {
                                    xtype: 'button',
                                    cls: 'close-button',
                                    hidden : true,
                                    handler: function () {
                                        if (Ext.getCmp('selectPinPlacePutupView'))
                                            Ext.getCmp('selectPinPlacePutupView').destroy();
                                    }
                                }, {
                                    xtype: 'spacer'
                                }, {
                                    xtype: 'button',
                                    cls: 'sy-tm-button',
                                    text: '确认',
                                    hidden: true,
                                    handler: function () {
                                    }
                                }]
                        }, {
                            xtype : 'list',
                            id : 'select-pin-place-list',
                            //height : 224,
                            height : 350,
                            margin : '0 0 0 0',
                            store : Ext.create("Ext.data.Store", {
                                id:'select-pin-place-putup-store',
                                fields : ['id', 'placeName', 'oldPlaceId'],
                                data : []
                            }),
                            selectedCls : 'checkedbg',
                            itemTpl : new Ext.XTemplate('<div class="sy-commodity-list" style="width:300px !important;border-bottom:1px solid #ccc;"><div class="name jz-center" style="width:100%!important;">{placeName}</div></div>'),
                            isAfterrendered : false, //添加一个变量，用于检测afterrender是否已经发生
                            listeners : {
                                itemtap : function(list, index, target, record, e, eOpts) {
                                	preventEventBubble(e);
                                    if (record) {
                                        SellDao.getCurrSellInfoByPlacePinId(record.get("id"), function(success, sellInfo) {
                                            if (success && sellInfo) {
												console.log('操作单据：餐桌' + sellInfo.placeName + '取出订单号为' + sellInfo.id + '的订单进行修改--' + new Date().format('yyyy-MM-dd hh:mm:ss'));
                                                syLeftButtonClick($("#syLeftButton_sy")[0], 0);
                                                Ext.getCmp('shouyinMainView').loadDataBySellIdPage(sellInfo);
                                            } else {
                                                showAlert("提示", "该餐桌没人用餐,可以清台!");
                                            }
                                        });
                                    }
                                    Ext.getCmp('selectPinPlacePutupView').destroy();
                                }
                            }
                        }]
                    });
                }
                selectPinPlacePutupView.show();
                var selectPinPlacePutupStore = Ext.getStore('select-pin-place-putup-store');
                for(var pi=0,pilen=pinSellInfos.length;pi<pilen;pi++) {
                    selectPinPlacePutupStore.add({
                        id: pinSellInfos[pi].placeId,
                        placeName: pinSellInfos[pi].placeName,
                        oldPlaceId: record.get('id')
                    });
                }
            } else if(pinSellInfos && pinSellInfos.length > 0){
                SellDao.getCurrSellInfoByPlacePinId(pinSellInfos[0].placeId, function(success, sellInfo) {
                    if (success && sellInfo) {
						console.log('操作单据：餐桌' + sellInfo.placeName + '取出订单号为' + sellInfo.id + '的订单进行修改--' + new Date().format('yyyy-MM-dd hh:mm:ss'));
                        syLeftButtonClick($("#syLeftButton_sy")[0], 0);
                        Ext.getCmp('shouyinMainView').loadDataBySellIdPage(sellInfo);
                    } else {
                        showAlert("提示", "该餐桌没人用餐,可以清台!");
                    }
                });
            }
        });
    }
}
function ClearTheTable() {
    showConfirm('提示', '确定清台吗？', function(buttonId) {
        if (buttonId == "yes") {
            var categoryList = Ext.getCmp("placeView-list");
            var store = categoryList.getStore();
            if (categoryList.getSelection().length > 0) {
                var record = categoryList.getSelection()[0];
                var placeId = record.get("id");
                getAllPinPlace(placeId, function(success, placeSellInfos) {
                    if(placeSellInfos && placeSellInfos.length > 0) {
                        if(placeSellInfos.length == 1 && placeSellInfos[0].status == '-1') {
							var sellId = placeSellInfos[0].id;
                            SellDao.deleteSellInfoById(placeSellInfos[0].id, function(success) {
                                if(success) {
                                    dealPlace(3, placeId);
                                    console.log('操作单据：挂单餐桌' + record.get('placeName') + '清台,上传订单' + sellId + '数据' + new Date().format('yyyy-MM-dd hh:mm:ss'));
                                    SellDao.submitById(sellId);
                                    record.set('status', '0');
                                } else {
                                    showAlert('提示', '清台失败!');
                                }
                            });
                        } else if(placeSellInfos.length > 1){
                            showAlert('提示', '存在多条单据, 不可清台!');
                        } else {
                            showAlert('提示', "已下单,未结账,不能清台!");
                        }
                    } else {
                        dealPlace(3, placeId);
						console.log('操作单据：餐桌' + record.get('placeName') + '清台--' + new Date().format('yyyy-MM-dd hh:mm:ss'))
                        record.set('status', '0');
                    }
                });
                return;
                SellDao.getCurrSellInfoByPlaceId(placeId, function(success, sellInfo) {
                    if (success && sellInfo) {
                        if (sellInfo.status == "-1") {
                            dealPlace(3, placeId);
                            record.set("status", "0");
                            SellDao.deleteSellInfoById(sellInfo.id);
                        } else {
                            showAlert('提示', "已下单,未结账,不能清台!");
                        }
                    } else {
                        dealPlace(3, placeId);
                        record.set("status", "0");
                    }
                });
            }
        }
    });
}

// 撤单事件
function revokeTheSingle(sellInfo) {
	if (!sellInfo) {
		showAlert('提示', '未选中任何单据!');
		return;
	}
	var message = '您确定要撤销该下单记录吗?';
	new Promise(function(resolve, reject) {
		if (sellInfo.status != -1) {
			checkPermissions("6", true).then(function() {
				resolve();
			}).catch (function() {reject();});
		} else {
			resolve(true);
			message = '您确定要撤销该挂单记录吗?';
		}
	}).then(function() {
		showConfirm('提示', message, function(buttonId) {
			if (buttonId == "yes") {
				console.log('操作单据：餐桌' + sellInfo.placeName + '撤销订单号为' + sellInfo.id + '的记录--' + new Date().format('yyyy-MM-dd hh:mm:ss'));
				var status = sellInfo.status;
				var sellId = sellInfo.id;
				var placeId = sellInfo.placeId;
				if (status == "-1") {
					// 挂单订单撤单
					commonSellInfoResumeCancel(sellInfo, function() {
						setTimeout(pushUpdateSellInfo(sellId), 100);
					})
					return;
				}
				var sellAmount = nvlValue(sellInfo.sellAmount, 0) + nvlValue(sellInfo.teaAmount, 0);
				var totalAmount = nvlValue(sellInfo.totalAmount, 0) + nvlValue(sellInfo.teaAmount, 0);
				sellInfo.sellAmount = sellAmount;
				sellInfo.totalAmount = totalAmount;
				// 下单订单撤单
				commonSellInfoCancel(sellInfo, function() {
 					pushMasterSocket({viewIds:"shouyinMainView",methods:["clearShouyinCart"],operatorData:{sellId:sellId,placeId:placeId}}, null, M_EVENT_TYPE.REFRESHVIEW);
				})
			}
		});
	}).
	catch (function() {});
}
// 更新餐桌界面设置
function updatePlaceBdySetting() {
	if (bdySetting.ptLines === '2') {
		Ext.getCmp('downPlaceS-View2').setHidden(false);
		Ext.getCmp('downPlaceS-View').setHidden(true);
		Ext.getCmp('placeTypeView-list-panel').setHeight(100);
		Ext.getCmp('placeView-view').placeTypePage.setLimitCount(16);//显示个数
	} else if(bdySetting.ptLines === '1'){
		Ext.getCmp('downPlaceS-View').setHidden(false);
		Ext.getCmp('downPlaceS-View2').setHidden(true);
		Ext.getCmp('placeTypeView-list-panel').setHeight(50);
		Ext.getCmp('placeView-view').placeTypePage.setLimitCount(8);//显示个数
	}
	// console.log('餐桌行数：' + bdySetting.placeLines + '，餐桌列数：' + bdySetting.placeColumns);
	var eleListHeight = getHtmlElementHeight("#placeView-list"); // 餐桌列表高度
	if (eleListHeight == 0) return;
	placeLineHeight = parseFloat(eleListHeight / bdySetting.placeLines).toFixed(0); // 餐桌高度
	if (placeLineHeight > 175) placeLineHeight = 175;
	placeColumnsWidth = parseFloat(100 / bdySetting.placeColumns - 0.1).toFixed(2) + '%'; // 餐桌宽度
}

function openPlacePersonNumPromise() {
	return new Promise(function(resolve, reject) {
		var openPlaceSetting = sysParams.get('SYS_isSetPlacePersonNum');
        if (!openPlaceSetting || openPlaceSetting.paramValue === 'T') {
            showPlacePersonNumView(function(success) {
                if (success) {
                    resolve();
                }
            });
		} else {
        	resolve();
		}
	});
}

function openPlacePerNumConfirm(callback) {
    var personNum = Ext.getCmp('set-palce-person-num').getValue();
    if(!checkValidCondition(personNum.trim(), ConditionValue.NOTEMPTY|ConditionValue.NOTZERO|ConditionValue.CKINTEGER, '请输入正确的人数!')) {
        callback && callback(false);
        return;
    }
    if (personNum.length > 4) {
        showAlert('提示', '客人数最大只支持 4 位！');
        callback && callback(false);
        return;
    }
    if (parseFloat(personNum)<0 || parseFloat(personNum)>parseInt(personNum)) {
        showAlert('提示', '客人数只能输入正整数！');
        callback && callback(false);
        return;
	}
    callback && callback(true);
    Ext.getCmp('shouyinMainView').personNum = parseInt(personNum);
    // 保存设置
	var sysParam = sysParams.get('SYS_isSetPlacePersonNum');
	var value = Ext.getCmp('openPlaceHiddenId').getChecked() ? 'F' : 'T';
    var paramData = {
        id: sysParam ? sysParam.id : createUUIDForId(),
        sellerId: seller.id,
        paramType: 'SYS',
        paramName: 'isSetPlacePersonNum',
        paramValue: value,
        syned: '0',
        lastUpdateTime: new Date().format('yyyy-MM-dd hh:mm:ss')
    };
    console.log('收银员' + shouYinEmployee.workName + '修改开台设置人数：' + value + '，--' + new Date().format('yyyy-MM-dd hh:mm:ss'));
    SettingDao.saveSysParams(paramData, function(success) {
        if (success) {
            sysParams.replace(getMapKeyBySeperator([paramData.paramType, paramData.paramName]), paramData);
        }
    });
    Ext.getCmp('set-open-person-num-view').destroy();
}

// 开台设置餐桌人数
function showPlacePersonNumView(callback) {
	var openPersonNumView = Ext.getCmp('set-open-person-num-view');
	if (!openPersonNumView) {
        openPersonNumView = Ext.Viewport.add({
            xtype: 'container',
            id: 'set-open-person-num-view',
			layout: 'vbox',
            width: 430,
            height: 220,
            modal: true,
            centered: true,
            items: [
                {
                    xtype: 'toolbar',
                    title: '开台'
                },
				{
					xtype: 'container',
					width: '100%',
					height: '100%',
					layout: {
						type: 'vbox',
						pack: 'center',
						align: 'middle'
					},
					style: 'background:#fff;',
					items: [
                        {
                            xtype: 'fieldset',
                            width: '90%',
							layout: 'vbox',
							margin: '0 0 20 0',
                            items: [
                                {
                                    xtype: 'textfield',
                                    id: 'set-open-palce-name',
                                    label: '桌号：',
                                    labelWidth: 80,
                                    readOnly: true
                                },
								{
									xtype: 'textfield',
									id: 'set-palce-person-num',
									label: '人数：',
									labelWidth: 80,
									placeHolder: '请输入开台人数',
									listeners: {
										focus: function(field, e, eOpts) {
                                            ViewNumberKeyboard("set-palce-person-num", ["set-palce-person-num"], "set-open-person-num-view");
										},
										keyup: function(field) {
                                            if(field) {
                                                // 更新数字键盘的值
                                                if(Ext.getCmp("input-customer-num-identity"))
                                                    Ext.getCmp("input-customer-num-identity").setValue(field.getValue());
                                            }
										},
                                        clearicontap : function(currView, input, e, eOpts) {
                                            preventEventBubble(e);
                                            ViewNumberKeyboard.resetInputValue();
                                        }
									}
								}
							]
                        },
						{
							xtype: 'container',
                            width: '90%',
							layout: 'hbox',
							defaults: {
								flex: 1,
                                height: 40
							},
							items: [
                                {
                                    xtype: 'ebutton',
                                    text: '取消',
                                    margin: '0 100 0 0',
                                    cls: 'white-button',
                                    handler: function() {
                                        Ext.getCmp('set-open-person-num-view').destroy();
                                    }
                                },
								{
									xtype: 'ebutton',
									id: 'set-person-num-confirm',
									text: '确定',
									cls: 'red-button',
									handler: function() {
										timeoutDisable('set-person-num-confirm');
                                        openPlacePerNumConfirm(callback);
                                    }
								}
							]
						},
						{
                            xtype: 'container',
                            layout: 'hbox',
                            width: '100%',
							margin: '10 0 0 0',
							items: [
                                {
                                    xtype: 'container',
                                    layout: 'vbox',
                                    width: 140,
                                    height: 40,
                                    items: [{
                                        xtype: 'checkboxfield',
                                        label: '不再显示',
                                        width: 140,
                                        labelWidth: 100,
                                        labelAlign: 'right',
                                        id: 'openPlaceHiddenId'
                                    }, {
                                        xtype: 'button',
                                        style: 'background:transparent;border:none;',
                                        width: 140,
                                        height: 40,
                                        left: 0,
                                        top: 1,
                                        listeners: {
                                            tap: function(ele, e, eOpts) {
                                                shutdownOperate(e);
                                                var openPlaceCmp = Ext.getCmp('openPlaceHiddenId');
                                                openPlaceCmp.getChecked() ? openPlaceCmp.uncheck() : openPlaceCmp.check();
                                            }
                                        }
                                    }]
                                }
							]
						}
					]
				}
            ]
        });
        showBy(openPersonNumView, Ext.getCmp('shouyinMainView'));
        selectRecord = Ext.getCmp("placeView-list").getSelection()[0];
        var openPlaceSetting = sysParams.get('SYS_isSetPlacePersonNum');
        if (selectRecord) {
        	var placeName = selectRecord.getData().placeName;
        	var personNum = selectRecord.getData().personNum;
        	Ext.getCmp('set-open-palce-name').setValue(placeName);
        	Ext.getCmp('set-palce-person-num').setValue(personNum);
		}
		if (!openPlaceSetting || openPlaceSetting.paramValue === 'T') {
            Ext.getCmp('openPlaceHiddenId').uncheck();
		} else {
            Ext.getCmp('openPlaceHiddenId').check();
		}
	}
}