var isPutupSubmiting=false;
/**
 * 自制键盘输入值
 */
function inputCustomerValue() {
	var me = Ext.getCmp('putup-edit-view');
	var value = this.getText();
	var id = this.getId();
    var currNum = me.currField.getValue() + '';
	if (!me.currField) {
		me.currField = Ext.getCmp('putup-personNum');
	}
	if (value == '.') {
		if (me.currField == Ext.getCmp('putup-personNum')) {
            showToast('客人数不允许输入小数！');
            return;
        }
        if (currNum.split('.').length > 1) {
            showToast('已经是小数！');
            return;
		}
        me.currField.focus();
    } else if (isInteger(value)) {
		if(me.currField == Ext.getCmp('putup-teaPrice')) {
			var v = currNum.split('.');
			var absInt = Math.abs(parseInt(v[0])) + '';
			if (absInt.length >= 7 && v.length < 2) {
				showToast('整数位最大只支持 7 位！');
				me.currField.focus();
				return
			} else if (v.length > 1 && v[1].length >= 2) {
                showToast('小数位最大只支持 2 位！');
                me.currField.focus();
                return
			}
		} else if (me.currField == Ext.getCmp('putup-personNum')) {
            if (currNum.length >= 4) {
                showToast('整数位最大只支持 4 位！');
                me.currField.focus();
                return
            }
        }
	}
	if (me.firstFocus && value != '.') {
		me.currField.setValue('');
	}
	if ("putup-edit-delete" == id) {
		if (currNum && currNum.length > 1) {
            currNum = currNum.substring(0, currNum.length - 1);
		} else {
            currNum = 0;
		}
	} else {
		if(!validatorInputNumber(currNum, value));
		if (currNum == '0' && value != '.') {
            currNum = value;
		} else {
            currNum += value + '';
		}
	}
	me.currField.setValue(currNum);
	me.currField.focus();
	me.firstFocus = false;
}

/**
 *@Project: 挂单
 *@Author: lijy
 *@Date: 2015-03-01
 */
Ext.define('Seller.view.putup.Edit', {
	extend : 'Ext.Container',
	alias : 'widget.putupedit',
	requires : ['Seller.view.place.AddPlace', 'Seller.view.place.EditPlace', 'Seller.view.place.AddPlaceType', 'Seller.view.place.EditPlaceType', 'Ext.ux.AllRemark'],
	longTimeClickTimeout : null,
	isLongTimeClick : false,
	currEditPlaceTypeId : null,
	currField : null,
	firstFocus : true,
    currSelectPlaceId : null,
    oldSelectPlaceId : null,
	firstTimeEnter: null,
	//分页工具
	placeTypePage : new $.PageUtil({
		limitCount : bdySetting.ptLines === 2 ? 16:8
	}),
	placePage : new $.PageUtil({
		limitCount : 20
	}),
	config : {
		layout : 'vbox',
		width : '100%',
		height : '100%',
		modal : true,
		centered : true,
		autoDestroy:true,
		id : 'putup-edit-view',
		style : "background:white;",
		items : [{
			xtype : 'toolbar',
			cls : 'solid-border-bottom',
			height : 50,
			items : [{
				xtype : 'button',
				//cls : 'close-button',
				cls : 'close-button-complete',
				width : 80,
				iconCls : 'close-icon',
				icon : 'resources/icon/public/back.png',
				text : '返回',
				id : 'putup-edit-view-close'
			}],
			title : '下单'
		}, {
			xtype : 'container',
			layout : 'hbox',
			cls : 'sy-bg',
			flex : 1,
			items : [{
				width : 300,
				margin : '0 20',
				items : [{
					xtype: 'container',
					height: 20,
					width: 310,
					cls : 'sy-sy-img'
				}, {
					xtype: 'formpanel',
					scrollable: false,
					padding: '0 10',
					//style: 'height: 250px;',
                    padding : "5px 10px",
                    cls : "putup-edit-form",
					id: 'putup-edit-form',
					items : [{
						xtype : 'fieldset',
						margin : 1,
						baseCls : 'bg-transparent',
						defaults : {
							labelWidth : 100,
							inputCls : 'grey-border',
							clearIcon : false,
							margin : '4 0 4 0'
						},
						items : [{
							xtype : 'hiddenfield',
							name : 'placeId ',
							id : 'putup-placeId'
						}, {
							xtype : 'hiddenfield',
							name : 'remarkIds ',
							id : 'putup-remarkIds'
						}, {
                            xtype : 'selectfield',
                            value : '',
                            label : '服务员',
                            name : 'select-waiter-name-putup',
                            id : 'select-waiter-name-putup',
                            options : []
                        }, {
							xtype : 'textfield',
							name : 'placeName',
							id : 'putup-placeName',
							label : '桌号',
							maxLength : 10,
							placeHolder : '桌号',
							readOnly : true,
							required : true,
							listeners : {
								focus : function(field, e, eOpts) {

								}
							}
						}, {
							xtype : 'textfield',
							name : 'remark',
							id : 'putup-remark',
							label : '整单口味',
							maxLength : 10,
							placeHolder : '整单口味',
							readOnly : true,
							listeners : {
								/* focus : function(field, e, eOpts) {
									Ext.getCmp('putup-edit-view').toDiscountClick();
								 }*/
							}
						}, {
							xtype : 'textfield',
							name : 'shopSign',
							id : 'putup-shopSign1',
							label : '牌号',
							maxLength : 10,
							placeHolder : '牌号',
							required : true,
							hidden : true,
							listeners : {
								// focus : function(field, e, eOpts) {
								// 	var me = Ext.getCmp('putup-edit-view');
								// 	me.currField = field;
								// 	me.firstFocus = true;
								// }
							}
						}, {
							xtype : 'textfield',
							name : 'teaPrice',
							id : 'putup-teaPrice',
							label : '茶位单价',
							//value : (seller.teaPrice ? seller.teaPrice : 0),
							value : 0,
							maxLength : 10,
							placeHolder : '茶位单价',
							hideOnMaskTap : true,
							required : true,
							readOnly : false,
							listeners : {
								/*focus : function(field, e, eOpts) {
									var me = Ext.getCmp('putup-edit-view');
									me.currField = field;
									me.firstFocus = true;
								}*/
							}
						}, {
							xtype : 'textfield',
							id : 'putup-personNum',
							label : '客人数',
							maxLength : 10,
							readOnly : false,
							value : '1',
							listeners : {
								/*focus : function(field, e, eOpts) {
									var me = Ext.getCmp('putup-edit-view');
									me.currField = field;
									me.firstFocus = true;
								}*/
							}
						}]
					}]
				}, {
					xtype: 'container',
					width: 300,
					cls: 'whitebg putup-num-board',
					//padding: '0 10',
					//style: 'height: 210px',
                    padding : 0,
					defaults: {
						xtype: 'container',
						layout: 'hbox',
						// height: 50,
						style: 'height:50px;',
						cls: 'putup-edit-keyword',
						defaults: {
							xtype: 'button',
							handler: inputCustomerValue,
							width: 80,
							// height: 40,
							// margin: 7,
							cls: 'white-button putup-num-btn',
							//style: 'height: 40px;margin: 7px;'
						}
					},
					items : [{
						xtype : 'container',
						items : [{
							text : '1'
						}, {
							text : '2'
						}, {
							text : '3'
						}]
					}, {
						xtype : 'container',
						items : [{
							text : '4'
						}, {
							text : '5'
						}, {
							text : '6'
						}]
					}, {
						xtype : 'container',
						items : [{
							text : '7'
						}, {
							text : '8'
						}, {
							text : '9'
						}]
					}, {
						xtype : 'container',
						items : [{
							text : '0'
						}, {
							text : '.'
						}, {
							id : 'putup-edit-delete',
							iconCls : 'putup-delete'
						}]
					}]
				}, {
					xtype: 'container',
					height: 30,
					cls: 'sp-list-juci',
					style: 'border:none'
				}, {
					xtype: 'container',
					id: 'edit-hide-print',
					hidden: false,
					height: 48,
					html: '<div style="color:red;line-height: 24px;text-align: center;margin-top: 5px;">(需要修改打印配置，请到系统设置->打印设置中修改)</div>'
				}, {
					xtype: 'container',
					id: 'edit-show-print',
					hidden: true,
					items: [{
						xtype: 'container',
						layout: 'hbox',
						width: 300,
						//height: 40,
						cls : "putup-edit-print",
						defaults: {
							defaults: {
								xtype: 'checkboxfield',
								width: 150,
								labelWidth: 110,
								labelAlign: 'right',
								labelCls: 'white-color'
							},
							flex: 1,
							width: 150,
							labelWidth: 110,
							labelAlign: 'right',
							labelCls: 'white-color'
						},
						items: [{
							xtype: 'container',
							layout: 'hbox',
							width: 140,
							//height: 40,
                            cls : "putup-edit-print",
							items: [{
								xtype: 'checkboxfield',
								label: '客户单打印',
								id: 'putup-sy-customer-print1',
							}, {
								xtype: 'button',
								style: 'background:transparent;border:none;',
								width: 140,
								//height: 40,
                                cls : "putup-edit-print",
								left: 0,
								top: 1,
								listeners: {
									tap: function(ele, e, eOpts) {
										if (e) {
											if (e.stopPropagation) e.stopPropagation();
											if (e.stopEvent) e.stopEvent();
										}
										var printCmp = Ext.getCmp('putup-sy-customer-print1');
										printCmp.getChecked() ? printCmp.uncheck() : printCmp.check();
										addOptPrintSetting({
											printType: '下单',
											printName: '客户单',
											printValue: printCmp.getChecked() ? '是' : '否',
											status: '修改'
										});
									}
								}
							}]
						}, {
							xtype: 'container',
							layout: 'hbox',
							width: 140,
							//height: 40,
                            cls : "putup-edit-print",
							items: [{
								xtype: 'checkboxfield',
								label: '存根单打印',
								id: 'putup-sy-private-print1',
							}, {
								xtype: 'button',
								style: 'background:transparent;border:none;',
								width: 140,
								//height: 40,
                                cls : "putup-edit-print",
								left: 0,
								top: 1,
								listeners: {
									tap: function(ele, e, eOpts) {
										if (e) {
											if (e.stopPropagation) e.stopPropagation();
											if (e.stopEvent) e.stopEvent();
										}
										var syprintCmp = Ext.getCmp('putup-sy-private-print1');
										syprintCmp.getChecked() ? syprintCmp.uncheck() : syprintCmp.check();
										addOptPrintSetting({
											printType: '下单',
											printName: '存根单',
											printValue: syprintCmp.getChecked() ? '是' : '否',
											status: '修改'
										});
									}
								}
							}]

						}]
					}, {
						xtype: 'container',
						layout: 'hbox',
						width: 300,
						//height: 40,
                        cls : "putup-edit-print",
						defaults: {
							defaults: {
								xtype: 'checkboxfield',
								width: 150,
								labelWidth: 110,
								labelAlign: 'right',
								labelCls: 'white-color'
							},
							flex: 1,
							width: 150,
							labelWidth: 110,
							labelAlign: 'right',
							labelCls: 'white-color'
						},
						items: [{
							xtype: 'container',
							layout: 'hbox',
							width: 140,
							//height: 40,
                            cls : "putup-edit-print",
							items: [{
								xtype: 'checkboxfield',
								label: '厨房打印',
								id: 'putup-kitchen-print1',
							}, {
								xtype: 'button',
								style: 'background:transparent;border:none;',
								width: 140,
								//height: 40,
                                cls : "putup-edit-print",
								left: 0,
								top: 1,
								listeners: {
									tap: function(ele, e, eOpts) {
										if (e) {
											if (e.stopPropagation) e.stopPropagation();
											if (e.stopEvent) e.stopEvent();
										}
										var kiprintCmp = Ext.getCmp('putup-kitchen-print1');
										kiprintCmp.getChecked() ? kiprintCmp.uncheck() : kiprintCmp.check();
										addOptPrintSetting({
											printType: '下单',
											printName: '厨房',
											printValue: kiprintCmp.getChecked() ? '是' : '否',
											status: '修改'
										});
									}
								}
							}]
						}, {
							xtype: 'container',
							layout: 'hbox',
							width: 140,
							//height: 40,
                            cls : "putup-edit-print",
							items: [{
								xtype: 'checkboxfield',
								label: '标签打印',
								id: 'putup-label-print1',
							}, {
								xtype: 'button',
								style: 'background:transparent;border:none;',
								width: 140,
								//height: 40,
                                cls : "putup-edit-print",
								left: 0,
								top: 1,
								listeners: {
									tap: function(ele, e, eOpts) {
										if (e) {
											if (e.stopPropagation) e.stopPropagation();
											if (e.stopEvent) e.stopEvent();
										}
										var lakiprintCmp = Ext.getCmp('putup-label-print1');
										lakiprintCmp.getChecked() ? lakiprintCmp.uncheck() : lakiprintCmp.check();
										addOptPrintSetting({
											printType: '下单',
											printName: '标签',
											printValue: lakiprintCmp.getChecked() ? '是' : '否',
											status: '修改'
										});
									}
								}
							}]
						}]
					}, {
						xtype: 'container',
						layout: 'hbox',
						width: 300,
						//height: 40,
                        cls : "putup-edit-print",
						defaults: {
							defaults: {
								xtype: 'checkboxfield',
								width: 150,
								labelWidth: 110,
								labelAlign: 'right',
								labelCls: 'white-color'
							},
							flex: 0,
							width: 150,
							labelWidth: 110,
							labelAlign: 'right',
							labelCls: 'white-color'
						},
						items: [{
							xtype: 'container',
							layout: 'hbox',
							width: 140,
							//height: 40,
                            cls : "putup-edit-print",
							items: [{
								xtype: 'checkboxfield',
								label: '台单打印',
								id: 'putup-table-print1',
							}, {
								xtype: 'button',
								style: 'background:transparent;border:none;',
								width: 140,
								//height: 40,
                                cls : "putup-edit-print",
								left: 0,
								top: 1,
								listeners: {
									tap: function(ele, e, eOpts) {
										if (e) {
											if (e.stopPropagation) e.stopPropagation();
											if (e.stopEvent) e.stopEvent();
										}
										var takiprintCmp = Ext.getCmp('putup-table-print1');
										takiprintCmp.getChecked() ? takiprintCmp.uncheck() : takiprintCmp.check();
										addOptPrintSetting({
											printType: '下单',
											printName: '台单',
											printValue: takiprintCmp.getChecked() ? '是' : '否',
											status: '修改'
										});
									}
								}
							}]
						}]
					}]
				}, {
					xtype : 'container',
					layout : 'hbox',
					height : 40,
					margin : '10 0 0 0',
                    cls: 'putup-print-container',
					defaults : {
						height : 40
					},
					items : [{
						xtype : 'button',
						cls : 'sy-tm-button',
						iconMask : true,
						id : 'putup-status-1',
						text : '挂单',
						margin : '0 0 0 5',
						flex : 1,
						handler : function() {
							// timeoutDisable('putup-status-1');
							// Ext.getCmp('putup-edit-view').submitPutUp('-1');
						}
					}, {
						width : 5,
						xtype : 'container'
					}, {
						xtype : 'button',
						cls : 'sy-tm-button',
						margin : '0 5 0 5',
						iconMask : true,
						text : '下单',
						flex : 1,
						id : 'putup-XiaD',
						handler : function() {
							// Ext.getCmp('putup-edit-view').submitPutUp('0');
						}
					}]
				}]
			}, {
				flex : 1,
				layout : 'vbox',
				xtype : "container",
				items : [{
					xtype : 'container',
					id : 'placetype-list-panel',
					cls: 'type-view',
					layout : 'hbox',
					// height : bdySetting.ptLines===2?100:50,
					items : [{
						xtype : 'container',
						layout : 'vbox',
						items : [{
							cls:'order-margin',
							id: 'putup-place-type-down',
							// hidden : bdySetting.ptLines===2?true:false,
							html : '<div class="sy-tm-button fy-button jz-center" onclick="Ext.getCmp(\'putup-edit-view\').downPlaceType()"><img src="resources/icon/public/left.png"></div>'
						}]
					}, //Ext.create('Ext.DataView', {
					{
						xtype : "dataview",
						id : 'placetype-list',
						cls : 'placetype-dataview',
						scrollable : false,
						flex : 1,
						store : Ext.create('Ext.data.Store', {
							id : 'placetype-store',
							model : 'Seller.model.ServicePlaceType',
							data : []
						}),
						listeners : {
							itemtouchstart : function(view, index, target, record, e, eOpts) {
							},
							itemtouchend : function(view, index, target, record, e, eOpts) {
							}
						},
						// itemTpl : ['<tpl if="id == 0"><div  class="commodityType"><div class="orange-button placetype-button jz-center"><img src="resources/icon/public/tianjia.png" /></div></div><tpl else><div  class="commodityType"><div class="sy-tm-button placetype-button jz-center" id="putup-type-button-{id}"  onclick="Ext.getCmp(\'putup-edit-view\').putupServicePlaceTypeClick(this,\'{id}\',\'{typeName}\')">{typeName}</div></div></tpl>'].join('')
						itemTpl: ['<tpl if="id == 0">' +
							'<div  class="commodityType">' +
							'<div class="orange-button placetype-button jz-center">' +
							'<img src="resources/icon/public/tianjia.png" />' +
							'</div></div>' +
							'<tpl else>' +
							'<div class="commodityType">' +
							'<div class="sy-tm-button placetype-button jz-center" id="putup-type-button-{id}"  onclick="Ext.getCmp(\'putup-edit-view\').putupServicePlaceTypeClick(this,\'{id}\',\'{typeName}\')">{typeName}</div>' +
							'</div></tpl>'
						].join('')
					//}), {
                    }, {
						xtype : 'container',
						layout : 'vbox',
						items : [{
							cls:'order-margin',
							id: 'putup-place-type-down2',
							// hidden : bdySetting.ptLines===2?false:true,
							html : '<div class="sy-tm-button fy-button jz-center" onclick="Ext.getCmp(\'putup-edit-view\').downPlaceType()"><img src="resources/icon/public/left.png"></div>'
						}, {
							cls:'order-margin',
							html : '<div class="sy-tm-button fy-button jz-center" onclick="Ext.getCmp(\'putup-edit-view\').upPlaceType()"><img src="resources/icon/public/right.png" /></div>'
						}]
					}]
				}, //Ext.create('Ext.DataView', {
				{
					xtype : "dataview",
					id : 'place-list',
					flex : 1,
					scrollable : false,
					//cls : 'greybg',
					store : Ext.create('Ext.data.Store', {
						id : 'place-store',
						model : 'Seller.model.ServicePlacePutup',
						data : []
					}),
					emptyText : '<div style="width:100%;height:100px;line-height:100px;text-align:center;">没有桌子</div>',
					listeners : {
						itemtap : function(list, index, target, record, e, eOpts) {
							preventEventBubble(e);
						},
						itemtouchstart : function(view, index, target, record, e, eOpts) {
						},
						itemtouchend : function(view, index, target, record, e, eOpts) {
							var me = Ext.getCmp('putup-edit-view');
							var status = record.get('status');
							var id = record.get('id');
							if (id == '0') {
								return;
							}
							if (!status || status == '0' || status == '3') { //没有状态,0-空闲, 3-留位
                                // setTimeout(function() {
                                    //Ext.getCmp('putup-teaPrice').setValue(seller.teaPrice);
                                    $("#place-list .place-selected").removeClass('place-selected');
                                    $("#putup-place" + record.get("id")).addClass("place-selected");
                                // }, 200);
								if (Ext.getCmp('shouyinMainView').sellInfo && Ext.getCmp('shouyinMainView').sellInfo.placeId) {
									var teaPriceChange = '';
                                    var tmpTeaUnitPrice;
                                    var oldTeaPrice = Ext.getCmp('shouyinMainView').sellInfo.teaPrice;
                                    var placeTypeStore = Ext.getCmp('placetype-list').getStore();
                                    var placeTypeRecord = placeTypeStore.findRecord('id', record.get('typeId'));
                                    /*if(placeTypeRecord) {
                                    	tmpTeaUnitPrice = placeTypeRecord.get('teaUnitPrice');
                                    	if (tmpTeaUnitPrice != oldTeaPrice) {
                                            teaPriceChange = '茶位单价将从 ' + oldTeaPrice + ' 改为 ' + tmpTeaUnitPrice + '！';
										}
                                    }*/
                                    showConfirm('提示',/* (teaPriceChange != '' ? teaPriceChange+'<br/>' : '')+*/'确定切换餐桌吗?', function(buttonId) {
										if (buttonId == "yes") {
											me.currSelectPlaceId = record.get('id');
											me.oldSelectPlaceId = Ext.getCmp('shouyinMainView').sellInfo.placeId;
											Ext.getCmp('putup-edit-view').selectChangePlace(record);
										} else {
                                            $("#place-list .place-selected").removeClass('place-selected');
                                            $("#putup-place" + Ext.getCmp('putup-placeId').getValue()).addClass("place-selected");
										}
									});
								} else {
									Ext.getCmp('putup-edit-view').selectPlace(record);
								}
							}
						}
					},
					itemTpl : ['<tpl if="id == 0"><div class="place-dataview"><div class="addimg"></div></div><tpl else> <div class="place-dataview"><div class="cent place-status{status}" id="putup-place{id}"><div style="width:100%;height:60px;" class="jz-center"><p style="word-break:break-word;">{placeName}</p><tpl if="isPinPlace==\'1\'"><div class="commoditynamepin"></div><tpl else><div class="commodityname{status}"></div></tpl></div><span id="placeSpan{id}" class="">人数:{personNum}</span></div></tpl>'].join('')
				//}), {
                }, {
					xtype : 'container',
					layout : 'hbox',
					height : 90,
					hidden : false,
					id : 'placeview-bar',
					defaults : {
						height : 90
					},
					items : [{
						xtype : 'spacer'
					}, {
						margin : 20,
						width : 80,
						xtype : "container",
						html : '<div style="width:60px;height:30px;border-radius:10px;" class="sy-tm-button jz-center" onclick="Ext.getCmp(\'putup-edit-view\').downPlace()"><img src="resources/icon/public/left.png"/></div>'
					}, {
						cls : 'jz-center',
						margin : '20px 50px',
						height : 30,
						xtype : 'container',
						id : 'place-total-label',
						html : '1/1'
					}, {
						width : 80,
						margin : 20,
						xtype : "container",
						html : '<div style="width:60px;height:30px;border-radius:10px;" class="sy-tm-button jz-center" onclick="Ext.getCmp(\'putup-edit-view\').upPlace()"><img src="resources/icon/public/right.png"/></div>'
					}]
				}]
			}]
		}]
	},
	initialize : function(panel, eOpts) {

	},
	clearPlaceStatus : function() {
		var placeId = Ext.getCmp('putup-placeId').getValue();
		var me = this;
		if (me.oldSelectPlaceId) {
            var store = Ext.getStore('place-store');
            for (var i = 0, len = store.getAllCount(); i < len; i++) {
                var r = store.getAt(i);
                if (r.get("id") == me.oldSelectPlaceId) {
                    $("#placeSpan" + me.oldSelectPlaceId).removeClass();
                    r.set('status', 0);
                    break;
                }
            }
		}
		if (placeId) {
			var store = Ext.getStore('place-store');
			for (var i = 0, len = store.getAllCount(); i < len; i++) {
				var r = store.getAt(i);
				if (r.get("id") == placeId) {
					$("#placeSpan" + r.get("id")).removeClass();
					r.set('status', 0);
					break;
				}
			}
		}
	},
	selectPlaceForSellInfo : function(record) {
		var tmpSellInfo = Ext.getCmp('shouyinMainView').sellInfo;
		var placeId = tmpSellInfo.placeId;
		var placeName = tmpSellInfo.placeName;
		var typeId = tmpSellInfo.placeTypeId;
		if(placeId.indexOf(record.get('id')) > -1) {
			Ext.getCmp('putup-placeId').setValue(placeId);
			Ext.getCmp("putup-placeName").setValue(placeName);
		} else {
			Ext.getCmp('putup-placeId').setValue(record.get('id'));
			Ext.getCmp("putup-placeName").setValue(record.get('placeName'));
		}
		Ext.getCmp('putup-personNum').setValue(tmpSellInfo.personNum);
	},
	selectPlaceForSelectPlace : function(record) {
		var placeId = Ext.getCmp('shouyinMainView').selectPlace.get('id');
		var placeName = Ext.getCmp('shouyinMainView').selectPlace.get('placeName');
		var typeId = Ext.getCmp('shouyinMainView').selectPlace.get('typeId');
		if(placeId.indexOf(record.get('id')) > -1) {
			Ext.getCmp('putup-placeId').setValue(placeId);
			Ext.getCmp("putup-placeName").setValue(placeName);
		} else {
			Ext.getCmp('putup-placeId').setValue(record.get('id'));
			Ext.getCmp("putup-placeName").setValue(record.get('placeName'));
		}
	},
	setPutupView : function(record) {
		/* 通过当前record 查找餐桌分类茶位费 */
		record.set('status', 1);
		var placeTypeId = record.get('typeId');
		var placeTypeStore = Ext.getCmp('placetype-list').getStore();
		Ext.getCmp('putup-teaPrice').setValue(0);
		if(!placeTypeStore) return;
		var placeTypeRecord = placeTypeStore.findRecord('id', placeTypeId);
		if(!placeTypeRecord) return;
		var tmpTeaUnitPrice = placeTypeRecord.get('teaUnitPrice');
		tmpTeaUnitPrice = tmpTeaUnitPrice ? tmpTeaUnitPrice : 0;
        tmpTeaUnitPrice = parseDigitalDecimal(tmpTeaUnitPrice);
        Ext.getCmp('putup-teaPrice').setValue(tmpTeaUnitPrice);
	},
	selectPlaceOperator : function(record) {
		var me = this;
		me.clearPlaceStatus();
		Ext.getCmp('putup-placeId').setValue(record.get('id'));
		Ext.getCmp("putup-placeName").setValue(record.get('placeName'));
		me.setPutupView(record);
		if(Ext.getCmp('shouyinMainView').sellInfo) {
	        // 使用销售单的茶位费
	        var sellInfo = Ext.getCmp('shouyinMainView').sellInfo;
	        var sellInfoTeaPrice = sellInfo.teaPrice;
	        if(isValidDigital(sellInfoTeaPrice)) {
	        	if((sellInfoTeaPrice+"").indexOf(".") > -1) {
	        		sellInfoTeaPrice = parseFloat(sellInfoTeaPrice).toFixed(2);
	        	} else sellInfoTeaPrice = parseInt(sellInfoTeaPrice);
	        } else sellInfoTeaPrice = 0;
	        Ext.getCmp('putup-teaPrice').setValue(sellInfoTeaPrice);
		} else {
            Ext.getCmp('putup-personNum').setValue(record.get('personNum'));
            Ext.getCmp('putup-teaPrice').setValue(seller.teaPrice);
        }
        $("#place-list .place-selected").removeClass('place-selected');
        $("#putup-place" + record.get('id')).addClass("place-selected");
	},
	selectChangePlace : function(record) {
		console.warn(record);
		var me = this;
		me.clearPlaceStatus();
		Ext.getCmp('putup-placeId').setValue(record.get('id'));
		Ext.getCmp("putup-placeName").setValue(record.get('placeName'));
		me.setPutupView(record);
		if(Ext.getCmp('shouyinMainView').sellInfo) {
            ServicePlaceDao.loadTypeTeaPriceByPlaceId(record.get('id'), function (success, teaPriceObj) {
                if (success) {
                	var teaPrice = nvlValue(teaPriceObj.teaPrice,'0');
                    Ext.getCmp('putup-teaPrice').setValue(teaPrice);
                } else showToast('获取区域茶位费失败！');
            })
		}
		else {
            Ext.getCmp('putup-personNum').setValue(record.get('personNum'));
            Ext.getCmp('putup-teaPrice').setValue(seller.teaPrice);
        }
        $("#place-list .place-selected").removeClass('place-selected');
        $("#putup-place" + record.get('id')).addClass("place-selected");
	},
	selectPlace : function(record) {
		var me = this;
		me.clearPlaceStatus();
        Ext.getCmp('putup-personNum').setValue(record.get('personNum'));
		if (Ext.getCmp('shouyinMainView').selectPlace) {
			me.selectPlaceForSelectPlace(record);
			me.setPutupView(record);
		} else if(Ext.getCmp('shouyinMainView').sellInfo && Ext.getCmp('shouyinMainView').sellInfo.placeId) {
			me.selectPlaceForSellInfo(record);
		} else {
			Ext.getCmp('putup-placeId').setValue(record.get('id'));
			Ext.getCmp("putup-placeName").setValue(record.get('placeName'));
			me.setPutupView(record);
		}
        $("#place-list .place-selected").removeClass('place-selected');
        $("#putup-place" + record.get("id")).addClass("place-selected");
	},
	resetData : function() {
		var me = this;
		Ext.getCmp('putup-edit-form').reset();
		Ext.getCmp('putup-remark').setValue('');
		Ext.getCmp('putup-placeName').setValue('');
		var store = Ext.getStore('placetype-store');
		store.removeAll();
		this.clearplace();
		//Ext.getCmp('putup-teaPrice').setValue(seller.teaPrice ? seller.teaPrice : 0);
		Ext.getCmp('putup-teaPrice').setValue(0);

		// 是否显示打印设置
		if (!(showPtSetting.isOrderPrintShow == 'false' || showPtSetting.isOrderPrintShow == false)) {
			Ext.getCmp('edit-show-print').setHidden(false);
			Ext.getCmp('edit-hide-print').setHidden(true);
		} else {
			Ext.getCmp('edit-show-print').setHidden(true);
			Ext.getCmp('edit-hide-print').setHidden(false);
		}
		if (!(setting.isOrderCustomerPrint == 'false' || setting.isOrderCustomerPrint == false)) {
			Ext.getCmp('putup-sy-customer-print1').check();
		} else {
			Ext.getCmp('putup-sy-customer-print1').uncheck();
		}

		if (!(setting.isOrderPrivatePrint == 'false' || setting.isOrderPrivatePrint == false)) {
			Ext.getCmp('putup-sy-private-print1').check();
		} else {
			Ext.getCmp('putup-sy-private-print1').uncheck();
		}

		if (!(setting.isOrderKitchenPrint == 'false' || setting.isOrderKitchenPrint == false)) {
			Ext.getCmp('putup-kitchen-print1').check();
		} else {
			Ext.getCmp('putup-kitchen-print1').uncheck();
		}

		if (!(setting.isOrderLabelPrint == 'false' || setting.isOrderLabelPrint == false)) {
			Ext.getCmp('putup-label-print1').check();
		} else {
			Ext.getCmp('putup-label-print1').uncheck();
		}

		if (!(setting.isOrderTablePrint == 'false' || setting.isOrderTablePrint == false)) {
			Ext.getCmp('putup-table-print1').check();
		} else {
			Ext.getCmp('putup-table-print1').uncheck();
		}

		me.isFistLoad = false;
		me.longTimeClickTimeout = null;
		me.isLongTimeClick = false;
		me.currEditPlaceTypeId = null;
		me.currField = null;
		me.firstFocus = true;
		//分页工具
		if(me.placeTypePage)
			me.placeTypePage.reset();
		if(me.placePage)
			me.placePage.reset();
		me.setPlacePageSize();
		setTimeout(function() {
			me.currField = Ext.getCmp('putup-personNum');
			me.currField.focus();
		}, 50);
	},
	setPlacePageSize: function() {
		// 选桌下单重新定义加载餐桌个数
		var me = this;
		me.placePage = new $.PageUtil({
			limitCount: bdySetting.placeLines * bdySetting.placeColumns
		});
	},
	refreshData : function(typeId) {
		var me = this;
		//ServicePlaceDao.loadServicePlaceByTypeId(typeId, function(success, res) {
		ServicePlaceDao.loadPlacePageByTypeId(typeId, me.placePage.getLimitCount(), me.placePage.getOffset(), function(success, res) {
			if (success) {
				if (res.length > 0) {
					me.loadplace(res, typeId);
				} else {
				}
			}
		});
	},
	resetCmpData : function() {
		var me = this;
		me.isFistLoad = false;
		me.longTimeClickTimeout = null;
		me.isLongTimeClick = false;
		me.currEditPlaceTypeId = null;
		me.currField = null;
		me.firstFocus = true;
		//分页工具
		if(me.placeTypePage)
			me.placeTypePage.reset();
		if(me.placePage)
			me.placePage.reset();
	},
	loadDataForSellInfo : function() {
		var me = this;
		var currsellInfo = Ext.getCmp('shouyinMainView').sellInfo;
		if (currsellInfo.placeId) {
			var _placeId = currsellInfo.placeId.split('-')[0];
			ServicePlaceDao.getServicePlaceById(_placeId, function(success, place) {
				if (success && place) {
					me.currEditPlaceTypeId = place.typeId;
					me.currSelectPlaceId = place.id;
				}
				me.firstTimeEnter = true;
				me.toPlaceClick(me.currEditPlaceTypeId);
			});
		} else {
			me.toPlaceClick();
		}
		me.fillData(currsellInfo);
		if (currsellInfo.status == '-1') { // 挂单
			Ext.getCmp('putup-status-1').show();
		} else {
			Ext.getCmp('putup-status-1').hide();
		}

		if(Ext.getCmp('putup-shopSign1')) // 牌号
			Ext.getCmp('putup-shopSign1').setValue(currsellInfo.shopSign);
	},
	loadDataForPlace : function() { // 先选桌再下单
		var me = this;
		Ext.getCmp('putup-status-1').show();
		var selectPlace = Ext.getCmp('shouyinMainView').selectPlace;
		var placeId = selectPlace.get('id');
		var placeName = selectPlace.get('placeName');
		var typeId = selectPlace.get('typeId');
		Ext.getCmp('putup-placeId').setValue(placeId);
		Ext.getCmp("putup-placeName").setValue(placeName);
		me.currEditPlaceTypeId = typeId;
		me.toPlaceClick(me.currEditPlaceTypeId);
	},
	loadData : function() {
		var me = this;
		me.isFistLoad = true;
        me.firstTimeEnter = null;
		me.resetData();
		me.updateEditPlaceBdySetting();// 更新餐桌分类显示行数
		me.setItemTpl();
		if (Ext.getCmp('shouyinMainView').sellInfo) {
			me.loadDataForSellInfo();
		} else if(Ext.getCmp('shouyinMainView').selectPlace) {
			me.loadDataForPlace();
			if (Ext.getCmp('putup-shopSign1')) {}
		} else {
			Ext.getCmp('putup-status-1').show();
			me.toPlaceClick();
			if (Ext.getCmp('putup-shopSign1')) {
			}
		}
        var waiterCmp = Ext.getCmp("select-waiter-name-putup");
        var fullWaiterData = function() {
            var optionData = [{text:'',value:''}];
            for(var si=0,slen=saleEmloyees.length;si<slen;si++) {
                optionData.push({text:saleEmloyees[si].workName,value:saleEmloyees[si].id});
            }
            if(waiterCmp) {
                waiterCmp.setOptions(optionData);
            }
        }
        if (saleEmloyees.length > 0) fullWaiterData();
        else {
            SellerEmployeeDao.loadSellerEmployee('2', function(success, res) {
                if (!success) return;
                saleEmloyees = res;
                if (res.length > 0) fullWaiterData();
            });
        }
		me.currField = Ext.getCmp('putup-teaPrice');
		setTimeout(function() {
			me.checkLoadData();
		}, 1500);
        me.currSelectPlaceId = null;
        me.oldSelectPlaceId = null;
        $('.putup-delete').css({width:'40px'});
	},
	setItemTpl: function() {
		var editPlaceItemTpl = '<tpl if="id == 0">' +
			'<div class="place-dataview" style="width:' + placeColumnsWidth + ';height:' + EditPlaceLineHeight + 'px;">' +
			'<div class="addimg"></div></div>' +
			'<tpl else> ' +
			'<div class="place-dataview" style="width:' + placeColumnsWidth + ';height:' + EditPlaceLineHeight + 'px;">' +
			'<div class="cent place-status{status}" id="putup-place{id}">' +
			'<div style="width:100%;height:60%;font-size:' + bdySetting.placeFontSize + 'px;" class="jz-center">' +
			'<p style="word-break:break-word;">{placeName}</p>' +
			'<tpl if="isPinPlace==\'1\'">' +
			'<div class="commoditynamepin"></div>' +
			'<tpl else><div class="commodityname{status}"></div></tpl>' +
			'</div><span id="placeSpan{id}" class="">人数:{personNum}</span>' +
			'</div></tpl>';
		Ext.getCmp('place-list').setItemTpl([editPlaceItemTpl]);
	},
	fillData : function(sellInfo) {
		Ext.getCmp('putup-shopSign1').setValue(sellInfo.shopSign);
		Ext.getCmp('putup-placeId').setValue(sellInfo.placeId);
		Ext.getCmp('putup-personNum').setValue(sellInfo.personNum);
		Ext.getCmp('putup-teaPrice').setValue(sellInfo.teaPrice ? sellInfo.teaPrice : 0);
		Ext.getCmp('putup-remarkIds').setValue(sellInfo.remarkIds);
		Ext.getCmp("putup-remark").setValue(sellInfo.remark);
		Ext.getCmp("putup-placeName").setValue(sellInfo.placeName);
	},
	upPlaceType : function() {
		this.pagePlaceType(this.placeTypePage.up);
	},
	downPlaceType : function() {
		this.pagePlaceType(this.placeTypePage.down);
	},
	pagePlaceType : function(pageExecutor) {
		var me = this;
		pageExecutor.call(this.placeTypePage);
		Ext.getCmp('putup-edit-view').clearPlaceType();
		ServicePlaceDao.loadPlaceTypePage(me.placeTypePage.getLimitCount(), me.placeTypePage.getOffset(), function(success, res) {
			if (success) {
				me.loadServicePlaceType(res);
                me.putupSelectPlaceType(res[0].id)
			}
		});
	},
	doSelectPlaceType : function(id) {
		var me = this;
		me.clearplace();
		me.getPlaceTotalPageByTypeId(id, function(success) {
			if (success) {
				ServicePlaceDao.loadPlacePageByTypeId(id, me.placeInfoPage.getLimitCount(), me.placeInfoPage.getOffset(), function(success, res) {
					if (success) {
						if (res.length > 0) {
								me.loadplace(res, id);
						} else {
							//Ext.getCmp('putup - edit - view').loadCommodityInfoButton(id);
						}
					}
				});
			}
		});
	},
	getPlaceTypeTotalPage : function(callBack) {
		var me = this;
		ServicePlaceDao.getPlaceTypeTotalCount(function(success, totalCount) {
			if (success) {
				me.placeTypePage.countPage(totalCount);
				if (callBack) {
					callBack(true);
				}
			} else {
				if (callBack) {
					callBack(false);
				}
			}
		});
	},
	clearPlaceType : function() {
		var store = Ext.getStore('placetype-store');
		store.removeAll();
		this.clearplace();
	},
	loadServicePlaceType : function(datas) {
		var me = this;
		var store = Ext.getStore('placetype-store');
		var item;
		var first;
		store.removeAll();
		var firstId;
		var isExist = false;
		for (var i = 0, len = datas.length; i < len; i++) {
			item = datas[i];
			if (me.currEditPlaceTypeId == item.id) {
				isExist = true;
			}
			if (i == 0) {
				firstId = item.id;
			}
			store.add(item);
		}
		//if (me.isFistLoad && me.currEditPlaceTypeId) {
		if(me.currEditPlaceTypeId) {
			me.putupSelectPlaceType(me.currEditPlaceTypeId);
			// setTimeout(function() {
			// 	$("#putup-type-button-" + me.currEditPlaceTypeId).addClass('commoditytype-button-select');
			// }, 200);
		} else {
			me.putupSelectPlaceType(firstId);
			// setTimeout(function() {
			// 	$("#putup-type-button-" + firstId).addClass('commoditytype-button-select');
			// }, 200);
		}
		me.isFistLoad = false;
	},
	/**
	 * 清空
	 */
	clearplace : function() {
		var store = Ext.getStore('place-store');
		store.removeAll();
	},
	/**
	 * 加载服务场所
	 * @param {Object} datas
	 * @param {Object} typeId
	 */
	loadplace : function(datas, typeId) {
		var me = this;
		this.clearplace();
		var store = Ext.getStore('place-store');
		var commodityData;
		var i = 0;
		var k = 0;
		var isPlaceShow = false;
		while (i < datas.length) {
			if (!commodityData) {
				commodityData = [];
			}
			if (datas[i].status != '2') {
				commodityData[k++] = datas[i];
			}
			if (k > 4) {
				for (var j = 0, len = commodityData.length; j < len; j++) {
					var records = store.add(commodityData[j]);
					if (commodityData[j].status == '1') {
						me.setPlaceStatus(records[0]);
					}
				}
				k = 0;
				commodityData = null;
			}
			if (datas[i].id == me.currSelectPlaceId) isPlaceShow = true;
			i++;
		}
        if (me.currEditPlaceTypeId == typeId && me.firstTimeEnter && !isPlaceShow) {
            Ext.getCmp('putup-edit-view').upPlace();
            me.firstTimeEnter = true;
            return;
        }
		if (commodityData) {
			for (var j = 0, len1 = commodityData.length; j < len1; j++) {
				var tmpRecords = store.add(commodityData[j]);
				if (commodityData[j].status == '1') {
					me.setPlaceStatus(tmpRecords[0]);
				}
			}
			commodityData = null;
			k = 0;
		}
		var placeId = Ext.getCmp('putup-placeId').getValue();
		me.selectPlaceById(placeId);
		if (me.currSelectPlaceId) {
            var currSelectPlaceRecord = store.findRecord('id', me.currSelectPlaceId);
            if (currSelectPlaceRecord)
            	//me.selectChangePlace(currSelectPlaceRecord);
            	me.selectPlaceOperator(currSelectPlaceRecord);
        }
	},
	setPlaceStatus : function(record) {
		if(!record) return;
		var placeId = record.get('id');
		SellDao.getCurrSellInfoByPlaceIdPin(placeId, function(success, pinSellInfos) {
			var isPinPlace = false;
			if(success && pinSellInfos && pinSellInfos.length > 1) {
				isPinPlace = true;
			}
			record.set('isPinPlace', isPinPlace);
		});
	},
	deletePlace : function(record) {
		var store = Ext.getStore('place-store');
		store.remove(record);
	},
	deletePlaceType : function(record) {
		var store = Ext.getStore('placetype-store');
		store.remove(record);
	},
	/**
	 * 设置口味
	 */
	setPutupRemark : function(remark, remarkIds) {
		Ext.getCmp('putup-remarkIds').setValue(remarkIds);
		Ext.getCmp('putup-remark').setValue(remark);
	},
	/**
	 * 点击分类
	 */
	putupServicePlaceTypeClick : function(element, id, name) {
		var me = Ext.getCmp('putup-edit-view');
		if (!name) {
			return;
		}
		Ext.query(".placetype-button").forEach(function(element, index, array) {
			// Ext.get(element).removeCls('commoditytype-button-select');
			Ext.get(element).removeCls('type-button-selected');
		});
		// Ext.get(element).addCls('commoditytype-button-select');
		Ext.get(element).addCls('type-button-selected');

		me.putupSelectPlaceType(id);
	},
	selectNormPlaceById : function(placeId) {

	},
	selectSharePlaceById : function(placeId) {

	},
	selectRealPlaceStatus : function(record) {
		setTimeout(function() {
			$(".place-selected").removeClass('place-selected');
			$("#putup-place" + record.get("id")).addClass("place-selected");
		}, 100);
	},
	selectRealPlaceById : function(record) {
		Ext.getCmp('putup-edit-view').selectPlace(record);
		this.selectRealPlaceStatus(record);
	},
	selectPlaceById : function(placeId) {
		if(!placeId){
			return;
		}
		var me = this;
		setTimeout(function() {
			var store = Ext.getStore('place-store');
			var record = store.findRecord("id", placeId);
			if (record) { // 未拼桌的情况
				var status = record.get('status');
				if (!status || status == '0' || status == '3') {
					me.selectRealPlaceById(record);
				} else {
					me.selectRealPlaceStatus(record);
				}
			} else { // 拼桌
				var recordNum = store.findBy(function(record, id) {
					//console.log(arguments);
					if(placeId.indexOf(id) > -1) return true;
				});
				var recordByIndex = store.getAt(recordNum);
				if(recordByIndex) {
					me.selectRealPlaceById(recordByIndex);
				}
			}
		}, 100);
	},
	putupSelectPlaceType : function(id) {
		var me = Ext.getCmp('putup-edit-view');
		Ext.getCmp('putup-edit-view').clearplace();
		me.currEditPlaceTypeId = id;
		me.placePage.setCurrPage(1);
		me.getPlaceTotalPageByTypeId(id, function(success) {
			if (success) {
				ServicePlaceDao.loadPlacePageByTypeId(id, me.placePage.getLimitCount(), me.placePage.getOffset(), function(success, res) {
					if (success && res) {
						Ext.getCmp('putup-edit-view').loadplace(res, id);
						// 添加餐桌分类选中样式
						$('#putup-type-button-' + me.currEditPlaceTypeId).addClass('type-button-selected')
					}
				});
			}
		});
        if (me.firstTimeEnter != null)
			me.firstTimeEnter = false;
	},
	getPlaceTotalPageByTypeId : function(currEditPlaceTypeId, callBack) {
		var me = Ext.getCmp('putup-edit-view');
		ServicePlaceDao.getPlaceTotalCountByTypeId(me.currEditPlaceTypeId, function(success, totalCount) {
			if (success) {
				me.placePage.countPage(totalCount);
				Ext.getCmp('place-total-label').setHtml(me.placePage.getCurrPage() + "/" + me.placePage.getTotalPage());
				if (callBack) {
					callBack(true);
				}
			} else {
				if (callBack) {
					callBack(false);
				}
			}
		});
	},
	/**
	 * 向上滚动
	 */
	upPlace : function() {
		/*var me = Ext.getCmp('putup-edit-view');
		if (!me.currEditPlaceTypeId) {
			showAlert("提示", "请先增加分类！");
			return;
		}
		//me.placePage.up();
		upThingPage(me.placePage, function(startPage, endPage) {
			me.pagePlace();
		});*/
		this.pagePlace(upThingPage);
	},
	/**
	 * 向下滚动
	 */
	downPlace : function() {
		/*var me = Ext.getCmp('putup-edit-view');
		if (!me.currEditPlaceTypeId) {
			showAlert("提示", "请先增加分类！");
			return;
		}
		//me.placePage.down();
		downThingPage(me.placePage, function(startPage, endPage) {
			me.pagePlace();
		});*/
		this.pagePlace(downThingPage);
	},
	pagePlace : function(pageExecutor) {
		var me = this;
        if (me.firstTimeEnter != null)
        	me.firstTimeEnter = false;
		var me = this;
		pageExecutor(me.placePage, function(startPage, endPage) {
			Ext.getCmp('putup-edit-view').clearplace();
			ServicePlaceDao.loadPlacePageByTypeId(me.currEditPlaceTypeId, me.placePage.page.limitCount, me.placePage.getOffset(), function(success, res) {
				if (success) {
					Ext.getCmp('putup-edit-view').loadplace(res, me.currEditPlaceTypeId);
				}
			});
			Ext.getCmp('place-total-label').setHtml(me.placePage.getCurrPage() + "/" + me.placePage.getTotalPage());
		});
	},
	toPlaceClick : function(typeId) {
		var me = Ext.getCmp('putup-edit-view');
		var placeIndex = null;
		me.clearPlaceType();
		me.getPlaceTypeTotalPage(function(success) {
			if (success) {
				ServicePlaceDao.loadPlaceTypePage(me.placeTypePage.getLimitCount(), me.placeTypePage.getOffset(), function(success, res) {
					if (success) {
						if (res.length > 0 && typeId) {
							var isTypeShow = false;
							for (var ri = 0; ri < res.length ;ri++) {
								if (res[ri].id == typeId) {
                                    isTypeShow = true;
                                    placeIndex = ri;
                                    break;
                                }
							}
							if (!isTypeShow) {
								me.placeTypePage.up();
								me.toPlaceClick(typeId);
								if (me.firstTimeEnter != null)
                                	me.firstTimeEnter = true;
								return;
                            }
						}
						me.loadServicePlaceType(res);
                        if (me.firstTimeEnter != null)
                        	me.firstTimeEnter = true;
					}
				});
			}
		});

	},
	toDiscountClick : function() {
		var allRemarkView=Ext.getCmp('allRemarkView');
		if (!allRemarkView) {
			allRemarkView=Ext.Viewport.add(Ext.create('Ext.ux.AllRemark'));
		}
		showBy(allRemarkView,Ext.getCmp('putup-edit-view'));
		var remarkIds = Ext.getCmp('putup-remarkIds').getValue();
		Ext.getCmp('allRemarkView').setParentContainer(Ext.getCmp('putup-edit-view'));
		Ext.getCmp('allRemarkView').setPutupRemark(remarkIds);
	},
	selectEditPlaceType : function(id) {
		var me = Ext.getCmp('putup-edit-view');
		me.clearplace();
		me.currPlaceTypeId = id;
		me.placePage.setCurrPage(1);
		me.getPlaceTotalPageByTypeId(id, function(success) {
			if (success) {
				ServicePlaceDao.loadPlacePageByTypeId(id, me.placePage.getLimitCount(), me.placePage.getOffset(), function(success, res) {
					if (success && res) {
						me.loadplace(res, id);
					}
				});
			}
		});
	},
	resetSubmit:function(){
		setTimeout(function(){
			isPutupSubmiting=false;
		},1000)
	},
	/**
	 * 挂单确定处理
	 */
	submitPutUp : function(status) {
        var me = Ext.getCmp('putup-edit-view');
		if(isPutupSubmiting){
			return;
		}
		/* 保留原本的茶位费 */
		var oldTeaPrice = 0;
		var placeTypeCmp = Ext.getCmp('placetype-list');
		if(!placeTypeCmp) ;
		else {
			var placeTypeStore = placeTypeCmp.getStore();
			if(!placeTypeStore);
			else {
				var placeTypeRecord = placeTypeStore.findRecord("id",me.currEditPlaceTypeId);
				if(!placeTypeRecord) ;
				else oldTeaPrice = placeTypeRecord.get('teaUnitPrice');
				oldTeaPrice = oldTeaPrice ? oldTeaPrice : 0;
			}
		}

		var me=this;
		isPutupSubmiting=true;
		var shouyinMain = Ext.getCmp('shouyinMainView');
		var shopSign = Ext.getCmp('putup-shopSign1').getValue();
		var placeId = Ext.getCmp('putup-placeId').getValue();
		var placeName = Ext.getCmp("putup-placeName").getValue();
		var personNum = Ext.getCmp('putup-personNum').getValue();
		var teaPrice = Ext.getCmp('putup-teaPrice').getValue();
		var remark = Ext.getCmp('putup-remark').getValue();
		var remarkIds = Ext.getCmp('putup-remarkIds').getValue();
		var saleId = null;
		var saleWorkId = null;
		var saleName = null;
        if(Ext.getCmp("select-waiter-name-putup")) {
            saleId = Ext.getCmp("select-waiter-name-putup").getValue();
            try {
                for (var si = 0, slen = saleEmloyees.length; si < slen; si++) {
                    if(saleEmloyees[si].id == saleId) {
                        saleWorkId = saleEmloyees[si].workId;
                        saleName = saleEmloyees[si].workName;
                    }
                }
            } catch(err) {}
        }
		var teaAmount = 0;
		if(!checkValidCondition(personNum.trim(), ConditionValue.NOTEMPTY|ConditionValue.NOTZERO|ConditionValue.CKINTEGER, '请输入正确的人数!')) {
			me.resetSubmit();
			return;
		}
		/*if(!personNum && personNum != 0) {
			showAlert('提示', '请输入正确的人数!');
			return;
		} else if(!isPositiveInteger(personNum)) {
			showAlert('提示', '请输入正确的人数!');
			return;
		}*/
		if (personNum && teaPrice) {
			teaAmount = personNum * teaPrice;
		}
		/*if(!placeId || !placeName) {
			showAlert('提示', '请选择餐桌!');
			return;
		}
		if (teaPrice && !checkPositiveNumber(teaPrice)) {
			showAlert('提示', '茶位单价请输入有效数字\n保留两位有效数字如(3.88)！');
			return;
		}*/
		if(placeId == "") {
			me.resetSubmit();
			showAlert('提示', '请选择餐桌!');
			return;
		} else if(!checkValidCondition(placeId, ConditionValue.NOTEMPTY, '请选择餐桌!')) return;
		if(placeName == "") {
			me.resetSubmit();
			showAlert('提示', '请选择餐桌');
			return;
		} else if(!checkValidCondition(placeName, ConditionValue.NOTEMPTY, '请选择餐桌!')) {
			me.resetSubmit();
			return;
		}
		if (teaPrice) {
			var v = teaPrice.split('.');
			if (v[0].length > 7) {
				showAlert('提示', '茶位单价整数位最大只支持 7 位！', null, null, null, function () {
                    me.currField = Ext.getCmp('putup-teaPrice');
                });
                me.resetSubmit();
				return;
			} else if (v.length > 1 && v[1].length > 2) {
                showAlert('提示', '茶位单价小数位最大只支持 2 位！', null, null, null, function () {
                    me.currField = Ext.getCmp('putup-teaPrice');
                });
                me.resetSubmit();
                return;
			} else if(!checkValidCondition(teaPrice.trim(), ConditionValue.NOTEMPTY|ConditionValue.CKPOSITIVE, '茶位单价请输入有效数字\n保留两位有效数字如(3.88)!')) {
                me.resetSubmit();
                return;
            }
		}
		new Promise(function(resolve, reject) {
			if(oldTeaPrice!=teaPrice) {
				checkPermissions(PERMISSIONS.TEAPRICEMODIFY, true, "对不起,您没有权限修改茶位费!")
				.then(function() {
					resolve(true);
				}).catch(function() {me.resetSubmit();});
			} else resolve(true);
		}).then(function() {
			if (personNum) {
				if (personNum.length > 4) {
					showAlert('提示', '客人数最大只支持 4 位！', null, null, null, function () {
						me.currField = Ext.getCmp('putup-personNum');
					});
					me.resetSubmit();
					return;
				}
			}


			var data = {
				syned : '0',
				status : status,
				discount : shouyinMain.discount,
				shopSign : nvlValue(shopSign, ''),
				placeId : nvlValue(placeId, ''),
				placeName : nvlValue(placeName, ''),
				personNum : nvlValue(personNum, 0),
				remark : nvlValue(remark, ''),
				remarkIds : nvlValue(remarkIds, ''),
				teaPrice : nvlValue(teaPrice, 0),
				teaAmount : nvlValue(teaAmount, 0),
				saleId : saleId,
				saleWorkId : saleWorkId,
				saleName : saleName
			};
			if (seller.teaPrice != teaPrice) {
				updateTeaPrice(teaPrice);
			}

			data.costAmount = shouyinMain.costAmount;
			if (data.status == '-1') {
				console.log('操作单据：选择餐桌' + data.placeName + '进行挂单操作--' + new Date().format('yyyy-MM-dd hh:mm:ss'));
			} else {
				console.log('操作单据：选择餐桌' + data.placeName + '进行下单操作--' + new Date().format('yyyy-MM-dd hh:mm:ss'));
			}
			//判断是否是取单的挂单操作
			if (Ext.getCmp('shouyinMainView').sellInfo) {
				var oldPlaceId=Ext.getCmp('shouyinMainView').sellInfo.placeId;
				var details = Ext.getCmp('shouyinMainView').getChangeRecord();
				var sellId = Ext.getCmp('shouyinMainView').sellInfo.id;
				var sellInfoStatus = Ext.getCmp('shouyinMainView').sellInfo.status;  // 之前是否处于挂单状态
				var oldSellInfo = Ext.getCmp('shouyinMainView').sellInfo;
				var date = new Date();
				data.id = sellId;
				data.placeName = placeName;
				data.status = status;
				data.placeId = placeId;
				//oldSellInfo.sellInfoStatus = sellInfoStatus;
				//oldSellInfo.oldPlaceId = oldPlaceId;
				data.oldStatus = sellInfoStatus;
				var sellInfoNotDiscountAmount = nvlValue(Ext.getCmp('shouyinMainView').sellInfo.notDiscountAmount, 0);
				var sellInfoDiscountAmount = nvlValue(Ext.getCmp('shouyinMainView').sellInfo.discountAmount, 0);
				data.notDiscountAmount = parseFloat(parseFloat(sellInfoNotDiscountAmount) + calcNotDiscountAmountForDetails(details)).toFixed(2);
				data.discountAmount = parseFloat(parseFloat(sellInfoDiscountAmount) + calcDiscountAmountForDetails(details)).toFixed(2);
				var tmpDiscountAmount = parseFloat(parseFloat(data.discountAmount) * (parseFloat(data.discount)/100));
				data.alreadyDiscountAmount = parseFloat(parseFloat(data.discountAmount) - parseFloat(tmpDiscountAmount)).toFixed(2);
				commonPutupBySellInfo(details, data, function() {
					me.resetSubmit();
					if (Ext.getCmp('shouyinMainView').sellInfo.placeName != placeName) {
						PrintDao.printChangeTableLogic(Ext.getCmp('shouyinMainView').sellInfo.placeName, placeName);
					}
					if(placeId) {
						if(oldPlaceId&&oldPlaceId!=placeId){
							dealPlace(3, oldPlaceId);
						}
					}
					Ext.getCmp('shouyinMainView').resetData();
					if(sySetting.mode == SYS_TYPE.HOTEL){
						syLeftButtonClick($(".sy-left-button[index="+6+"]")[0], 6);
					};
					Ext.getCmp('putup-edit-view').hide();
					showCustomerDisplay(0x30, '0.00');
				});
				return;
				var tmpSellDetails = createSellDetailsByData(details, Ext.getCmp('shouyinMainView').sellInfo);
				updateSellInfoAndDetails(tmpSellDetails, data, function(success, message) {
					if(success) {
						if (Ext.getCmp('shouyinMainView').sellInfo.placeName != placeName) {
							PrintDao.printChangeTableLogic(Ext.getCmp('shouyinMainView').sellInfo.placeName, placeName);
						}
						if (placeId) {
							dealPlace(status, placeId);
							if(oldPlaceId&&oldPlaceId!=placeId){
								dealPlace(3, oldPlaceId);
							}
							refreshPlace();
						}
						if (status != '-1') {
							//console.log(sellInfoStatus);
							if (details.length > 0) {
								SellDao.getSellInfoById(sellId, function(success, sellInfo) {
									if(sellInfoStatus == '-1')
										PrintDao.printOrderById(sellId, '',function (message) {
											if (message){
												showAlert('提示', message);
											}
										});
									else
										PrintDao.printOrderInfoDetail(sellInfo, tmpSellDetails, function (message) {
											if (message){
												showAlert('提示', message);
											}
										});
								});
							} else {
								if(sellInfoStatus == '-1')
									PrintDao.printOrderById(sellId, '', function (message) {
										if (message){
											showAlert('提示', message);
										}
									});
							}
						}
						Ext.getCmp('shouyinMainView').resetData();
						if(sySetting.mode == SYS_TYPE.HOTEL){
							syLeftButtonClick($(".sy-left-button[index="+6+"]")[0], 6);
						};
						Ext.getCmp('putup-edit-view').hide();
						showCustomerDisplay(0x30, '0.00');
					}
				});
				return;
			}

			data.totalAmount = shouyinMain.totalAmount;
			data.sellAmount = shouyinMain.sellAmount;
			data.costAmount = shouyinMain.costAmount;
			data.commodityNum = shouyinMain.commodityNum;
			if (Ext.getCmp('shouyinMainView').selectCustomerInfo) {
				data.customerId = shouyinMain.selectCustomerInfo.id;
				data.customerName = shouyinMain.selectCustomerInfo.name;
				data.customerMobile = shouyinMain.selectCustomerInfo.mobile;
				data.customerAddress = shouyinMain.selectCustomerInfo.address;
			}
			setClerkInfo(data);
			console.log('收银员' + shouYinEmployee.workName + '在收银台(' + seller.deviceId + ')' + '选择餐桌' + data.placeName + '下单，明细数量：' + data.commodityNum + '---' + new Date().format('yyyy-MM-dd hh:mm:ss'));
			Ext.getCmp('shouyinMainView').createSellInfo(status, data, function(success, msg, codeUrl, sellId) {
				me.resetSubmit();
				if (success) {
					if (status == '0') {
						console.log('打印明细：订单' + sellId);
						PrintDao.printOrderById(sellId, '');
					}
					Ext.getCmp('shouyinMainView').resetData();
					if(sySetting.mode == SYS_TYPE.HOTEL){
						syLeftButtonClick($(".sy-left-button[index="+6+"]")[0], 6);
					};
					showCustomerDisplay(0x30, '0.00');
					dealPlace(status, placeId);
					Ext.getCmp('putup-edit-view').hide();
				} else {
					showAlert('提示', msg ? msg : '操作失败！');
				}
			});
		}).catch(function() {});
	},
	checkLoadData : function() {
		var me = this;
		var store = Ext.getStore('placetype-store');
		if (store.getAllCount() < 1) {
			me.loadData();
		}
	},
	refreshChgData : function() {
		this.refreshData();
	},
	updateEditPlaceBdySetting(){
		if (bdySetting.ptLines === '2') {
			Ext.getCmp('putup-place-type-down2').setHidden(false);
			Ext.getCmp('putup-place-type-down').setHidden(true);
			Ext.getCmp('placetype-list-panel').setHeight(100);
			Ext.getCmp('putup-edit-view').placeTypePage.setLimitCount(16); //显示个数
		} else if (bdySetting.ptLines === '1') {
			Ext.getCmp('putup-place-type-down').setHidden(false);
			Ext.getCmp('putup-place-type-down2').setHidden(true);
			Ext.getCmp('placetype-list-panel').setHeight(50);
			Ext.getCmp('putup-edit-view').placeTypePage.setLimitCount(8); //显示个数
		}
		var eleListHeight = getHtmlElementHeight("#place-list");
		if (eleListHeight == 0) return;
		EditPlaceLineHeight = parseFloat(eleListHeight / bdySetting.placeLines).toFixed(0); // 餐桌高度
		if (EditPlaceLineHeight > 150) EditPlaceLineHeight = 150;
		placeColumnsWidth = parseFloat(100 / bdySetting.placeColumns - 0.1).toFixed(2) + '%'; // 餐桌宽度
		console.log('餐桌高度：' + EditPlaceLineHeight + '，餐桌宽度：' + placeColumnsWidth);
	}
});
