
var CommonDao={

    /**
     * 新增
     * */
    add : function(tableName,sqlData, callBack) {
        insert(tableName, sqlData, callBack);
    },
    /**
     *删除
     */
    delete : function(tableName,id, callBack) {
        del(tableName, id, callBack);
    },

    /**
     * 更新
     * @param {Object} callback(success,err)
     */
    update : function(tableName,sqlData,id, callback) {
        update(tableName,sqlData,id,callback)
    },
    /**
     * 执行sql
     */
    excuteSql : function (sql, callBack) {
        executeSql(sql, callBack)
    },
    /**
     * 查询单条数据
     * @param {Object} callback(success,err)
     */
    getSingleRowDataByParam : function(sql,filterValue,filterParam, callback) {

        var newSql=sql;
        if(!Ext.isEmpty(filterValue))
        {
            newSql=sql+' '+filterValue;
        }
        // console.log(newSql);
        // console.log(filterParam);
        getBySqlParam(newSql,filterParam,callback);
    },

    /**
     * 查询多条数据
     * @param {Object} callback(success,err)
     */
    getMultiRowDataByParam : function(sql,filterValue,filterParam, callback) {
        //console.log(sql);
        var newSql=sql;
        if(!Ext.isEmpty(filterValue))
        {
            newSql=sql+' '+filterValue;
        }
        // console.log(newSql);
        // console.log(filterParam);
        loadBySqlParam(newSql,filterParam,callback);
    },
}