var LoadDataDao = {
    /**
     *更新数据
     * @param {Object} sellerUserName
     * @param {Object} userPwd
     */
    updateData : function(callBack) {
        callBack = callBack || emFunc;
        if (Application.Ftype == Application.SLAVE) {
            /* 副机 */
            callBack && callBack(true);
            return;
        }
        console.log("updateDateNew-开始", new Date().format("yyyy-MM-dd hh:mm:ss"));
        nativePostRequest(webHostDownInterface + '/loaddata/updateDataNew?time=' + new Date().getTime(), {
            activationCode: seller.activationCode
        }, function (result) {
        	console.log("updateDateNew-返回", new Date().format("yyyy-MM-dd hh:mm:ss"));
            if (result.activationInfo) {
                activationinfo.expirationDate = result.activationInfo.expirationDate + "";
                activationinfo.activationStatus = result.activationInfo.activationStatus + "";
                SellerDao.updateActivationInfo({
                    activationStatus: result.activationInfo.activationStatus + "",
                    expirationDate: result.activationInfo.expirationDate + ""
                }, activationinfo.id);
            }
            if(result.success) {
            	LoadDataDao.updateSeller(result.seller, function(success) {
            		if(success) {
            			var updateDataPromise = LoadDataDao.updateEmployeeNavigation(result.employeesNav, function() {})
            			.then(function() {
            				//console.log("update employees...");
            				console.log("更新收银员信息...");
            				return LoadDataDao.updateSelerEmployee(result.employees, function(){});
            			}).then(function() {
            				//console.log("load updateCommodityTypeAjax");
            				console.log("加载后台商品分类...");            				
            				return LoadDataDao.updateCommodityTypeAjax(function(){});
            			}).then(function(result2) {
            				//console.log("update commodityTypes...");
            				console.log("更新商品分类...");
            				return LoadDataDao.updateCommodityType(result2.commodityTypes, function (success3) {});
            			}).then(function() {
            				//console.log("load updateCommodityInfoAjax");
            				console.log("加载后台商口...");
            				return LoadDataDao.updateCommodityInfoAjax(function(){});
            			}).then(function(result2) {
            				//console.log("update commodityInfos...");
            				console.log("更新商品...");
            				//return Promise.All([LoadDataDao.updateCommodityInfo(result2.commodityInfos, function (success4) {}),LoadDataDao.updateComboMeals(result2.comboMeals, function(){})]);
            				return new Promise(function(resolve, reject) {
            					LoadDataDao.updateCommodityInfo(result2.commodityInfos, function (success4) {})
            					.then(function() {
            						//console.log("update comboMeals...");
            						console.log("更新商品套餐...");
            						return LoadDataDao.updateComboMeals(result2.comboMeals, function(){});
            					}).then(function() {
            						var cminfo = result2.commodityInfos; // 加载图片
            						for (var i = 0, len = cminfo.length; i < len; i++) {
            							if (cminfo[i].logo) {
            								LoadDataDao.toLoadImage(cminfo[i].id, result2.filePath + cminfo[i].logo + "@400w_300h_100Q_c_0");
            							}
            						}
            						//console.log("update units...");
            						console.log("更新商品单位...");
            						return LoadDataDao.updateUnits(result2.units, function(){});
            					}).then(function() {
            						resolve(true);
            					}).catch(function(catchData){
            						reject(catchData);
            					});
            				});
            			})/*.timeout(30000,"加载商家信息超时!")*/.then(function(success) {
            				console.log("updateDataNew success__", success);
            				callBack && callBack(true);
            			}).catch(function(catchData) {
            				//updateDataPromise && updateDataPromise.cancel();
            				var retMsg = null;
            				if(typeof catchData === "string") {
            					retMsg = catchData;
            				} else if(catchData) {
            					console.log("updateDataNew failed__" + catchData.success, catchData.msg);
            					retMsg = catchData ? catchData.msg : catchData;
            				}
            				//callBack && callBack(false, catchData ? catchData.msg : catchData);
            				callBack && callBack(false, retMsg);
            			});
            		} else {
            			console.log("更新商家信息失败!");
            			callBack(false, "更新商家信息失败!");
            		}
            	});
            } else {
            	console.log("更新数据接口返回失败!");
            	callBack(false, '更新失败');
            }
        }, function (msg) {
        	console.log("更新失败,请确认网络服务是否连接!");
        	console.log("updateDateNew-超时", new Date().format("yyyy-MM-dd hh:mm:ss"));
            callBack(false, '更新失败,请确认网络服务是否连接！');
        }, 30000);
    },
    updateCommodityTypeAjax : function() {
    	var isCancelled = false;
    	return new Promise(function(resolve, reject, onCancel) {    		
    		console.log("updateCommodityType-", new Date().format("yyyy-MM-dd hh:mm:ss"));
    		nativePostRequest(webHostDownInterface + '/loaddata/updateCommodityType?time=' + new Date().getTime(), {}, function (result2) {
    			console.log("updateCommodityType-" + (result2.success?"成功":"失败"), new Date().format("yyyy-MM-dd hh:mm:ss"));
    			if(result2.success) {
    				if(!isCancelled) resolve(result2);
    			} else {
    				if(!isCancelled) reject({success:false, msg:"商品分类加载失败"});
    			}
    		}, function() {
    			if(!isCancelled) reject({success:false, msg:"商品分类加载超时"});
    			console.log("updateCommodityType-超时", new Date().format("yyyy-MM-dd hh:mm:ss"));
    		});
    		/*onCancel(function() {
				isCancelled = true;
			});*/
    	});
    },
    updateCommodityInfoAjax : function() {
    	var isCancelled = false;
    	return new Promise(function(resolve, reject, onCancel) {
    		console.log("updateCommodityOnly-", new Date().format("yyyy-MM-dd hh:mm:ss"));
    		nativePostRequest(webHostDownInterface + '/loaddata/updateCommodityOnly?time=' + new Date().getTime(), {
    		}, function (result2) {
    			console.log("updateCommodityOnly-" + (result2.success?"成功":"失败"), new Date().format("yyyy-MM-dd hh:mm:ss"));
    			if (result2.success) {
    				if(!isCancelled) resolve(result2);
    				
    			} else {
    				if(!isCancelled) reject({success:false, msg:"加载商品失败!"});
    			}
    		}, function(msg) {
    			if(!isCancelled) reject({success:false, msg:'更新商品失败,请确认网络服务是否连接!'});
    			console.log("updateCommodityOnly-超时", new Date().format("yyyy-MM-dd hh:mm:ss"));
    		}, 20000);
			/*onCancel(function() {
				isCancelled = true;
			});*/
    	});
    },
    toLoadImage : function(commodityId, src) {
        setTimeout(function() {
        	if (window.downloadImg){
        	        downloadImg(commodityId+".png",src);
    	    } else if(isAndroid()) {
                new AndroidImageUtil(seller.id,commodityId, src, LoadDataDao.dealImage).load();
            } else{
    	    	new ImageUtil(commodityId, src, LoadDataDao.dealImage).load();
    	    }
        }, 1);
    },
    dealImage : function(commodityId, data) {
        CommodityDao.updateCommodity({
            define1 : data
        }, commodityId);
    },

    updateCommodityImage : function(callBack) {
        return;
        nativePostRequest(webHostDownInterface + '/loaddata/updateCommodityImage?time=' + new Date().getTime(), {}, function(result3) {
            if (result3.success) {
                try {
                    var commodityImages = result3.commodityImages;
                    if (commodityImages && commodityImages.length > 0) {
                        for (var i = 0; i < commodityImages.length; i++) {
                            CommodityDao.updateCommodity({
                                //define1 : commodityImages[i].define1
                                define1:"data:image/png;base64,"+commodityImages[i].define1
                            }, commodityImages[i].id);
                        }
                    }
                } catch(e) {
                    callBack(false);
                    return;
                }
            }
            callBack(result3.success);
        }, function(msg) {
            callBack(false, '更新商品图片,请确认网络服务是否连接！');
        }, 60000);
    },
    /**
     *更新数据
     * @param {Object} sellerUserName
     * @param {Object} userPwd
     */
    updateOtherData : function(callBack, isUpdatePlace) {
        callBack = callBack || emFunc;
        if(Application.Ftype == Application.SLAVE) {
            /* 副机 */
            callBack && callBack(true);
            return;
        }
        console.log("updateOtherDataNew-", new Date().format("yyyy-MM-dd hh:mm:ss"));
        nativePostRequest(webHostDownInterface + '/loaddata/updateOtherDataNew?time=' + new Date().getTime(), {
            activationCode : seller.activationCode
        }, function(result) {
        	console.log("updateOtherDataNew-" + (result.success ? "成功":"失败"), new Date().format("yyyy-MM-dd hh:mm:ss"));
        	if(result.success) {
        		var updateOtherDataPromise = LoadDataDao.updateDiscount(result.discounts, function(success) {})
        		.then(function() {
        			console.log("update servicePlaceType(餐桌分类)...");
        			return LoadDataDao.updateServicePlaceType(result.servicePlaceTypes, function(success2) {});
        		}).then(function() {
        			if(isUpdatePlace) {
                        Ext.getCmp('placeView-view').loadData();
                    }
        			console.log("update servicePlace(餐桌)...");
        			return LoadDataDao.updateServicePlace(result.servicePlaces, function(success){});
        		}).then(function() {
        			console.log("update remark(口味设置)...");
        			return LoadDataDao.updateRemark(result.remarks, function(success4) {});
        		}).then(function() {
        			console.log("load customer(会员)...");
        			return LoadDataDao.updateCustomerAjax(function() {});
        		}).then(function(result2) {
        			console.log("update sellerCustomerType(会员分类)...");
        			return Promise.all([LoadDataDao.updateSellerCustomerType(result2.sellerCustomerTypes, function(success5) {}),LoadDataDao.updateSellerCustomer(result2.sellerCustomers, function(success6) {})]);
        		}).then(function() {
        			console.log("update supplierInfos(供应商信息)...");
        			return LoadDataDao.updateSupplierInfo(result.supplierInfos, function(success7) {});
        		}).then(function() {
        			console.log("update sellerPayConfigs(支付设置)...");
        			return LoadDataDao.updatePayConfig(result.sellerPayConfigs, function(success8) {});
        		}).then(function() {
        			console.log("update sellerPayTypes(自定义支付设置)...");
        			return LoadDataDao.updateSellerPayType(result.sellerPayTypes, function(success9) {});
        		}).then(function() {
        			PayTypeDao.loadAllData(function(success10, res) {
                        if (success10 && res) {
                            for (var i=0;i<res.length;i++){
                            	if(!selfDefinePayMap.containsKey(res[i].id))
                            		selfDefinePayMap.add(res[i].id,res[i].payTypeName);
                            	else selfDefinePayMap.replace(res[i].id, res[i].payTypeName);
                            }
                        }
                    });
        			console.log("update openPlaceSetInfos(开台设置)...");
        			return LoadDataDao.updateSellerOpenPlace(result.openPlaceSetInfos, function(success10) {});
        		}).then(function() {
        			for (var opi = 0, oplen = result.openPlaceSetInfos.length; opi < oplen; opi++) {
                        // result.openPlaceSetInfos[opi].typeId = result.openPlaceSetInfos[opi].commodityTypeId;
                        result.openPlaceSetInfos[opi].normName = result.openPlaceSetInfos[opi].normName ? result.openPlaceSetInfos[opi].normName : '';
                    }
                    setting.openPlaceSettingJson = encodeJSON(result.openPlaceSetInfos);
                    console.log("update couponConfig(满减设置)...");
                    return LoadDataDao.updateCouponConfig(result.sellerCouponConfigs, function(success11) {});
        		}).then(function() {
        			CouponCompute.couponData = [];
                    CouponDao.loadCouponDataNotDelAndUse(function(success12, coupons) {
                        if (success12 && coupons && coupons.length > 0) {
                            for (var tci = 0, tclen = coupons.length; tci < tclen; tci++) {
                                coupons[tci].subtractMoney = parseFloat(parseFloat(coupons[tci].subtractMoney).toFixed(2));
                                CouponCompute.couponData.push(coupons[tci]);
                            }
                        }
                    });
                    console.log("update sellerKitchenPrinter(厨打设置)...");
                    return LoadDataDao.updateSellerKitchenPrinter(result.sellerKitchenPrinter, function(success12) {});
        		}).then(function() {
        			console.log("update sellerSpecialConfig(特价菜)...");
        			return LoadDataDao.updateSellerSpecialConfig(result.sellerSpecialConfigs, function(success13) {});
        		}).then(function() {
        			/* update printTemplate */
        			console.log("checking printTemplate(打印模板)...");
        			PrintTemplateDao.getPrintTemplateCount(function(success, countData) {
						if(success && countData.cnt > 1) {
        				//if(false) {
							console.log("exists printTemplate(打印模板已存在,不更新)...");
							addNotExistTemplate();
						} else {
							console.log("not exists printTemplate(打印模板不存在，更新)...");
							nativePostRequest(webHostDownInterface + '/loadDataMpos/loadSellerPrintTemplateList?time=' + new Date().getTime(), {
							}, function(result3) {
								console.log("loaded printTemplate(加载后台打印模板并已返回)...");
								if(result3.state) {
									console.log("update local printTemplate(更新打印模板)...");
									LoadDataDao.updatePrintTemplate(result3.list, result3.filePath, function(success14) {
										if (success14) {
											var printinfo = result3.list;
                                            for (var i = 0, len = printinfo.length; i < len; i++) {
                                                if (printinfo[i].imagePath) {
                                                    LoadDataDao.toLoadPrintImage(printinfo[i].id, result3.filePath + printinfo[i].imagePath + "@400w_300h_100Q_c_0");
                                                }
                                            }
                                            setTimeout(function() {
                                                addNotExistTemplate();
                                            }, 5000);
										}
									});
								}
							}, function() {
								console.log("加载打印模板数据失败!");
							});
						}
					});
        			console.log("load tipdetails(加载后台小票设置)...");
        			return LoadDataDao.updateTipsDetailAjax(function() {});
        		}).then(function(result3) {
        			console.log('更新小票数据');
        			return LoadDataDao.updateTipsDetail(result3.list, function(success15) {});
        		})/*.timeout(30000, "加载商家数据失败")*/.then(function() {
        			console.log("updateOtherDataNew success(成功)__");
        			SettingDao.loadTipsDetail(function(success16, tips) {
                        console.log('tips',tips);
                        if (success16 && tips) {
                            tipSetting.printFontSize = tips.printFontSize ? tips.printFontSize : 10;
                            tipSetting.printBottom = tips.printBottom;
                            tipSetting.printQrCode = tips.printQrCode;
                            tipSetting.printHeader = tips.printHeader;
                            tipSetting.printLogo = tips.printLogo;
                        }
                    });
        			callBack && callBack(true);
        		}).catch(function(catchData) {
        			//updateOtherDataPromise && updateOtherDataPromise.cancel();
        			var retMsg = null;
        			if(typeof catchData === "string") {
        				retMsg = catchData;
        			} else if(catchData) {
        				console.log("updateOtherDataNew failed(失败)__" + catchData.success, catchData.msg);
        				retMsg = catchData ? catchData.msg : catchData;
        			}
        			//callBack && callBack(false, catchData ? catchData.msg : null);
        			callBack && callBack(false, retMsg);
        		});
        	}
        	return;
            if (result.success) {
                LoadDataDao.updateDiscount(result.discounts, function(success) {
                    if (success) {
                    	LoadDataDao.updateServicePlaceType(result.servicePlaceTypes, function(success2) {
                            if (success2) {
                                if(isUpdatePlace) {
                                    Ext.getCmp('placeView-view').loadData();
                                }
                                LoadDataDao.updateServicePlace(result.servicePlaces, function(success3) {
                                    if (success3) {
                                        LoadDataDao.updateRemark(result.remarks, function(success4) {
                                        if (success4) {
                                        	nativePostRequest(webHostDownInterface + '/loaddata/updateCustomer?time=' + new Date().getTime(), {
                                            }, function(result2) {
                                                LoadDataDao.updateSellerCustomerType(result2.sellerCustomerTypes, function(success5) {
                                                    if (success5) {
                                                    	LoadDataDao.updateSellerCustomer(result2.sellerCustomers, function(success6) {
                                                            if (success6) {
                                                            	LoadDataDao.updateSupplierInfo(result.supplierInfos, function(success7) {
                                                                    if (success7) {
                                                                    	LoadDataDao.updatePayConfig(result.sellerPayConfigs, function(success8) {
                                                                            if (success8) {
                                                                            	LoadDataDao.updateSellerPayType(result.sellerPayTypes, function(success9) {
                                                                                    if (success9) {
                                                                                        PayTypeDao.loadAllData(function(success10, res) {
                                                                                            if (success10 && res) {
                                                                                                for (var i=0;i<res.length;i++){
                                                                                                	if(!selfDefinePayMap.containsKey(res[i].id))
                                                                                                		selfDefinePayMap.add(res[i].id,res[i].payTypeName);
                                                                                                	else selfDefinePayMap.replace(res[i].id, res[i].payTypeName);
                                                                                                }
                                                                                            }
                                                                                        });
                                                                                        LoadDataDao.updateSellerOpenPlace(result.openPlaceSetInfos, function(success10) {
                                                                                            if(success10) {
                                                                                                for (var opi = 0, oplen = result.openPlaceSetInfos.length; opi < oplen; opi++) {
                                                                                                    // result.openPlaceSetInfos[opi].typeId = result.openPlaceSetInfos[opi].commodityTypeId;
                                                                                                    result.openPlaceSetInfos[opi].normName = result.openPlaceSetInfos[opi].normName ? result.openPlaceSetInfos[opi].normName : '';
                                                                                                }
                                                                                                setting.openPlaceSettingJson = encodeJSON(result.openPlaceSetInfos);
                                                                                                LoadDataDao.updateCouponConfig(result.sellerCouponConfigs, function(success11) {
                                                                                                    if (success11) {
                                                                                                        CouponCompute.couponData = [];
                                                                                                        CouponDao.loadCouponDataNotDelAndUse(function(success12, coupons) {
                                                                                                            if (success12 && coupons && coupons.length > 0) {
                                                                                                                for (var tci = 0, tclen = coupons.length; tci < tclen; tci++) {
                                                                                                                    coupons[tci].subtractMoney = parseFloat(parseFloat(coupons[tci].subtractMoney).toFixed(2));
                                                                                                                    CouponCompute.couponData.push(coupons[tci]);
                                                                                                                }
                                                                                                            }
                                                                                                        });
                                                                                                        LoadDataDao.updateSellerKitchenPrinter(result.sellerKitchenPrinter, function(success12) {
                                                                                                            if (success12) {
                                                                                                            	LoadDataDao.updateSellerSpecialConfig(result.sellerSpecialConfigs, function(success13) {
                                                                                                                    if (success13) {
                                                                                                                    	 //nativePostRequest(webHostDownInterface + '/loadDataMpos/loadSellerPrintTemplateList?time=' + new Date().getTime(), {
                                                                                                                         //}, function(result3) {
                                                                                                                             //console.log('更新打印模板数据');
                                                                                                                             //if(result3.state){
                                                                                                                                 //LoadDataDao.updatePrintTemplate(result3.list, result3.filePath, function(success14) {
                                                                                                                                     //if (success14) {
                                                                                                                                         /*var printinfo = result3.list;
                                                                                                                                         for (var i = 0, len = printinfo.length; i < len; i++) {
                                                                                                                                             if (printinfo[i].imagePath) {
                                                                                                                                                 LoadDataDao.toLoadPrintImage(printinfo[i].id, result3.filePath + printinfo[i].imagePath + "@400w_300h_100Q_c_0");
                                                                                                                                             }
                                                                                                                                         }
                                                                                                                                         setTimeout(function() {
                                                                                                                                             addNotExistTemplate();
                                                                                                                                         }, 5000);*/
                                                                                                                						PrintTemplateDao.getPrintTemplateCount(function(success, countData) {
                                                                                                                							if(success && countData.cnt > 1) {
                                                                                                                								addNotExistTemplate();
                                                                                                                							} else {
                                                                                                                								nativePostRequest(webHostDownInterface + '/loadDataMpos/loadSellerPrintTemplateList?time=' + new Date().getTime(), {
                                                                                                                								}, function(result3) {
                                                                                                                									if(result3.state) {
                                                                                                                										LoadDataDao.updatePrintTemplate(result3.list, result3.filePath, function(success14) {
                                                                                                                											if (success14) {
                                                                                                                												var printinfo = result3.list;
                                                                                                                                                                for (var i = 0, len = printinfo.length; i < len; i++) {
                                                                                                                                                                    if (printinfo[i].imagePath) {
                                                                                                                                                                        LoadDataDao.toLoadPrintImage(printinfo[i].id, result3.filePath + printinfo[i].imagePath + "@400w_300h_100Q_c_0");
                                                                                                                                                                    }
                                                                                                                                                                }
                                                                                                                                                                setTimeout(function() {
                                                                                                                                                                    addNotExistTemplate();
                                                                                                                                                                }, 5000);
                                                                                                                											}
                                                                                                                										});
                                                                                                                									}
                                                                                                                								}, function() {
                                                                                                                									console.log("加载打印模板数据失败!");
                                                                                                                								});
                                                                                                                							}
                                                                                                                						});
                                                                                                                                         nativePostRequest(webHostDownInterface + '/loadDataMpos/loadSellerTipsDetailList?time=' + new Date().getTime(), {
                                                                                                                                         }, function(result3) {
                                                                                                                                             console.log('更新小票数据');
                                                                                                                                             if(result3.state){
                                                                                                                                                 LoadDataDao.updateTipsDetail(result3.list, function(success15) {
                                                                                                                                                     if (success15) {
                                                                                                                                                         SettingDao.loadTipsDetail(function(success16, tips) {
                                                                                                                                                             console.log('tips',tips);
                                                                                                                                                             if (success16 && tips) {
                                                                                                                                                                 tipSetting.printFontSize = tips.printFontSize ? tips.printFontSize : 10;
                                                                                                                                                                 tipSetting.printBottom = tips.printBottom;
                                                                                                                                                                 tipSetting.printQrCode = tips.printQrCode;
                                                                                                                                                                 tipSetting.printHeader = tips.printHeader;
                                                                                                                                                                 tipSetting.printLogo = tips.printLogo;
                                                                                                                                                             }
                                                                                                                                                         });
                                                                                                                                                         callBack(true);
                                                                                                                                                     } else {
                                                                                                                                                         //showAlert('提示', '更新打印模板数据失败！');
                                                                                                                                                         callBack(false, '更新打印小票数据失败');
                                                                                                                                                     }
                                                                                                                                                 });
                                                                                                                                             }else {
                                                                                                                                            	 callBack(false, '更新打印小票数据失败');
                                                                                                                                                 //showAlert('提示', '请求服务失败，请检测网络状态或稍后重试!');
                                                                                                                                             }
                                                                                                                                         });
                                                                                                                                     //} else {
                                                                                                                                    	 //callBack(false, '更新打印模板数据失败');
                                                                                                                                         //showAlert('提示', '更新打印模板数据失败！');
                                                                                                                                     //}
                                                                                                                                 //});
                                                                                                                             //}else {
                                                                                                                            	 //callBack(false, '更新打印模板数据失败');
                                                                                                                                 //showAlert('提示', '请求服务失败，请检测网络状态或稍后重试!');
                                                                                                                             //}
                                                                                                                         //});
                                                                                                                    } else {
                                                                                                                    	callBack(false, '更新打印模板数据失败');
                                                                                                                    	//showAlert('提示', result.msg ? result.msg : '更新特价菜失败！');
                                                                                                                    }
                                                                                                                });
                                                                                                            } else {
                                                                                                            	callBack(false, '更新厨打失败');
                                                                                                            	//showAlert('提示', result.msg ? result.msg : '更新厨打失败！');
                                                                                                            }
                                                                                                        });
                                                                                                    } else {
                                                                                                    	callBack(false, '更新满减失败');
                                                                                                    	//showAlert('提示', result.msg ? result.msg : '更新满减失败！');
                                                                                                    }
                                                                                                });
                                                                                            } else {
                                                                                            	callBack(false, '更新满减失败');
                                                                                            	//showAlert('提示', result.msg ? result.msg : '更新开台设置失败！');
                                                                                            }
                                                                                        });
                                                                                    } else {
                                                                                    	callBack(false, '更新自定义支付方式失败');
                                                                                    	//showAlert('提示', result.msg ? result.msg : '更新自定义支付方式失败！');
                                                                                    }
                                                                                });
                                                                            } else {
                                                                            	callBack(false, '更新支付方式失败');
                                                                                //showAlert('提示', result.msg ? result.msg : '更新支付方式失败!');
                                                                            }
                                                                        });
                                                                    } else {
                                                                    	callBack(false, '更新供货商失败');
                                                                        //showAlert('提示', result.msg ? result.msg : '更新供货商失败！');
                                                                    }
                                                                });
                                                            } else {
                                                            	callBack(false, '更新会员失败');
                                                                //showAlert('提示', '更新会员失败！');
                                                            }
                                                        });
                                                    } else {
                                                    	callBack(false, '更新会员分类失败');
                                                        //showAlert('提示', '更新会员分类失败！');
                                                    }
                                                });
                                            });
                                        } else {
                                        	callBack(false, '更新备注失败');
                                            //showAlert('提示', result.msg ? result.msg : '更新备注失败！');
                                        }
                                    });
                                    } else {
                                    	callBack(false, '更新桌号区域失败');
                                        //showAlert('提示', result.msg ? result.msg : '更新桌号区域失败！');
                                    }
                                });
                            } else {
                            	callBack(false, '更新桌号区域类型失败');
                                //showAlert('提示', result.msg ? result.msg : '更新桌号区域类型失败！');
                            }
                        });
                    } else {
                    	callBack(false, '更新折扣失败');
                        //showAlert('提示', result.msg ? result.msg : '更新折扣失败！');
                    }
                });
            } else {
                callBack(false, result.msg ? result.msg : '更新失败，请确认网络服务是否连接！');
                //showAlert('提示', result.msg ? result.msg : '更新失败，请确认网络服务是否连接！');
            }
        }, function(msg) {
        	console.log("updateOtherDataNew-超时", new Date().format("yyyy-MM-dd hh:mm:ss"));
            callBack(false, '更新失败,请确认网络服务是否连接！');
        });
    },
    updateCustomerAjax : function() {
    	var isCancelled = false;
    	return new Promise(function(resolve, reject, onCancel) {
    		console.log("updateCustomer-", new Date().format("yyyy-MM-dd hh:mm:ss"));
    		nativePostRequest(webHostDownInterface + '/loaddata/updateCustomer?time=' + new Date().getTime(), {
            }, function(result2) {
            	console.log("updateCustomer-返回", new Date().format("yyyy-MM-dd hh:mm:ss"));
            	if(!isCancelled) resolve(result2);
            }, function(msg) {
            	console.log("updateCustomer-超时", new Date().format("yyyy-MM-dd hh:mm:ss"));
            	if(!isCancelled) reject(false, "customer load failed!");
            });
    		onCancel(function() {
    			isCancelled = true;
    		});
    	});
    },
    updateTipsDetailAjax : function() {
    	var isCancelled = false;
    	return new Promise(function(resolve, reject, onCancel) {
    		console.log("loadSellerTipsDetailList-", new Date().format("yyyy-MM-dd hh:mm:ss"));
    		nativePostRequest(webHostDownInterface + '/loadDataMpos/loadSellerTipsDetailList?time=' + new Date().getTime(), {
            }, function(result3) {
                console.log('更新小票数据');
                console.log("loadSellerTipsDetailList-" + result3.state?"成功":"失败", new Date().format("yyyy-MM-dd hh:mm:ss"));
                if(result3.state){
                	if(!isCancelled) resolve(result3);
                } else {
                	if(!isCancelled) reject(false, "tipsDetail deal failed!");
                }
            }, function(msg) {
            	console.log("loadSellerTipsDetailList-超时", new Date().format("yyyy-MM-dd hh:mm:ss"));
            	if(!isCancelled) reject(false, "tipsDetail load failed!");
            });
    		onCancel(function() {
    			isCancelled = true;
    		});
    	});
    },
    toLoadPrintImage : function(printId, src) {
        setTimeout(function() {
            new ImageUtil(printId, src, LoadDataDao.dealPrintImage).load();
        }, 1);
    },
    dealPrintImage : function(printId, data) {
        PrintTemplateDao.updatePrintTemplate({
            image : data
        }, printId);
    },

    /**
     * 更新打印模板
     * @param printTml
     * @param callBackFunc
     */
    updatePrintTemplate : function(printTml,filePath, callBackFunction) {
    	 PrintTemplateDao.loadAllPrintTemplate(function(success,datas){
   		     if(success){
   		       console.log('初始化打印模板数据');
       		   fgDB.transaction(function(tx) {
					if (!printTml) {
						var cols = ["id","sellerId","printType","title","rowNum","titleDesc","isPrint","isRow","width","fontSize","imagePath","isImg","isUnderline",
       			                    "textAlign","syned","isClick","sellInfoCode","isShop","remark","upSpaceLine","downSpaceLine","sequence","ticketType","ticketName","scene","lastUpdateTime","pinyinCode","pinyinCode","templateDefaultId","status"];
       					var defaultValues=null;
       					saveOrUpdate(tx,"printTemplate",cols,printTml,datas,function(data,type){
       						return dealData(data,cols,defaultValues);
       					});
					}
					tx.executeSql("update printTemplate set status='9',syned='0',lastUpdateTime='"+createDateStr()+"' where ifnull(templateDefaultId,'')='' and ifnull(status,'1')<>'9' and sellerId='"+seller.id+"'");
				}, function() {
					callBackFunction(true);
				}, function(err) {
					console.log(err);
                    callBackFunction(false);
				});
   		  }else{
   			callBackFunction && callBackFunction(false);
   		  }
       });
    },
    updateTipsDetail : function(tipsDetails, callBackFunction) {
    	SmallticketViewDao.loadAllTipsDetail(function(success,datas){
			if(success){
				fgDB.transaction(function(tx) {
					if (!tipsDetails) {
						tipsDetails = [];
					}
					var cols = ["id", "printFontSize", "printFontList", "printHeader", "printBottom", "printLogo", "printQrCode", "lastUpdateTime", "syned","sellerId"];
					saveOrUpdate(tx,"tipsdetail",cols,tipsDetails,datas,function(data,type){
						return dealData(data,cols,null);
					});
					callBackFunction(true);
				}, function() {
					
				}, function(err) {
					console.log(err);
					callBackFunction(false);
				});
			}else{
				callBackFunction(false);
			}
		});
    },
    updateSellerForSlave : function(callback) {
        SellerDao.loadSellerForSlave(function(success, data) {
            if (success && data) {
                var sqlData = {
                    ename: data[0].ename,
                    location: data[0].location,
                    mobile: data[0].mobile,
                    phone: data[0].phone
                };
                SellerDao.updateSellerForSlave(sqlData, seller.id, function(success){
                    if (success) {
                        callback && callback(true, data);
                    }
                });
            }
        });
    },
    updateOnlineData : function(onlineData, callBackFunc) {
    	LoadDataDao.updateEmployeeNavigation(result.employeesNav)
    	.then(function(value) {
    		
    	}).then(function() {
    		
    	}).catch(function() {
    		
    	});
    },
    updateEmployeeNavigation : function(employeeNav, callBackFunc) {
    	return new Promise(function(resolve, reject) {
    		if(!employeeNav || employeeNav.length <= 0) {resolve(true); return;}
    		fgDB.transaction(function(tx) {
				//演示账号登录不删除商家权限
				/*if(!isTestIdentity()){
					tx.executeSql("delete from selleremployeenavigation", [], function() {});
				}*/
                var empNavLen = employeeNav.length;
                var employeeCols = ["id","navId","workType","sellerId","syned","status", "employeeId"];
                for(var empi=0;empi<empNavLen;empi++) {
                    var employeeParams = [];
                    var employeeNavSimple = employeeNav[empi];
                    var empNavId = employeeNavSimple['id'];
                    for(var ei=0,elen=employeeCols.length;ei<elen;ei++) {
                        var empKey = employeeCols[ei];
                        if (empKey == 'syned') employeeParams.push("1");
                        else if (empKey == 'status') employeeParams.push(employeeNavSimple[empKey]);
                        else if (employeeNavSimple.hasOwnProperty(empKey))
                            employeeParams.push(employeeNavSimple[empKey]);
                        else employeeParams.push(null);
                    }
                    var empNavSql = "replace into selleremployeenavigation (" + employeeCols.join(',') + ") values (" + new Array(employeeCols.length).fill('?').join(",") + ")";
                    //var empNavSql = "insert into selleremployeenavigation (" + employeeCols.join(',') + ") select " + new Array(employeeCols.length).fill('?').join(",") + " where not exists(select 1 from selleremployeenavigation where id='" + empNavId + "')";
                    tx.executeSql(empNavSql, employeeParams, function() {});
                }
            }, function() {
                resolve(true);
            }, function(err) {
                console.log(arguments);
                reject({success:false, msg:"更新权限失败"});
            });
    	});
    },
    generatorSqlSection : function(tableName, keys, questions, id) {
        if(!tableName) throw new Error("table name is not correct! value:" + tableName);
        return "insert into " + tableName + "(" + keys.join(',') + ") select " + questions.join(',') + " where not exists(select 1 from " + tableName + " where id='" + id + "')";
    },
    updateSelerEmployee : function(employees, callBackFunction) {
    	return new Promise(function(resolve, reject) {
    		SellerEmployeeDao.loadAllSellerEmployee(function(success,datas){
    			if(success){
    				fgDB.transaction(function(tx) {
    					if (!employees) {
    						employees = [];
    					}
    					var cols = ["id", "workId", "password", "workName", "type", "permissions", "eraseZeroMaxAmount", "sellerId", "mobile","syned","commissionScale","birthday"];
    					var defaultValues=null;
    					saveOrUpdate(tx,"selleremployee",cols,employees,datas,function(data,type){
    						data.type=data.workType;
    						for (var ei = 0; ei < employees.length; ei++) {
    			                if (employees[ei].id == shouYinEmployee.id) {
    			                    cashierPermissions = employees[ei].permissions;
    			                    eraseZeroMaxAmount = employees[ei].eraseZeroMaxAmount;
    			                    shouYinEmployee.workId = employees[ei].workId;
    			                    shouYinEmployee.workName = employees[ei].workName;
    			                    //$('#employeeName').html(shouYinEmployee.workName);
    			                    break;
    			                }
    			            }
    						return dealData(data,cols,defaultValues);
    					})
    				}, function() {
    					//callBackFunction(true);
    					resolve(true);
    				}, function(err) {
    					console.log(err);
    					//callBackFunction(false);
    					reject({success:false, msg:"更新员工失败"});
    				});
    			}else{
    				//callBackFunction(false);
    				reject({success:false, msg:"更新员工失败,本地数据库异常!"});
    			}
    		});
    	});
    },
    getUpdateSellerCols : function() {
    	/* 获取更新商家列 */
    	return [
    	   "id","parentSellerId","teaPrice","ename","mobile","phone","location","softwareServiceId",
    	   "serviceProxyId","isRegisterMeituan","isWxOrder","tradeId","isWxpayOnline","parentSellerId",
    	   "isRegisterPay","isWxpayStatus","isWxOrder","isAllowPay","channelId","expirationDate","contact",
    	   "businessHoursStart","businessHoursEnd","is24hService","isRegisterAlipay","isRegisterWxpay",
    	   "email","circleId","cityId"
    	];
    },
    getAllSellerCols : function() {
    	/* 获取完整商家更新列 */
    	return ["id","ename","password","tradeId","circleId","location","contact","phone","mobile","email",
                 "locationX","locationY","image1","image2","image3","logo","remark","status","isJoinpoints","cityId",//"createDate",
                 "businessHoursStart","businessHoursEnd","alipayAccount","sourceUrl","pageStyle","lowOrderAmount",/*"freeAmount",*/"sendAmount","isBuyOnline",
                 "isPayOnline","isCod","isDeliverHome","isTakeSelf","notice","is24hService","isPoints","sellerAttentionStatus","isReservationOnline",
                 "parentTradeId","type","expirationDate","ecode","commentsScale","callNum","attentionNum","attentionReply","saleScale",
                 "commentsNum","wxAppid","wxAppsecret","wxMchid","wxKey","userName","parentSellerId","wxQrcode","teaPrice","perCapita",
                 "alipayQRCode","wxpayQRCode","isWxpayOnline","subMchId","channelId","vbookerVersion","vbossVersion","isRegisterPay",
                 "isWxpay","isAllowPay","phoneLocation","lastUpdateTime","isRegisterAlipay","isRegisterWxpay","isRegisterMeituan","softwareServiceId",
                 "serviceProxyId","payToken","mixDateEncrypt","serviceProxyTel","serviceProxyName","serviceProxyCompanyName"/*"parentSellerBrandId","parentSellerAreaId","parentSellerTypeId"*/];
    },
    updateSeller2 : function(sellerC, callBackFunction, isBind) {
    	return new Promise(function(resolve, reject) {
    		if(!sellerC) {
    			//if(callBackFunction) callBackFunction(true);
    			//resolve(true);
    			reject(true);
    			return;
    		}
    		var sellerData = {};
            seller.id = sellerC.id;//result.sellerId;
            seller.parentSellerId = sellerC.parentSellerId;
            seller.teaPrice = sellerC.teaPrice;
            seller.ename = sellerData.ename = sellerC.ename ? sellerC.ename : '';
            seller.mobile = sellerData.mobile = sellerC.mobile;
            seller.phone = sellerData.phone = sellerC.phone;
            seller.location = sellerData.location = sellerC.location ? sellerC.location : '';
            seller.softwareServiceId = sellerData.softwareServiceId = sellerC.softwareServiceId ? sellerC.softwareServiceId : '';
            seller.serviceProxyId = sellerData.serviceProxyId = sellerC.serviceProxyId ? sellerC.serviceProxyId : '';
            seller.isRegisterMeituan = sellerData.isRegisterMeituan = sellerC.isRegisterMeituan ? sellerC.isRegisterMeituan : '';
            seller.isWxOrder = sellerData.isWxOrder = sellerC.isWxOrder ? sellerC.isWxOrder : '';
            sellerData.tradeId = sellerC.tradeId;
            sellerData.isWxpayOnline = sellerC.isWxpayOnline;
            sellerData.parentSellerId = sellerC.parentSellerId ? sellerC.parentSellerId : '';
            sellerData.isRegisterPay = sellerC.isRegisterPay;
            sellerData.isWxpayStatus = sellerC.isWxpay;
            sellerData.isWxOrder = sellerC.isWxOrder;
            sellerData.isAllowPay = sellerC.isAllowPay;
            sellerData.channelId = sellerC.channelId ? sellerC.channelId : '';
            var expirationDate = null;
            try {
            	expirationDate = new Date(parseInt(sellerC.expirationDate)).format("yyyy-MM-dd hh:mm:ss");
            } catch(err) {
            	expirationDate = "0000-00-00 00:00:00";
            }
            seller.expirationDate = sellerData.expirationDate = expirationDate;
            seller.contact = sellerData.contact = nvlValue(sellerC.contact,'');
            seller.businessHoursStart = sellerData.businessHoursStart = sellerC.businessHoursStart;
            seller.businessHoursEnd = sellerData.businessHoursEnd = sellerC.businessHoursEnd;
            seller.is24hService = sellerData.is24hService = sellerC.is24HService;
            seller.isRegisterAlipay = sellerData.isRegisterAlipay = sellerC.isRegisterAlipay;
            seller.isRegisterWxpay = sellerData.isRegisterWxpay = sellerC.isRegisterWxpay;
            seller.email = nvlValue(sellerC.email, '');
            seller.circleId = nvlValue(sellerC.circleId, '');
            seller.cityId = nvlValue(sellerC.cityId, '');
            if("expirationDate" in sellerData) {
            	/* 需要更新过期时间，加密过期时间的key */
            	seller.mixDateEncrypt = sellerData.mixDateEncrypt = getEncryptDateInfo();
            }
            //console.log(sellerData);
            if(!isBind) {
                SellerDao.updateSeller(sellerData, seller.id);
                /*if (callBackFunction) {
                    callBackFunction(true);
                }*/
                resolve(true);
                return;
            }
            fgDB.transaction(function(tx) {
                var sellerCols = ["id","ename","password","tradeId","circleId","location","contact","phone","mobile","email",
                    "locationX","locationY","image1","image2","image3","logo","remark","status","isJoinpoints","cityId",//"createDate",
                    "businessHoursStart","businessHoursEnd","alipayAccount","sourceUrl","pageStyle","lowOrderAmount",/*"freeAmount",*/"sendAmount","isBuyOnline",
                    "isPayOnline","isCod","isDeliverHome","isTakeSelf","notice","is24hService","isPoints","sellerAttentionStatus","isReservationOnline",
                    "parentTradeId","type","expirationDate","ecode","commentsScale","callNum","attentionNum","attentionReply","saleScale",
                    "commentsNum","wxAppid","wxAppsecret","wxMchid","wxKey","userName","parentSellerId","wxQrcode","teaPrice","perCapita",
                    "alipayQRCode","wxpayQRCode","isWxpayOnline","subMchId","channelId","vbookerVersion","vbossVersion","isRegisterPay",
                    "isWxpay","isAllowPay","phoneLocation","lastUpdateTime","isRegisterAlipay","isRegisterWxpay","isRegisterMeituan","softwareServiceId",
                    "serviceProxyId","payToken","mixDateEncrypt","serviceProxyTel","serviceProxyName","serviceProxyCompanyName"/*"parentSellerBrandId","parentSellerAreaId","parentSellerTypeId"*/];
                var sellerValues = [];
                for(var si=0,slen=sellerCols.length;si<slen;si++) {
                    var sKey = sellerCols[si];
                    if(sellerC.hasOwnProperty(sKey)) {
                        sellerValues.push(sellerC[sKey]);
                    } else sellerValues.push(null);
                }
                var sellerSql = "insert into seller (" + sellerCols.join(',') + ") select " + new Array(sellerCols.length).fill('?').join(',') + " where not exists(select 1 from seller where id ='" + seller.id + "')";
                tx.executeSql(sellerSql, sellerValues, function() {});
            }, function() {resolve(true);}, function(err) {console.log(arguments);reject(false);});
    	});
    },
    updateSeller : function(sellerC, callBackFunction, isBind) {
        if (!sellerC) {
            if (callBackFunction) {
                callBackFunction(true);
            }
            return;
        }

        var sellerData = {};
        seller.id = sellerC.id;//result.sellerId;
        seller.parentSellerId = sellerC.parentSellerId;
        seller.teaPrice = sellerC.teaPrice;
        seller.ename = sellerData.ename = sellerC.ename ? sellerC.ename : '';
        seller.mobile = sellerData.mobile = sellerC.mobile;
        seller.phone = sellerData.phone = sellerC.phone;
        seller.location = sellerData.location = sellerC.location ? sellerC.location : '';
        seller.softwareServiceId = sellerData.softwareServiceId = sellerC.softwareServiceId ? sellerC.softwareServiceId : '';
        seller.serviceProxyId = sellerData.serviceProxyId = sellerC.serviceProxyId ? sellerC.serviceProxyId : '';
        seller.isRegisterMeituan = sellerData.isRegisterMeituan = sellerC.isRegisterMeituan ? sellerC.isRegisterMeituan : '';
        seller.isWxOrder = sellerData.isWxOrder = sellerC.isWxOrder ? sellerC.isWxOrder : '';
        sellerData.tradeId = sellerC.tradeId;
        sellerData.isWxpayOnline = sellerC.isWxpayOnline;
        sellerData.parentSellerId = sellerC.parentSellerId ? sellerC.parentSellerId : '';
        sellerData.isRegisterPay = sellerC.isRegisterPay;
        sellerData.isWxpayStatus = sellerC.isWxpay;
        sellerData.isWxOrder = sellerC.isWxOrder;
        sellerData.isAllowPay = sellerC.isAllowPay;
        sellerData.channelId = sellerC.channelId ? sellerC.channelId : '';
        var expirationDate = null;
        try {
        	expirationDate = new Date(parseInt(sellerC.expirationDate)).format("yyyy-MM-dd hh:mm:ss");
        } catch(err) {
        	expirationDate = "0000-00-00 00:00:00";
        }
        seller.expirationDate = sellerData.expirationDate = expirationDate;
        seller.contact = sellerData.contact = nvlValue(sellerC.contact,'');
        seller.businessHoursStart = sellerData.businessHoursStart = sellerC.businessHoursStart;
        seller.businessHoursEnd = sellerData.businessHoursEnd = sellerC.businessHoursEnd;
        seller.is24hService = sellerData.is24hService = sellerC.is24HService;
        seller.isRegisterAlipay = sellerData.isRegisterAlipay = sellerC.isRegisterAlipay;
        seller.isRegisterWxpay = sellerData.isRegisterWxpay = sellerC.isRegisterWxpay;
        seller.email = nvlValue(sellerC.email, '');
        seller.circleId = nvlValue(sellerC.circleId, '');
        seller.cityId = nvlValue(sellerC.cityId, '');
        if("expirationDate" in sellerData) {
        	/* 需要更新过期时间，加密过期时间的key */
        	seller.mixDateEncrypt = sellerData.mixDateEncrypt = getEncryptDateInfo();
        }
        //console.log(sellerData);
        if(!isBind) {
            SellerDao.updateSeller(sellerData, seller.id);
            if (callBackFunction) {
                callBackFunction(true);
            }
            return;
        }
        fgDB.transaction(function(tx) {
            var sellerCols = ["id","ename","password","tradeId","circleId","location","contact","phone","mobile","email",
                "locationX","locationY","image1","image2","image3","logo","remark","status","isJoinpoints","cityId",//"createDate",
                "businessHoursStart","businessHoursEnd","alipayAccount","sourceUrl","pageStyle","lowOrderAmount",/*"freeAmount",*/"sendAmount","isBuyOnline",
                "isPayOnline","isCod","isDeliverHome","isTakeSelf","notice","is24hService","isPoints","sellerAttentionStatus","isReservationOnline",
                "parentTradeId","type","expirationDate","ecode","commentsScale","callNum","attentionNum","attentionReply","saleScale",
                "commentsNum","wxAppid","wxAppsecret","wxMchid","wxKey","userName","parentSellerId","wxQrcode","teaPrice","perCapita",
                "alipayQRCode","wxpayQRCode","isWxpayOnline","subMchId","channelId","vbookerVersion","vbossVersion","isRegisterPay",
                "isWxpay","isAllowPay","phoneLocation","lastUpdateTime","isRegisterAlipay","isRegisterWxpay","isRegisterMeituan","softwareServiceId",
                "serviceProxyId","payToken","mixDateEncrypt","serviceProxyTel","serviceProxyName","serviceProxyCompanyName"/*"parentSellerBrandId","parentSellerAreaId","parentSellerTypeId"*/,"isCombineWxOrder","isWxOrder"];
            var sellerValues = [];
            for(var si=0,slen=sellerCols.length;si<slen;si++) {
                var sKey = sellerCols[si];
                if(sellerC.hasOwnProperty(sKey)) {
                    sellerValues.push(sellerC[sKey]);
                } else sellerValues.push(null);
            }
            var sellerSql = "insert into seller (" + sellerCols.join(',') + ") select " + new Array(sellerCols.length).fill('?').join(',') + " where not exists(select 1 from seller where id ='" + seller.id + "')";
            tx.executeSql(sellerSql, sellerValues, function() {});
        }, function() {callBackFunction && callBackFunction(true);}, function(err) {console.log(arguments);callBackFunction && callBackFunction(false);});
    },
    updateCommodityType : function(commodityTypes, callBackFunction) {
        return new Promise(function(resolve, reject) {
        	//reject({success : false, msg : "商品分类本地操作失败!"});
        	//return;
	    	CommodityDao.loadAllCommodityType(function(success,datas){
	            if(success){
	                fgDB.transaction(function(tx) {
	                    if (!commodityTypes) {
	                        commodityTypes = [];
	                    }
	                    var cols = ['id', 'name', 'sequence','typeLevel','parentId','parentSellerId', 'parentCommodityTypeId', 'sellerId', 'iskitchenprint', 'kitchenPrintJson', 'isDiscount', 'isInventory', 'syned','lastUpdateTime',"selected","status"];
	                    saveOrUpdate(tx,"commodityType",cols,commodityTypes,datas,function(commodityType,type){
	                        if(type==2){
	                            return {id:commodityType.id, name:commodityType.name, sequence:commodityType.sequence, typeLevel:commodityType.typeLevel, parentId:commodityType.parentId, parentSellerId:nvlValue(commodityType.parentSellerId,''), parentCommodityTypeId: nvlValue(commodityType.parentCommodityTypeId,''), sellerId:seller.id, iskitchenprint:nvlValue(commodityType.iskitchenprint, '0'), kitchenPrintJson:nvlValue(commodityType.kitchenPrintJson,''), isDiscount:nvlValue(commodityType.isDiscount,'0'), isInventory:nvlValue(commodityType.isInventory,'0'), syned:"1", lastUpdateTime:timestampToDate(commodityType.lastUpdateTime),selected:nvlValue(commodityType.selected,''),status:nvlValue(commodityType.status,'')};
	                        }else{
	                            return [commodityType.id, commodityType.name, commodityType.sequence,commodityType.typeLevel, nvlValue(commodityType.parentId,''),nvlValue(commodityType.parentSellerId,''),nvlValue(commodityType.parentCommodityTypeId,''), seller.id, nvlValue(commodityType.iskitchenprint, '0'), commodityType.kitchenPrintJson, commodityType.isDiscount, commodityType.isInventory, "1", timestampToDate(commodityType.lastUpdateTime),nvlValue(commodityType.selected,''),nvlValue(commodityType.status,'')];
	                        }
	                    })
	                }, function() {
	                    //callBackFunction(true);
	                	resolve(true);
	                }, function(err) {
	                    console.log(err);
	                    //callBackFunction(false);
	                    reject(false, "更新商品类型失败!");
	                });
	            }else{
	                //callBackFunction(false);
	            	reject(false, "更新商品类型失败!");
	            }
	        });
        });
    },
    updateCommodityInfo : function(commodityInfos, callBackFunction) {
    	return new Promise(function(resolve, reject) {
    		//reject({success:false, msg:"商品本地操作失败!"});
    		//return;
	    	CommodityDao.loadAllCommodityInfo(function(success,datas){
				if(success){
					fgDB.transaction(function(tx) {
						if (!commodityInfos) {
							commodityInfos = [];
						}
						var cols = ["id","name","price","logo","sequence","typeId","pinyinCode","barCode","vipPrice","tradePrice","isDiscount","costPrice","oriPrice","category","sellNum","style1","style2",
						            "isPoints","define1","define2","define3","define4","status","parentCommodityId","isTimecard","timeNum","timeCommodityId","soldoutStatus","soldoutNum","sellerId","parentSellerId","syned",
						            "isSupportNorms","normsName1","normsName2","normsName3","normsName4","normsName5","normsName6","normsName7","normsName8","normsPrice1","normsPrice2","normsPrice3","normsPrice4",
						            "normsPrice5","normsPrice6","normsPrice7","normsPrice8","comboMealsJson","expectedTime","kitchenPrint","labelPrint","isTimePrice","circleId","selected",
						            "content","sendTime","lastOrderTime","stock","minStock","maxStock","supplierId","guaranteePeriod","negativeStock","presentAmount","image1","image2","image3","image4","image5","parentCommodityTypeId",
						            "parentSupplierId","timeTommodityId","boxNum","minOrderCount","unit","lastUpdateTime","isDelete","isSpecialPrice","specialPrice","specialNorms"];
						saveOrUpdate(tx,"commodityinfo",cols,commodityInfos,datas,function(data,type){
							if(data.commodityType) {
								data.typeId=data.commodityType.id;
							}
							if(data.logo&&window.downloadImg){
								//data.define1="file:///D:/爱宝/windows壳/{app}/img/"+data.id+".png"
								data.define1="file:///img/"+data.id+".png"
								//console.log(data)
							}
							return dealData(data,cols);
						})
					}, function() {
						//callBackFunction(true);
						resolve(true);
					}, function(err) {
						console.log(err);
						//callBackFunction(false);
						reject({success:false, msg:"商品本地操作失败!"});
					});
				}else{
					//callBackFunction(false);
					reject({success:false, msg:"更新商品失败!"});
				}
			});
    	});
    },
    updateComboMeals : function(comboMeals, callBackFunction) {
        return new Promise(function(resolve, reject) {
	    	/* 掏餐 */
	    	ComboMealssDao.loadAllComboMeals(function(success,datas){
				if(success){
					fgDB.transaction(function(tx) {
						if (!comboMeals) {
							comboMeals = [];
						}
						var cols = ["id","comboId","commodityId","commodityName","commodityPrice","commodityNum","sumAmount","normName","sellerId","createId","createTime","status",'lastUpdateTime','syned'];
						var defaultValues={status:'1'};
						saveOrUpdate(tx,"comboMeals",cols,comboMeals,datas,function(data,type){
							return dealData(data,cols,defaultValues);
						})
					}, function() {
						//callBackFunction(true);
						resolve(true);
					}, function(err) {
						console.log(err);
						//callBackFunction(false);
						reject(false, "更新套餐失败");
					});
				}else{
					//callBackFunction(false);
					reject(false, "更新套餐失败,本地数据库异常!");
				}
			});        	
        });
    },
    updateUnits : function(units, callBackFunction) {
        return new Promise(function(resolve, reject) {
	    	/* 单位 */
	        fgDB.transaction(function(tx) {
	            tx.executeSql("delete from sellerunit", [], function() {});
	            if(!units) units = [];
	            var unitCols = ["id","unitName","sellerId","lastUpdateTime"];
	            for(var ui=0,uilen=units.length;ui<uilen;ui++) {
	                var unitItem = units[ui];
	                var unitValues = [];
	                for(var uidx=0,unum=unitCols.length;uidx<unum;uidx++) {
	                    if(unitItem.hasOwnProperty(unitCols[uidx])) {
	                        unitValues.push(unitItem[unitCols[uidx]]);
	                    } else unitValues.push(null);
	                }
	                var unitSql = "insert into sellerunit (" + unitCols.join(',') + ") select " + new Array(unitCols.length).fill("?").join(",") + " where not exists(select 1 from sellerunit where id='" + units[ui].id + "')";
	                tx.executeSql(unitSql, unitValues, function() {});
	            }
	        }, function() {
	        	//callBackFunction&&callBackFunction(true);
	        	resolve(true);
	        }, function() {
	        	console.log(arguments);
	        	//callBackFunction&&callBackFunction(false);
	        	reject(false, "更新商品单位失败");
	        });
        });
    },
    updateRemark : function(remarks, callBackFunction) {
        return new Promise(function(resolve, reject) {
	    	/* 口味 */
	    	SellerRemarkDao.loadAllSellerRemark(function(success,datas){
				if(success){
					fgDB.transaction(function(tx) {
						if (!remarks) {
							remarks = [];
						}
						var cols = ["id","remark","sequence","price","sellerId","syned","status","lastUpdateTime"];
						var defaultValues={remark:'',parentSellerId:'',teaUnitPrice:0,status:'1',sequence:0};
						saveOrUpdate(tx,"sellerremark",cols,remarks,datas,function(data,type){
							return dealData(data,cols,defaultValues);
						})
					}, function() {
						//callBackFunction(true);
						resolve(true);
					}, function(err) {
						console.log(err);
						//callBackFunction(false);
						reject(false, "remarks");
					});
				}else{
					//callBackFunction(false);
					reject(false, "remarks2");
				}
			});
    	});
    },
    updateSupplierInfo : function(supplierInfos, callBackFunction) {
        return new Promise(function(resolve, reject) {
	    	/*供货商*/
	    	SupplierDao.loadAllSupplierInfo(function(success,datas){
				if(success){
					fgDB.transaction(function(tx) {
						if (!supplierInfos) {
							supplierInfos = [];
						}
						var cols = ["id","sellerId","status","name","syned","linkMan","linkSex","linkEmail","deliveryRebate","fixedRebate","addr","remark","createId","createTime","lastUpdateId","lastUpdateTime"];
						var defaultValues={remark:''};
						saveOrUpdate(tx,"supplierInfo",cols,supplierInfos,datas,function(data,type){
							return dealData(data,cols,defaultValues);
						})
					}, function() {
						//callBackFunction(true);
						resolve(true);
					}, function(err) {
						console.log(err);
						//callBackFunction(false);
						reject(false, "supplierInfo");
					});
				}else{
					//callBackFunction(false);
					reject(false, "supplierInfo2");
				}
			});
    	});
    },
    updateDiscount : function(discounts, callBackFunction) {
        return new Promise(function(resolve, reject) {        	
        	/* 折扣 */
        	DiscountDao.loadDiscount(function(success,datas){
        		if(success){
        			fgDB.transaction(function(tx) {
        				if (!discounts) {
        					discounts = [];
        				}
        				var cols = ["id", "discount", "isSupportPwd", "sellerId", "password", "remark", "define1", "define2", "lastUpdateTime", "status", "syned"];
        				var defaultValues={remark:'',parentSellerId:'',teaUnitPrice:0,status:'1',sequence:0};
        				saveOrUpdate(tx,"discount",cols,discounts,datas,function(data,type){
        					return dealData(data,cols,defaultValues);
        				})
        			}, function() {
        				//callBackFunction(true);
        				resolve(true);
        			}, function(err) {
        				console.log(err);
        				//callBackFunction(false);
        				reject(false, "更新本地折扣失败");
        			});
        		}else{
        			//callBackFunction(false);
        			reject(false, "更新折扣失败，本地数据库异常!");
        		}
        	});
        });
    },
    updateServicePlaceType : function(servicePlaceTypes, callBackFunction) {
        return new Promise(function(resolve, reject) {    	
        	/* 更新餐桌分类 */
        	ServicePlaceDao.loadAllServicePlaceType(function(success,datas){
        		if(success){
        			fgDB.transaction(function(tx) {
        				if (!servicePlaceTypes) {
        					servicePlaceTypes = [];
        				}
        				var cols = ["id", "typeName", "sequence", "remark", "sellerId", "parentSellerId", "isDelete", "teaUnitPrice", "lastUpdateTime", "status", "syned"];
        				var defaultValues={remark:'',parentSellerId:'',teaUnitPrice:0,status:'1',sequence:0};
        				saveOrUpdate(tx,"serviceplacetype",cols,servicePlaceTypes,datas,function(data,type){
        					return dealData(data,cols,defaultValues);
        				})
        			}, function() {
        				//callBackFunction(true);
        				resolve(true);
        			}, function(err) {
        				console.log(err);
        				//callBackFunction(false);
        				reject(false, "更新本地餐桌分类失败!");
        			});
        		}else{
        			//callBackFunction(false);
        			reject(false, "更新餐桌分类失败，本地数据库异常!");
        		}
        	});
        });
    },
    updateServicePlace : function(servicePlaces, callBackFunction) {
        return new Promise(function(resolve, reject) {        	
        	ServicePlaceDao.loadAllServicePlace(function(success,datas){
        		if(success){
        			fgDB.transaction(function(tx) {
        				if (!servicePlaces) {
        					servicePlaces = [];
        				}
        				var cols = ["id", "placeName", "typeId", "typeName", "sequence", "remark", "personNum", "sellerId", "parentSellerId", "status", "isDelete", "lastUpdateTime", "syned"];
        				var defaultValues={remark:'',parentSellerId:'',status:'0',sequence:0};
        				saveOrUpdate(tx,"serviceplace",cols,servicePlaces,datas,function(data,type){
        					return dealData(data,cols,defaultValues);
        				})
        			}, function() {
        				//callBackFunction(true);
        				resolve(true);
        			}, function(err) {
        				console.log(err);
        				//callBackFunction(false);
        				reject(false, "更新本地餐桌失败!");
        			});
        		}else{
        			//callBackFunction(false);
        			reject(false, "更新餐桌失败,本地数据库异常!");
        		}
        	});
        });
    },
    updateSellerCustomer : function(sellerCustomers, callBackFunction) {
    	//console.log(sellerCustomers)
    	return new Promise(function(resolve, reject) {
    		CustomerDao.loadCustomerInfo(function(success,datas){
    			if(success){
    				fgDB.transaction(function(tx) {
    					if (!sellerCustomers) {
    						sellerCustomers = [];
    					}
    					var cols = ["id", "name", "mobile", "birthday", "sellerId", "address", "sex", "nickName", "qq", "createDate", "type", "syned",
    					            "define1", "define2", "define3", "define4", "password", "remark", "customerId", "attentionStatus", "rechargeAmount", "useAmount", "presentAmount",
    					            "discount", "status", "parentSellerId", "openId", "cardNum", "lastUpdateTime"];
    					var defaultValues={status:'0'};
    					saveOrUpdate(tx,"sellercustomerinfo",cols,sellerCustomers,datas,function(data,type){
    						return dealData(data,cols,defaultValues);;
    					})
    				}, function() {
    					//callBackFunction(true);
    					resolve(true);
    				}, function(err) {
    					console.log(err);
    					//callBackFunction(false);
    					reject(false, "sellerCustomer-!");
    				});
    			}else{
    				//callBackFunction(false);
    				reject(false, "sellerCustomer!");
    			}
    		});
    	});
    },
    updatePayConfig : function(payConfig, callBackFunction) {
    	return new Promise(function(resolve, reject) {
    		PayDao.loadPayconfig(function(success,datas){
    			if(success){
    				fgDB.transaction(function(tx) {
    					if (!payConfig) {
    						payConfig = [];
    					}
    					var cols = ['id','sellerId','payType','openStatus','status','syned','payTypeName','lastUpdateTime','defaultPayType'];
    					var defaultValues={status:'0',openStatus:'0'};
    					saveOrUpdate(tx,"payconfig",cols,payConfig,datas,function(data,type){
    						if(data.payType == '1') data.payTypeName = "现金";
    						if(data.payType == '2') data.payTypeName = "储值卡";
    						if(data.payType == '3') data.payTypeName = "银联卡";
    						if(data.payType == '4') data.payTypeName = "微信(离线)";
    						if(data.payType == '5') data.payTypeName = "支付宝(离线)";
    						if(data.payType == '6') data.payTypeName = "次卡";
    						if(data.payType == '7') data.payTypeName = "积分兑换";
    						if(data.payType == '8') data.payTypeName = "微信(在线)";
    						if(data.payType == '9') data.payTypeName = "支付宝(在线)";
    						if(data.payType == '11') data.payTypeName = "免单";
    						return dealData(data,cols,defaultValues);
    					})
    				}, function() {
    					//callBackFunction(true);
    					resolve(true);
    				}, function(err) {
    					console.log(err);
    					//callBackFunction(false);
    					reject(false, "payconfig");
    				});
    			}else{
    				//callBackFunction(false);
    				reject(false, "payconfig-exception!");
    			}
    		});
    	});
    },
    updateCouponConfig : function(couponConfigs, callBackFunction) {
    	return new Promise(function(resolve, reject) {
    		CouponDao.loadCouponData(function(success,datas){
				if(success){
					fgDB.transaction(function(tx) {
						if (!couponConfigs) {
							couponConfigs = [];
						}
						var cols = ["id","sellerId","couponRange","costMoney","subtractMoney","couponCycle","couponStartTime","couponEndTime",
					                  "couponStartDate","couponEndDate","couponWeek","couponName","commodityTypeId","status","syned","isDeleted",
					                  "lastUpdateTime"];
						var defaultValues={couponStartTime:'',couponEndTime:'',couponStartTime:'',couponEndTime:'',status:'0'};
						saveOrUpdate(tx,"couponconfig",cols,couponConfigs,datas,function(data,type){
							if (data.couponStartDate){
								data.couponStartDate = new Date(data.couponStartDate).format('yyyy-MM-dd');
							}
							if (data.couponEndDate){
								data.couponEndDate = new Date(data.couponEndDate).format('yyyy-MM-dd');
							}
							return dealData(data,cols,defaultValues);;
						})
					}, function() {
						//callBackFunction(true);
						resolve(true);
					}, function(err) {
						console.log(err);
						//callBackFunction(false);
						reject(false, "couponConfig");
					});
				}else{
					//callBackFunction(false);
					reject(false, "couponConfig2");
				}
    		});
    	});
    },
    updateSellerSpecialConfig : function(specialConfigs, callBackFunction) {
    	return new Promise(function(resolve, reject) {
	    	SpecialPriceDao.loadSpecialPrice(function(success,datas){
				if(success){
					fgDB.transaction(function(tx) {
						if (!specialConfigs) {
							specialConfigs = [];
						}
						var cols = ["id","sellerId","specialName","specialPrice","commodityId","specialPriceRange","specialPriceCycle",
				                    "specialPriceStartTime","specialPriceEndTime","specialPriceStartDate","specialPriceEndDate",
				                    "specialPriceWeek","specialNormsName","status","isDeleted","syned","lastUpdateTime"];
						saveOrUpdate(tx,"specialprice",cols,specialConfigs,datas,function(data,type){
							return dealData(data,cols,null);
						})
					}, function() {
						//callBackFunction(true);
						resolve(true);
					}, function(err) {
						console.log(err);
						//callBackFunction(false);
						reject(false, "specialprice");
					});
				}else{
					//callBackFunction(false);
					reject(false, "specialprice2");
				}
			});
    	});
    },
    updateSellerPayType : function(payTypes, callBackFunction) {
        return new Promise(function(resolve, reject) {
	    	/* 自定义支付方式 */
			PayDao.loadSellerPayTypes(function(success,datas){
				if(success){
					PayDao.loadPayconfig(function(success,configDatas){
						if(success){
							fgDB.transaction(function(tx) {
								if (!payTypes) {
									payTypes = [];
								}
								var cols = ["id","sellerId","payTypeName","status","syned","lastUpdateTime"];
								var defaultValues={status:'0',openStatus:'0'};
								saveOrUpdate(tx,"sellerpaytypes",cols,payTypes,datas,function(data,type){
									var payConfigCols = ["id","sellerId","payType","openStatus","status","syned","payTypeName","lastUpdateTime"];
									var oldData=null;
									for(var k=0,len=configDatas.length;k<len;k++) {
										if(configDatas[k].payType==data.id){
											oldData=configDatas[k];
											break;
										}
									}
								   if(oldData){
									   var payConfigSql="update payconfig set payTypeName=?,lastUpdateTime=? where id='"+oldData.id+"'";
									   if(oldData.lastUpdateTime&&(oldData.lastUpdateTime+"").indexOf('NaN')==-1){
											if(data.lastUpdateTime||(timestampToDate(data.lastUpdateTime)>oldData.lastUpdateTime)){
												tx.executeSql(payConfigSql, [data.payTypeName,timestampToDate(data.lastUpdateTime)]);
											}
									   }else{
										   tx.executeSql(payConfigSql, [data.payTypeName,timestampToDate(data.lastUpdateTime)]);
									   }
									}else{
										var payConfigValues = [];
										payConfigValues.push(createSysId());
										payConfigValues.push(data.sellerId);
										payConfigValues.push(data['id']);
										payConfigValues.push("0");
										payConfigValues.push("1");
										payConfigValues.push("0");
										payConfigValues.push(data.payTypeName);
										payConfigValues.push(timestampToDate(data.lastUpdateTime));
										var payConfigSql = "insert into payconfig (" + payConfigCols.join(",") + ") select " + new Array(payConfigCols.length).fill('?').join(',') + " where not exists(select 1 from payconfig where payType='" + data.id + "')";
										tx.executeSql(payConfigSql, payConfigValues, function() {});
									}
									return dealData(data,cols,defaultValues);
								})
							}, function() {
								//callBackFunction(true);
								resolve(true);
							}, function(err) {
								console.log(err);
								//callBackFunction(false);
								reject(false, "sellerpayTypes");
							});
						}else{
							//callBackFunction(false);
							reject(false, "sellerpayTypes2");
						}
					});
				}else{
					//callBackFunction(false);
					reject(false, "sellerpaytypes3");
				}
			});
        });
    },
    updateSellerKitchenPrinter : function(kitchenPrinters, callBackFunction) {
    	return new Promise(function(resolve, reject) {
	    	KTPrinterDao.loadAllPrinter(function(success,datas){
				if(success){
					fgDB.transaction(function(tx) {
						if (!kitchenPrinters) {
							kitchenPrinters = [];
						}
						var cols = ["id","sellerId","ktPrintName","ktPrintIp","isDeleted","syned","mode","interface","printQuantity",
						              "paperWidth","customWidth","rowledge","model","port","baudrate","beepEnable","autoCut","roll","status","lastUpdateTime"];
						saveOrUpdate(tx,"kitchenprinter",cols,kitchenPrinters,datas,function(data,type){
							if(data.printerName) {
								data.ktPrintName= data.printerName;
							}
							if(data.printerName) {
								data.ktPrintIp= data.printerIp;
							}
							return dealData(data,cols,null);
						})
					}, function() {
						//callBackFunction(true);
						resolve(true);
					}, function(err) {
						console.log(err);
						//callBackFunction(false);
						reject(false, "kitchenPrinters")
					});
				}else{
					//callBackFunction(false);
					reject(false, "kitchenPrinters2");
				}
			});	
    	});
    },
    updateSellerCustomerType : function(sellerCustomerTypes, callBackFunction) {
        return new Promise(function(resolve, reject) {
	    	CustomerTypeDao.loadCustomerType(function(success,datas){
				if(success){
					fgDB.transaction(function(tx) {
						if (!sellerCustomerTypes) {
							sellerCustomerTypes = [];
						}
						var cols = ["id","typeName","parentId","sequence","typeLevel","sellerId","parentSellerId","ecode",
					                "status","syned","lastUpdateTime"];
						var defaultValues={status:'0'};
						saveOrUpdate(tx,"sellercustomertype",cols,sellerCustomerTypes,datas,function(data,type){
							return dealData(data,cols,defaultValues);;
						})
					}, function() {
						//callBackFunction(true);
						resolve(true);
					}, function(err) {
						console.log(err);
						//callBackFunction(false);
						reject(false, "sellercustomertypes");
					});
				}else{
					//callBackFunction(false);
					reject(false, "sellercustomertypes2");
				}
			});        	
        });
    },
    updateSellerOpenPlace : function(openPlaces, callBackFunction) {
    	return new Promise(function(resolve, reject) {
	    	SettingDao.loadOpenPlaceSet(function(success,datas){
				if(success){
					fgDB.transaction(function(tx) {
						if (!openPlaces) {
							openPlaces = [];
						}
						var cols = ["id","commodityId","commodityName","commodityPrice","commodityNum","commodityTypeId","sumAmount",
						              "normName","sellerId","kitchenPrint","labelPrint","isDiscount","lastUpdateTime","status","syned"];
						var defaultValues={status:'1'};
						saveOrUpdate(tx,"openplaceset",cols,openPlaces,datas,function(data,type){
							return dealData(data,cols,defaultValues);
						})
					}, function() {
						//callBackFunction(true);
						resolve(true);
					}, function(err) {
						console.log(err);
						//callBackFunction(false);
						reject(false, "sellerOpenPlace");
					});
				}else{
					//callBackFunction(false);
					reject(false, "sellerOpenPlace2");
				}
			});    		
    	});
    },
    updateSellerPayTypeWs : function(payTypes, callBackFunction) {
        return new Promise(function(resolve, reject) {
            /* 自定义支付方式 */
            PayDao.loadSellerPayTypes(function(success,datas){
                if(success){
                    PayDao.loadPayconfig(function(success,configDatas){
                        if(success){
                            fgDB.transaction(function(tx) {
                                if (!payTypes) {
                                    payTypes = [];
                                }
                                var cols = ["id","sellerId","payTypeName","status","syned","lastUpdateTime"];
                                var defaultValues={status:'0',openStatus:'0'};
                                saveOrUpdate(tx,"sellerpaytypes",cols,payTypes,datas,function(data,type){
                                    var payConfigCols = ["id","sellerId","payType","openStatus","status","syned","payTypeName","lastUpdateTime"];
                                    var oldData=null;
                                    for(var k=0,len=configDatas.length;k<len;k++) {
                                        if(configDatas[k].payType==data.id){
                                            oldData=configDatas[k];
                                            break;
                                        }
                                    }
                                    if(oldData){
                                        var payConfigSql="update payconfig set payTypeName=?,lastUpdateTime=? ";
                                        /* 被删除 */
                                        if(data.status === '9') payConfigSql += ",status='9' ";
                                        payConfigSql += "where id='"+oldData.id+"'";
                                        if(oldData.lastUpdateTime&&(oldData.lastUpdateTime+"").indexOf('NaN')==-1){
                                            if(data.lastUpdateTime||(timestampToDate(data.lastUpdateTime)>oldData.lastUpdateTime)){
                                                tx.executeSql(payConfigSql, [data.payTypeName,timestampToDate(data.lastUpdateTime)]);
                                            }
                                        }else{
                                            tx.executeSql(payConfigSql, [data.payTypeName,timestampToDate(data.lastUpdateTime)]);
                                        }
                                    }else{
                                        if(data.status === '9') { /* 删除支付方式 */
                                            tx.executeSql("UPDATE payconfig SET status='9' WHERE sellerId=? AND payType=?", [seller.id,data.id], function() {});
                                        } else {
                                            var payConfigValues = [];
                                            payConfigValues.push(createSysId());
                                            payConfigValues.push(data.sellerId);
                                            payConfigValues.push(data['id']);
                                            payConfigValues.push("0");
                                            payConfigValues.push("1");
                                            payConfigValues.push("0");
                                            payConfigValues.push(data.payTypeName);
                                            payConfigValues.push(timestampToDate(data.lastUpdateTime));
                                            var payConfigSql = "insert into payconfig (" + payConfigCols.join(",") + ") select " + new Array(payConfigCols.length).fill('?').join(',') + " where not exists(select 1 from payconfig where payType='" + data.id + "')";
                                            tx.executeSql(payConfigSql, payConfigValues, function () {});
                                        }
                                    }
                                    return dealData(data,cols,defaultValues);
                                })
                            }, function() {
                                //callBackFunction(true);
                                resolve(true);
                            }, function(err) {
                                console.log(err);
                                //callBackFunction(false);
                                reject(false, "sellerpayTypes");
                            });
                        }else{
                            //callBackFunction(false);
                            reject(false, "sellerpayTypes2");
                        }
                    });
                }else{
                    //callBackFunction(false);
                    reject(false, "sellerpaytypes3");
                }
            });
        });
    },
    updateCommodityTypeWs : function(commodityTypes, callBackFunction) {
        return new Promise(function(resolve, reject) {
            //reject({success : false, msg : "商品分类本地操作失败!"});
            //return;
            CommodityDao.loadAllCommodityType(function(success,datas){
                if(success){
                    fgDB.transaction(function(tx) {
                        if (!commodityTypes) {
                            commodityTypes = [];
                        }
                        var cols = ['id', 'name', 'sequence','typeLevel','parentId','parentSellerId', 'parentCommodityTypeId', 'sellerId', 'iskitchenprint', 'kitchenPrintJson', 'isDiscount', 'isInventory', 'syned','lastUpdateTime',"selected","status"];
                        saveOrUpdate(tx,"commodityType",cols,commodityTypes,datas,function(commodityType,type){
                            if("lastUpdateTime" in commodityType) commodityType["lastUpdateTime"] = new Date(commodityType["lastUpdateTime"]).format("yyyy-MM-dd hh:mm:ss");
                            if("createTime" in commodityType) commodityType["createTime"] = new Date(commodityType["createTime"]).format("yyyy-MM-dd hh:mm:ss");
                            if(type==2){
                                var insertData = {};
                                for(var ci=0,clen=cols.length;ci<clen;ci++) {
                                    if(cols[ci] === 'sellerId') {
                                        insertData[cols[ci]] = seller.id;
                                    } else if(cols[ci] === 'syned') {
                                        insertData[cols[ci]] = "1";
                                    }else if(cols[ci] in commodityType && commodityType[cols[ci]]) {
                                            insertData[cols[ci]] = commodityType[cols[ci]];
                                    } else insertData[cols[ci]] = null;
                                }
                                return insertData;
                                //return {id:commodityType.id, name:commodityType.name, sequence:commodityType.sequence, typeLevel:commodityType.typeLevel, parentId:commodityType.parentId, parentSellerId:nvlValue(commodityType.parentSellerId,''), parentCommodityTypeId: nvlValue(commodityType.parentCommodityTypeId,''), sellerId:seller.id, iskitchenprint:nvlValue(commodityType.iskitchenprint, '0'), kitchenPrintJson:nvlValue(commodityType.kitchenPrintJson,''), isDiscount:nvlValue(commodityType.isDiscount,'0'), isInventory:nvlValue(commodityType.isInventory,'0'), syned:"1", lastUpdateTime:timestampToDate(commodityType.lastUpdateTime),selected:nvlValue(commodityType.selected,''),status:nvlValue(commodityType.status,'')};
                            }else{
                                var insertData = [];
                                for(var ci=0,clen=cols.length;ci<clen;ci++) {
                                    if(cols[ci] === 'sellerId') {
                                        insertData.push(seller.id);
                                    } else if(cols[ci] === 'syned') {
                                        insertData.push("1");
                                    } else if(cols[ci] in commodityType && commodityType[cols[ci]]) {
                                        insertData.push(commodityType[cols[ci]]);
                                    } else insertData.push(null);
                                }
                                return insertData;
                                //return [commodityType.id, commodityType.name, commodityType.sequence,commodityType.typeLevel, nvlValue(commodityType.parentId,''),nvlValue(commodityType.parentSellerId,''),nvlValue(commodityType.parentCommodityTypeId,''), seller.id, nvlValue(commodityType.iskitchenprint, '0'), commodityType.kitchenPrintJson, commodityType.isDiscount, commodityType.isInventory, "1", timestampToDate(commodityType.lastUpdateTime),nvlValue(commodityType.selected,''),nvlValue(commodityType.status,'')];
                            }
                        })
                    }, function() {
                        //callBackFunction(true);
                        resolve(true);
                    }, function(err) {
                        console.log(err);
                        //callBackFunction(false);
                        reject(false, "更新商品类型失败!");
                    });
                }else{
                    //callBackFunction(false);
                    reject(false, "更新商品类型失败!");
                }
            });
        });
    },
    /* 更新员工 */
    updateSellerEmployeeWs : function(employees, callBackFunction) {
        return new Promise(function(resolve, reject) {
            SellerEmployeeDao.loadAllSellerEmployee(function(success,datas){
                if(success){
                    fgDB.transaction(function(tx) {
                        if (!employees) {
                            employees = [];
                        }
                        var cols = ["id", "workId", "password", "workName", "type", "permissions", "eraseZeroMaxAmount", "sellerId", "mobile","syned","commissionScale","birthday","status"];
                        var defaultValues=null;
                        saveOrUpdate(tx,"selleremployee",cols,employees,datas,function(data,type){
                            if("type" in data) {
                                data.type = data.type;
                            } else
                                data.type=data.workType;
                            for (var ei = 0; ei < employees.length; ei++) {
                                if (employees[ei].id == shouYinEmployee.id) {
                                    cashierPermissions = employees[ei].permissions;
                                    eraseZeroMaxAmount = employees[ei].eraseZeroMaxAmount;
                                    shouYinEmployee.workId = employees[ei].workId;
                                    shouYinEmployee.workName = employees[ei].workName;
                                    //$('#employeeName').html(shouYinEmployee.workName);
                                    break;
                                }
                            }
                            return dealData(data,cols,defaultValues);
                        })
                    }, function() {
                        //callBackFunction(true);
                        resolve(true);
                    }, function(err) {
                        console.log(err);
                        //callBackFunction(false);
                        reject({success:false, msg:"更新员工失败"});
                    });
                }else{
                    //callBackFunction(false);
                    reject({success:false, msg:"更新员工失败,本地数据库异常!"});
                }
            });
        });
    },
    updateCommodityTypeForSlave:function(callBackFunction){
   	    CommodityDao.loadAllCommodityType(function(success,commodityTypes){
            if(success){
           	    CommodityDao.loadAllCommodityType(function(success,datas){
                    if(success){
                        fgDB.transaction(function(tx) {
                            if (!commodityTypes) {
                                commodityTypes = [];
                            }
                            var cols = ['id', 'name', 'sequence','typeLevel','parentId','parentSellerId', 'parentCommodityTypeId', 'sellerId', 'iskitchenprint', 'kitchenPrintJson', 'isDiscount', 'isInventory', 'syned','lastUpdateTime',"selected","status"];
                            saveOrUpdateForSlave(tx,"commodityType",cols,commodityTypes,datas,function(commodityType,type){
                                if(type==2){
                                    return {id:commodityType.id, name:commodityType.name, sequence:commodityType.sequence, typeLevel:commodityType.typeLevel, parentId:commodityType.parentId, parentSellerId:nvlValue(commodityType.parentSellerId,''), parentCommodityTypeId: nvlValue(commodityType.parentCommodityTypeId,''), sellerId:seller.id, iskitchenprint:nvlValue(commodityType.iskitchenprint, '0'), kitchenPrintJson:nvlValue(commodityType.kitchenPrintJson,''), isDiscount:nvlValue(commodityType.isDiscount,'0'), isInventory:nvlValue(commodityType.isInventory,'0'), syned:"1", lastUpdateTime:commodityType.lastUpdateTime,selected:nvlValue(commodityType.selected,''),status:nvlValue(commodityType.status,'')};
                                }else{
                                    return [commodityType.id, commodityType.name, commodityType.sequence,commodityType.typeLevel, nvlValue(commodityType.parentId,''),nvlValue(commodityType.parentSellerId,''),nvlValue(commodityType.parentCommodityTypeId,''), seller.id, nvlValue(commodityType.iskitchenprint, '0'), commodityType.kitchenPrintJson, commodityType.isDiscount, commodityType.isInventory, "1", commodityType.lastUpdateTime,nvlValue(commodityType.selected,''),nvlValue(commodityType.status,'')];
                                }
                            })
                        }, function() {
                            callBackFunction(true);
                        }, function(err) {
                            console.log(err);
                            callBackFunction(false);
                        });
                    }else{
                        callBackFunction(false);
                    }
                },true);
            }else{
                callBackFunction(false, commodityTypes);
            }
        });
   },
    updateCommodityInfoForSlave:function(callBackFunction){
  	    CommodityDao.loadAllCommodityInfoNotDel(function(success,commodityInfos){
           if(success){
        	   CommodityDao.loadAllCommodityInfo(function(success2,datas){
       			if(success2){
       				fgDB.transaction(function(tx) {
       					if (!commodityInfos) {
       						commodityInfos = [];
       					}
       					var cols = ["id","name","price","logo","sequence","typeId","pinyinCode","barCode","vipPrice","tradePrice","isDiscount","costPrice","oriPrice","category","sellNum","style1","style2",
       					            "isPoints","isWeight","define1","define2","define3","define4","status","parentCommodityId","isTimecard","timeNum","timeCommodityId","soldoutStatus","soldoutNum","sellerId","parentSellerId","syned",
       					            "isSupportNorms","normsName1","normsName2","normsName3","normsName4","normsName5","normsName6","normsName7","normsName8","normsPrice1","normsPrice2","normsPrice3","normsPrice4",
       					            "normsPrice5","normsPrice6","normsPrice7","normsPrice8","comboMealsJson","expectedTime","kitchenPrint","labelPrint","isTimePrice","circleId","selected",
       					            "content","sendTime","lastOrderTime","stock","minStock","maxStock","supplierId","guaranteePeriod","negativeStock","presentAmount","image1","image2","image3","image4","image5","parentCommodityTypeId",
       					            "parentSupplierId","timeTommodityId","boxNum","minOrderCount","unit","lastUpdateTime","isDelete","isSpecialPrice","specialPrice","specialNorms"];
       					saveOrUpdateForSlave(tx,"commodityinfo",cols,commodityInfos,datas,function(data,type){
       						if(data.commodityType) {
       							data.typeId=data.commodityType.id;
       						}
       						if(data.logo){
       							data.define1="file:///img/"+data.id+".png";
           						LoadDataDao.toLoadImage(data.id, webHostImagePath + data.logo + "@400w_300h_100Q_c_0");
       						}else{
       							data.define1=null;
       						}
       						return dealDataForSlave(data,cols);
       					});
       				}, function() {
       					callBackFunction(true);
       				}, function(err) {
       					console.log(err);
       					callBackFunction(false);
       				});
       			}else{
       				callBackFunction(false);
       			}
       		},true);
           }else{
               callBackFunction(false, commodityInfos);
           }
       });
  },
    updateCommodityInfoForSlaveAndroid:function(callBackFunction){
        CommodityDao.loadAllCommodityInfoNotDelAndroid(function(success,commodityInfos){
            if(success){
                CommodityDao.loadAllCommodityInfoAndroid(function(success2,datas){
                    if(success2){
                        fgDB.transaction(function(tx) {
                            if (!commodityInfos) {
                                commodityInfos = [];
                            }
                            var cols = ["id","name","price","logo","sequence","typeId","pinyinCode","barCode","vipPrice","tradePrice","isDiscount","costPrice","oriPrice","category","sellNum","style1","style2",
                                "isPoints","isWeight","define1","define2","define3","define4","status","parentCommodityId","isTimecard","timeNum","timeCommodityId","soldoutStatus","soldoutNum","sellerId","parentSellerId","syned",
                                "isSupportNorms","normsName1","normsName2","normsName3","normsName4","normsName5","normsName6","normsName7","normsName8","normsPrice1","normsPrice2","normsPrice3","normsPrice4",
                                "normsPrice5","normsPrice6","normsPrice7","normsPrice8","comboMealsJson","expectedTime","kitchenPrint","labelPrint","isTimePrice","circleId","selected",
                                "content","sendTime","lastOrderTime","stock","minStock","maxStock","supplierId","guaranteePeriod","negativeStock","presentAmount","image1","image2","image3","image4","image5","parentCommodityTypeId",
                                "parentSupplierId","timeTommodityId","boxNum","minOrderCount","unit","lastUpdateTime","isDelete","isSpecialPrice","specialPrice","specialNorms"];
                            saveOrUpdateForSlave(tx,"commodityinfo",cols,commodityInfos,datas,function(data,type){
                                if(data.commodityType) {
                                    data.typeId=data.commodityType.id;
                                }
                                if(data.logo){
                                    data.define1="file:///img/"+data.id+".png";
                                    LoadDataDao.toLoadImage(data.id, webHostImagePath + data.logo + "@400w_300h_100Q_c_0");
                                }else{
                                    data.define1=null;
                                }
                                return dealDataForSlave(data,cols);
                            });
                        }, function() {
                            callBackFunction(true);
                        }, function(err) {
                            console.log(err);
                            callBackFunction(false);
                        });
                    }else{
                        callBackFunction(false);
                    }
                },true);
            }else{
                callBackFunction(false, commodityInfos);
            }
        });
    },
    updateDataForForSlave:function(callBackFunction){
	  LoadDataDao.updateCommodityTypeForSlave(function(success){
		  if(success){
		      if(isAndroid()) {
                  LoadDataDao.updateCommodityInfoForSlaveAndroid(function (success2) {
                      if (success2) {
                          callBackFunction(true);
                      } else {
                          callBackFunction(false);
                      }
                  });
              } else {
                  LoadDataDao.updateCommodityInfoForSlave(function (success2) {
                      if (success2) {
                          callBackFunction(true);
                      } else {
                          callBackFunction(false);
                      }
                  });
              }
		  }else{
			  callBackFunction(false);
		  }
	  });
  }
};
//补充打印模板
function addNotExistTemplate() {
	PrintTemplateDao.loadPrintTemplate(function(success,datas){
    	if(success&&datas){
    		for(var i=0;i<printTemplateData.length;i++){
    			var has=isExistTemplate(printTemplateData[i].templateDefaultId,datas);
    			if(!has){
    				printTemplateData[i].id=createPrintTemplateId(i);
        			printTemplateData[i].syned="0";
        			printTemplateData[i].status="1";
        			printTemplateData[i].sellerId=seller.id;
        	    	PrintTemplateDao.add(printTemplateData[i]);
    			}
    		}
    	}
    });
}

function isExistTemplate(templateDefaultId,datas) {
	for(var j=0;j<datas.length;j++){
		if(datas[j].templateDefaultId==templateDefaultId){
			return true;
		}
	}
	return false;
}
function downloadImgCallback(status, name) {
    /*console.log(status +":"+ name);
    if(status==1&&name){
    	var id=name.split(".")[0];
    	var define1="file:///img/"+id+".png";
    	CommodityDao.updateCommodity({define1:define1},id);
    }else{
    	CommodityDao.updateCommodity({define1:null},id);
    }*/
}
