/**
 * Created by lf on 2017/8/1.
 */

var PrinterDao = {
    loadSearchInfo: function(param,callBack) {
        var sql = "SELECT * from kitchenPrinter where 1=1 " ;
        var keyArr=[];
        if (param)
        {
            sql=sql+' and  ktPrintName like ?  '
            keyArr.push('%'+param+'%');
        }
        sql=sql+'Order by ktPrintName';

        loadBySqlParam(sql,keyArr, callBack);
    },

    /**
     * 根据id查询数据
     * @param {Object} callback(success,err)
     */
    getById : function(id, callback) {
        var sql = "SELECT * FROM kitchenPrinter where id=? ";
        getBySql(sql,[id],callback);
    },

    /**
     * 根据id和名称查询供应商数据
     * @param {Object} callback(success,err)
     */
    getByIdAndName : function(id, name, callback) {
        var sql = "SELECT * FROM kitchenPrinter where id!=? and ktPrintName=?";
        loadBySqlParam(sql,[id,name],callback);
    },

    /**
     * 根据名称查询供应商数据
     * @param {Object} callback(success,err)
     */
    getByName : function(name, callback) {
        var sql = "SELECT * FROM kitchenPrinter where ktPrintName=? ";
        loadBySqlParam(sql,[name],callback);
    },

    /**
     * 更新类型
     * @param {Object} callback(success,err)
     */
    update : function(sqlData,id, callback) {
        update('kitchenPrinter',sqlData,id,callback)
    },

    /**
     *增加类型
     */
    add : function(sqlData, callBack) {
        insert("kitchenPrinter", sqlData, callBack);
    },

    /**
     *删除类型
     */
    delete : function(id, callBack) {
        del("kitchenPrinter", id, callBack);
    },
}