var SellInfoDao = {//这里名字取错了，但是因为写了许多代码，所以暂时就不改过来了


    loadEraseZeroDetailData:function (keyArr,callback) {
        var sql = "SELECT " +
            "deviceId, id txtId, workName, round(totalAmount,2) totalAmount,round(sellAmount,2) sellAmount,discount,round(eraseZeroAmount,2) eraseZeroAmount" +
            " FROM sellinfo " +
            "  WHERE eraseZeroAmount > ? AND sellerId = ? AND IFNULL(status,'0')='1' and ifnull(isDelete,'0') <> '1' ";
        var paramArr = [0,loginInfo.storeId];
        if(keyArr){
            if(keyArr[0]){
                sql = sql+ ' and workName = ? ';
                paramArr.push( keyArr[0] );
            }
            if(keyArr[1]){
                sql = sql+ ' and deviceId = ? ';
                paramArr.push( keyArr[1] );
            }
            if(keyArr[2]){
                sql = sql+ ' and date(sellTime) = ? ';
                paramArr.push( keyArr[2] );
            }
        }
        //console.log(sql,paramArr);
        loadBySqlParam(sql,paramArr,callback);
    },


    loadBillDetailData:function (keyArr,callback) {
        var sql = "SELECT " +
            "deviceId, id txtId, workName, round(totalAmount,2) totalAmount, round(sellAmount,2) sellAmount,round(discountAmount,2) discountAmount,round(notDiscountAmount,2) notDiscountAmount,discount,round(alreadyDiscountAmount,2) alreadyDiscountAmount,round(eraseZeroAmount,2) eraseZeroAmount" +
            " FROM sellinfo " +
            " WHERE sellerId = ? and ifnull(isDelete,'0') <> '1' and discount < ?";
        var paramArr = [loginInfo.storeId,100];
        if(keyArr){
            if(keyArr[0]){
                sql = sql+ ' and workName = ? ';
                paramArr.push( keyArr[0] );
            }
            if(keyArr[1]){
                sql = sql+ ' and deviceId = ? ';
                paramArr.push( keyArr[1] );
            }
            if(keyArr[2]){
                sql = sql+ ' and date(sellTime) = ? ';
                paramArr.push( keyArr[2] );
            }
        }
        //console.log(sql,paramArr);
        loadBySqlParam(sql,paramArr,callback);
    },
    loadComboMealsDataByTotal: function(keyArr, callBack) {
        var paramArray = [];
        var sql = 'SELECT COUNT(*) totalCount FROM (SELECT sd.commodityName comboName,SUM(sd.sellNum) comboSellNum,cm.comboId,cm.commodityName,' +
            'SUM(sd.sellNum * cm.commodityNum) commodityNum,cm.commodityPrice,SUM(sd.sellNum*cm.commodityNum*cm.commodityPrice) commodityAmount,' +
            'cm.commodityId,sd.commodityTypeId,ct.name commodityTypeName,si.deviceId,si.sellTime ' +
            'FROM selldetail sd ' +
            'LEFT JOIN comboMealsSelldetail cm ON (sd.id=cm.selldetailId) ' +
            'LEFT JOIN commodityinfo ci ON sd.commodityId=ci.id ' +
            'LEFT JOIN commodityType ct ON sd.commodityTypeId=ct.id ' +
            'LEFT JOIN sellinfo si ON sd.sellId=si.id ' +
            'WHERE ' +
            'IFNULL(ci.category,"")="2" ' +
            'AND IFNULL(si.status,"0")="1" ' +
            'AND IFNULL(si.isDelete,"0")<>"1" ' +
            'AND IFNULL(si.sellType,"")<>"2" ' +
            'AND IFNULL(cm.status,"0")="1" ' +
            'AND si.sellerId=? ';
        paramArray.push(loginInfo.storeId);
        if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND sd.commodityTypeId = ? ';
        }
        if (!Ext.isEmpty(keyArr[1])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND sd.commodityName like ? ESCAPE '^' ";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(si.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(si.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND si.deviceId= ? ';
        }
        if (!Ext.isEmpty(keyArr[5])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND cm.commodityName like ? ESCAPE '^' ";
        }
        if (!Ext.isEmpty(keyArr[5])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[5]) + '%');
            sql = sql + " AND cm.commodityName like ? ESCAPE '^' ";
        }
        sql += ' GROUP BY cm.commodityId,IFNULL(cm.normName,""),cm.comboId HAVING SUM(sd.sellNum * cm.commodityNum) ORDER BY si.sellTime DESC)';
        loadBySqlParam(sql, paramArray, callBack);
    },
    /*套餐统计*/
    loadComboMealsDataByPage: function(keyArr, limitCount, pageIndex, callBack) {
        var paramArray = [];
        var sql = 'SELECT "总计" comboName,"" comboId,"" commodityName, SUM(cm.commodityNum*sd.sellNum) commodityNum,' +
                  '"" commodityPrice,SUM(cm.sumAmount*sd.sellNum) commodityAmount,"" commodityId,"" commodityTypeId,"" commodityTypeName,' +
            '     "" deviceId,"" sellTime,"0" flag ' +
                  'FROM selldetail sd ' +
                  'LEFT JOIN comboMealsSelldetail cm ON (sd.id=cm.selldetailId) ' +
                  'LEFT JOIN commodityinfo ci ON sd.commodityId=ci.id ' +
                  'LEFT JOIN commodityType ct ON sd.commodityTypeId=ct.id ' +
                  'LEFT JOIN sellinfo si ON sd.sellId=si.id ' +
                  'WHERE ' +
                  'IFNULL(ci.category,"")="2" ' +
                  'AND IFNULL(si.status,"0")="1" ' +
                  'AND IFNULL(si.isDelete,"0")<>"1" ' +
                  'AND IFNULL(si.sellType,"")<>"2" ' +
                  'AND IFNULL(cm.status,"0")="1" ' +
                  'AND si.sellerId=? ';
        paramArray.push(loginInfo.storeId);
        if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND sd.commodityTypeId = ? ';
        }
        if (!Ext.isEmpty(keyArr[1])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND sd.commodityName like ? ESCAPE '^' ";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(si.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(si.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND si.deviceId= ? ';
        }
        if (!Ext.isEmpty(keyArr[5])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[5]) + '%');
            sql = sql + " AND cm.commodityName like ? ESCAPE '^' ";
        }
        sql += 'UNION ALL ';
        sql += 'SELECT sd.commodityName comboName,cm.comboId,CASE WHEN IFNULL(cm.normName,"")<>"" THEN cm.commodityName||"("||IFNULL(cm.normName,"")||")" ELSE cm.commodityName END commodityName,' +
                   'SUM(sd.sellNum * cm.commodityNum) commodityNum,cm.commodityPrice,SUM(sd.sellNum*cm.commodityNum*cm.commodityPrice) commodityAmount,' +
                   'cm.commodityId,sd.commodityTypeId,ct.name commodityTypeName,si.deviceId,si.sellTime,"1" flag ' +
                  'FROM selldetail sd ' +
                  'LEFT JOIN comboMealsSelldetail cm ON (sd.id=cm.selldetailId) ' +
                  'LEFT JOIN commodityinfo ci ON sd.commodityId=ci.id ' +
                  'LEFT JOIN commodityType ct ON sd.commodityTypeId=ct.id ' +
                  'LEFT JOIN sellinfo si ON sd.sellId=si.id ' +
                  'WHERE ' +
                  'IFNULL(ci.category,"")="2" ' +
                  'AND IFNULL(si.status,"0")="1" ' +
                  'AND IFNULL(si.isDelete,"0")<>"1" ' +
                  'AND IFNULL(si.sellType,"")<>"2" ' +
                  'AND IFNULL(cm.status,"0")="1" ' +
                  'AND si.sellerId=? ';
        paramArray.push(loginInfo.storeId);
        if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND sd.commodityTypeId = ? ';
        }
        if (!Ext.isEmpty(keyArr[1])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND sd.commodityName like ? ESCAPE '^' ";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(si.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(si.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND si.deviceId= ? ';
        }
        if (!Ext.isEmpty(keyArr[5])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[5]) + '%');
            sql = sql + " AND cm.commodityName like ? ESCAPE '^' ";
        }
        sql += 'GROUP BY cm.commodityId,IFNULL(cm.normName,""),cm.comboId HAVING SUM(sd.sellNum * cm.commodityNum) ORDER BY flag ASC,cm.comboId,si.sellTime DESC LIMIT ? OFFSET ?';
        paramArray.push(limitCount);
        paramArray.push((pageIndex - 1) * limitCount);
        loadBySqlParam(sql, paramArray, callBack);
    },
    /**
     * 商品销售明细统计
     * @param keyArr
     * @param callBack
     */
    loadSellCommodityByTotal : function(keyArr, callBack) {
        //[comTypename, name, startDate, endDate,deviceName, sellTypeCb];
        var paramArray = [];

        var sql = "SELECT count(*) AS totalCount FROM (";
        sql += "SELECT sd.commodityName,SUM(sd.sellNum) commodityNum,sd.commodityId FROM sellInfo si LEFT JOIN sellDetail sd ON (si.id=sd.sellId) " +
            "LEFT JOIN commodityinfo ci ON (sd.commodityId=ci.id) " +
            "LEFT JOIN commoditytype ct ON (sd.commodityTypeId=ct.id) WHERE 1=1 " +
            "AND IFNULL(si.status,'')='1' " +
            'AND IFNULL(si.sellType,"")<>"2" ' +
            'AND IFNULL(si.isDelete,"0")<>"1" ' +
            "AND sd.sellerId=? AND ci.category<>'2' ";
        paramArray.push(loginInfo.storeId);
        if(keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + " AND sd.commodityTypeId=?";
        }
        if(keyArr[1]) {
            paramArray.push("%" + replaceSQLiteCharacters(keyArr[1]) + "%");
            sql += " AND sd.commodityName like ? ESCAPE '^'";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(si.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(si.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND si.deviceId= ? ';
        }
        sql += " GROUP BY sd.commodityId, sd.commodityName HAVING SUM(sd.sellNum)>0 ";
        sql += " UNION ";
        sql += " SELECT sd.commodityName,SUM(sd.sellNum*cm.commodityNum) commodityNum,cm.commodityId FROM sellInfo si LEFT JOIN sellDetail sd ON (si.id=sd.sellId) " +
            "LEFT JOIN commodityinfo ci ON (sd.commodityId=ci.id) " +
            "LEFT JOIN commoditytype ct ON (sd.commodityTypeId=ct.id) " +
            "LEFT JOIN comboMealsSelldetail cm ON (sd.id=cm.selldetailId) WHERE 1=1 " +
            "AND IFNULL(si.status,'')='1' " +
            'AND IFNULL(si.isDelete,"0")<>"1" ' +
            'AND IFNULL(si.sellType,"")<>"2" ' +
            "AND sd.sellerId=? AND IFNULL(ci.category,'')='2' AND IFNULL(cm.status,'')<>'9' ";
        paramArray.push(loginInfo.storeId);
        if(keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + " AND sd.commodityTypeId=?";
        }
        if(keyArr[1]) {
            paramArray.push("%" + replaceSQLiteCharacters(keyArr[1]) + "%");
            sql += " AND cm.commodityName like ? ESCAPE '^'";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(si.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(si.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND si.deviceId= ? ';
        }
		sql += " GROUP BY cm.commodityId,IFNULL(cm.normName,'') HAVING SUM(sd.sellNum)>0 ";
        sql += ")";
        if(!Ext.isEmpty(keyArr[5])) {
            //paramArray.push(keyArr[5]);
            //sql = sql + " GROUP BY commodityId";
        }
        sql += " ORDER BY commodityName DESC";

		//console.log(sql);
        loadBySqlParam(sql, paramArray, callBack);
    },
    /**
     * 商品销售明细查询
     * @param keyArr
     * @param callBack
     */
    loadSellCommodityDataByPage : function(keyArr, limitCount, pageIndex, callBack) {
        //[comTypename, name, startDate, endDate,deviceName, sellTypeCb];
        var paramArray = [];

        //var sql = "SELECT count(*) AS totalCount FROM (";
        var sql = "";
        sql += "SELECT '' id,si.deviceId deviceId,sd.commodityName,ct.name commodityType," +
            "SUM(sd.sellNum) commodityNum,sd.sellPrice sellPrice,sd.commodityId, " +
            "SUM(sd.sellAmount) commodityAmount, " +
            "'非套餐项' comboName " +
            "FROM sellInfo si LEFT JOIN sellDetail sd ON (si.id=sd.sellId) " +
            "LEFT JOIN commodityinfo ci ON (sd.commodityId=ci.id) " +
            "LEFT JOIN commoditytype ct ON (sd.commodityTypeId=ct.id) WHERE 1=1 " +
            "AND IFNULL(si.status,'')='1' " +
            'AND IFNULL(si.isDelete,"0")<>"1" ' +
            'AND IFNULL(si.sellType,"")<>"2" ' +
            "AND sd.sellerId=? AND ci.category<>'2' ";
        paramArray.push(loginInfo.storeId);
        if(keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + " AND sd.commodityTypeId=?";
        }
        if(keyArr[1]) {
            paramArray.push("%" + replaceSQLiteCharacters(keyArr[1]) + "%");
            sql += " AND sd.commodityName like ? ESCAPE '^'";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(si.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(si.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND si.deviceId= ? ';
        }
        sql += " GROUP BY sd.commodityId HAVING SUM(sd.sellNum)>0 ";
        sql += " UNION ";
        sql += " SELECT '' id,si.deviceId deviceId,CASE WHEN IFNULL(cm.normName,'')='' THEN cm.commodityName ELSE cm.commodityName||'('||IFNULL(cm.normName,'')||')' END commodityName,ct.name commodityType," +
            "SUM(sd.sellNum * cm.commodityNum) commodityNum,cm.commodityPrice sellPrice,cm.commodityId," +
            "SUM(sd.sellNum*cm.commodityNum*cm.commodityPrice) commodityAmount, " +
            "'套餐项' comboName " +
            "FROM sellInfo si LEFT JOIN sellDetail sd ON (si.id=sd.sellId) " +
            "LEFT JOIN commodityinfo ci ON (sd.commodityId=ci.id) " +
            "LEFT JOIN commoditytype ct ON (sd.commodityTypeId=ct.id) " +
            "LEFT JOIN comboMealsSelldetail cm ON (sd.id=cm.selldetailId) WHERE 1=1 " +
            "AND IFNULL(si.status,'')='1' " +
            'AND IFNULL(si.isDelete,"0")<>"1" ' +
            'AND IFNULL(si.sellType,"")<>"2" ' +
            "AND sd.sellerId=? AND IFNULL(ci.category,'')='2' AND IFNULL(cm.status,'')<>'9' ";
        paramArray.push(loginInfo.storeId);
        if(keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + " AND sd.commodityTypeId=?";
        }
        if(keyArr[1]) {
            paramArray.push("%" + replaceSQLiteCharacters(keyArr[1]) + "%");
            sql += " AND cm.commodityName like ? ESCAPE '^'";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(si.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(si.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND si.deviceId= ? ';
        }
        sql += " GROUP BY cm.commodityId,IFNULL(cm.normName,''),cm.comboId HAVING SUM(sd.sellNum * cm.commodityNum)>0 ";
        //sql += ")";
        if(!Ext.isEmpty(keyArr[5])) {
            //paramArray.push(keyArr[5]);同一个商品归为一类统计(不分套餐非套餐)
            //sql = "(" + sql + ") GROUP BY commodityId";
        }

        var sqlSum = "SELECT '' id,'' deviceId,'合计' commodityName,'' commodityType,SUM(commodityNum) commodityNum," +
            "SUM(sellPrice) sellPrice,SUM(commodityAmount) commodityAmount,commodityId,comboName,0 flag FROM (";
        sqlSum += sql + ")";
        sqlSum += " UNION ALL ";

        paramArray = paramArray.concat(paramArray);
        sqlSum += "SELECT id,deviceId,commodityName,commodityType,commodityNum,sellPrice,commodityAmount,commodityId,comboName,1 flag FROM (" + sql + ")";
        sqlSum += " ORDER BY flag,commodityName,comboName DESC LIMIT ? OFFSET ?";
        paramArray.push(limitCount);
        paramArray.push((pageIndex - 1) * limitCount);

        loadBySqlParam(sqlSum, paramArray, callBack);
    },
    /*
    * 商品退菜报表
    * @param keyArr
    * @param limitCount
    * @param pageIndex
    * @param callback
    * */
    loadReturnCommodityByTotal : function(keyArr, callBack){
        var paramArray = [];
        var sql = "SELECT count(*) AS totalCount FROM (";
        sql += "SELECT sd.commodityName,ABS(SUM(sd.sellNum)) returnSellNum,SUM(sd.sellAmount) returnSellAmount,sd.isDelete, sd.sellerId,si.sellTime\
                FROM selldetail sd LEFT JOIN commoditytype ct\
                ON sd.commodityTypeId=ct.id\
                LEFT JOIN sellinfo si ON si.id=sd.sellId\
                WHERE IFNULL(sd.isDelete,'')='1'\
                AND sd.sellId IN (SELECT si.id FROM sellinfo si WHERE si.status='1')\
                AND sd.sellerId=?\
                AND IFNULL(sd.removeToSellId,'')=''\
                AND IFNULL(sd.removeToSellId,'')=''";
        paramArray.push(loginInfo.storeId);
       if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND sd.commodityTypeId = ? ';
        }
        if (!Ext.isEmpty(keyArr[1])) {
           paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
           sql = sql + " AND sd.commodityName like ? ESCAPE '^' ";
       }
       if (keyArr[2]) {
           paramArray.push(keyArr[2]);
           sql = sql + ' AND date(si.sellTime) >= ? ';
       }
       if (keyArr[3]) {
           paramArray.push(keyArr[3]);
           sql = sql + ' AND date(si.sellTime) <= ? ';
       }
       if (!Ext.isEmpty(keyArr[4])) {
           paramArray.push(keyArr[4]);
           sql = sql + ' AND si.deviceId= ? ';
       }
       if (!Ext.isEmpty(keyArr[5])) {
           paramArray.push(keyArr[5]);
           sql = sql + ' AND si.sellType= ? ';
       }
       if (!Ext.isEmpty(keyArr[6])) {
           paramArray.push(keyArr[6]);
           sql = sql + " AND sd.optReason=? ";
       }
       sql += " GROUP BY sd.commodityId ORDER BY si.sellTime DESC";
       sql += ")";
       loadBySqlParam(sql, paramArray, callBack);
    },
    /*
    * 商品退菜查询
    * @param keyArr
    * @param limitCount
    * @param pageIndex
    * @param callback
    * */
    loadReturnCommodityDataByPage : function(keyArr, limitCount, pageIndex, callBack){
        var paramArray = [];
        var sql = "SELECT  '' AS deviceId,'' AS commodityId,'' AS commodityType,'总计:' AS commodityName,IFNULL(SUM(sd.sellPrice),'0.00') AS sellPrice,IFNULL(ABS(SUM(sd.sellNum)),'0.00') returnNum,IFNULL(ABS(SUM(sd.sellAmount)),'0.00') returnAmount,'' AS isDelete, sd.sellerId,si.sellTime,0 flag\
                   FROM selldetail sd LEFT JOIN commoditytype ct\
                   ON sd.commodityTypeId=ct.id\
                   LEFT JOIN sellinfo si ON si.id=sd.sellId\
                   WHERE IFNULL(sd.isDelete,'')='1'\
                   AND sd.sellId IN (SELECT si.id FROM sellinfo si WHERE si.status='1')\
                   AND sd.sellerId=?\
                   AND IFNULL(sd.removeToSellId,'')=''\
                   AND IFNULL(sd.removeToSellId,'')=''";
        paramArray.push(loginInfo.storeId);
        if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND sd.commodityTypeId = ? ';
        }
        if (!Ext.isEmpty(keyArr[1])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND sd.commodityName like ? ESCAPE '^' ";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(si.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(si.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND si.deviceId= ? ';
        }
        if (!Ext.isEmpty(keyArr[5])) {
            paramArray.push(keyArr[5]);
            sql = sql + ' AND si.sellType= ? ';
        }
        if (!Ext.isEmpty(keyArr[6])) {
            paramArray.push(keyArr[6]);
            sql = sql + " AND sd.optReason=? ";
        }

        sql += ' UNION ALL ';

        sql += "SELECT si.deviceId,sd.commodityId,ct.name AS commodityType,sd.commodityName,SUM(sd.sellPrice) AS sellPrice,ABS(SUM(sd.sellNum)) totalSellNum,ABS(SUM(sd.sellAmount)) totalSellAmount,sd.isDelete, sd.sellerId,si.sellTime,1 flag\
                FROM selldetail sd LEFT JOIN commoditytype ct\
                ON sd.commodityTypeId=ct.id\
                LEFT JOIN sellinfo si ON si.id=sd.sellId\
                WHERE IFNULL(sd.isDelete,'')='1'\
                AND sd.sellId IN (SELECT si.id FROM sellinfo si WHERE si.status='1')\
                AND sd.sellerId=?\
                AND IFNULL(sd.removeToSellId,'')=''\
                AND IFNULL(sd.removeToSellId,'')=''";

        paramArray.push(loginInfo.storeId);
        if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND sd.commodityTypeId = ? ';
        }
        if (!Ext.isEmpty(keyArr[1])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND sd.commodityName like ? ESCAPE '^' ";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(si.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(si.sellTime) <= ? ';
}
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND si.deviceId= ? ';
        }
        if (!Ext.isEmpty(keyArr[5])) {
            paramArray.push(keyArr[5]);
            sql = sql + ' AND si.sellType= ? ';
        }
        if (!Ext.isEmpty(keyArr[6])) {
            paramArray.push(keyArr[6]);
            sql = sql + " AND sd.optReason=? ";
        }
        sql += " GROUP BY sd.commodityId ORDER BY flag,si.sellTime DESC LIMIT ? OFFSET ?";
        paramArray.push(limitCount);
        paramArray.push((pageIndex - 1) * limitCount);

        loadBySqlParam(sql, paramArray, callBack);
    },
    /**
     * 折扣原因汇总
     * */
    loadDiscountReasonType : function(callBack) {
        var sql = "SELECT sd.optReason,si.sellTime FROM selldetail sd LEFT JOIN sellinfo si ON sd.sellId=si.id " +
            "WHERE sd.sellerId=? AND IFNULL(sd.isDiscount,'0')='1' AND IFNULL(sd.isPresented,'0')<>'1' AND IFNULL(si.status,'0')='1' " +
            "AND IFNULL(si.isDelete,'0')<>'1' AND IFNULL(sd.isDelete,'0')<>'1' AND IFNULL(sd.optReason,'')<>'' " +
            "GROUP BY sd.optReason ORDER BY si.sellTime DESC";
        loadBySqlParam(sql,[loginInfo.storeId], callBack);
    },
    /**
    * 赠送原因汇总
    * */
    loadPresentReasonType : function(callBack) {
        var sql = "SELECT sd.optReason,si.sellTime FROM selldetail sd LEFT JOIN sellinfo si ON sd.sellId=si.id " +
                  "WHERE sd.sellerId=? AND IFNULL(sd.isPresented,'0')='1' AND IFNULL(si.status,'0')='1' " +
                  "AND IFNULL(si.isDelete,'0')<>'1' AND IFNULL(sd.isDelete,'0')<>'1' AND IFNULL(sd.optReason,'')<>'' " +
                  "GROUP BY sd.optReason ORDER BY si.sellTime DESC";
        loadBySqlParam(sql,[loginInfo.storeId], callBack);
    },
    /**
    * 退菜原因汇总
    * */
    loadReturnCommodityReasonType : function(callBack) {
        var sql = "SELECT sd.optReason,si.sellTime FROM selldetail sd LEFT JOIN sellinfo si ON sd.sellId=si.id " +
            "WHERE sd.sellerId=? AND IFNULL(si.status,'0')='1' " +
            "AND IFNULL(si.isDelete,'0')<>'1' AND IFNULL(sd.isDelete,'0')='1' AND IFNULL(sd.optReason,'')<>'' " +
            "GROUP BY sd.optReason ORDER BY si.sellTime DESC";
        loadBySqlParam(sql,[loginInfo.storeId], callBack);
    },
    /**
    *反结账原因汇总
    * */
    loadSellReverseReasonType : function(callBack) {
        var sql = "SELECT optReason,sellTime FROM sellinfo WHERE sellerId=? AND IFNULL(isDelete,'0')<>'1' " +
                  "AND IFNULL(isReverse,'0')='1' AND IFNULL(status,'0')='2' AND IFNULL(optReason,'')<>'' " +
                  "GROUP BY optReason ORDER BY sellTime";
        loadBySqlParam(sql, [loginInfo.storeId], callBack);
    },
    /**
     * 商品赠送查询
     * @param keyArr
     * @param limitCount
     * @param pageIndex
     * @param callBack
     */
    loadPresentCommodityDataByPage : function(keyArr, limitCount, pageIndex, callBack) {
        var paramArray = [];
        var sql = " SELECT * FROM ( ";
        // 原型
        /*sql = sql + " SELECT '总计:' deviceId,'' as commodityName,'' commodityType," +
            " round(SUM(ifnull(s.sellNum,0)),2) sellNum," +
            " round(SUM(ifnull(s.totalAmount,0)),2) totalAmount," +
            " round(SUM(ifnull(case when s.isdiscount='0' then s.sellAmount else s.sellAmount*e.discount/100.0 end,0)),2) sellAmount," +
            " round(SUM(ifnull(case when s.isdiscount='0' then s.sellAmount else s.sellAmount*e.discount/100.0 end,0)),2) gainAmount, " +
            " 0 flag " +
            " FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId  " +
            " JOIN sellinfo e on s.sellId=e.id " +
            " WHERE s.sellerId = ? and ifnull(e.isDelete,'0') <> '1' and ifnull(e.status,'0') not in ('0','2','3','5','9') and ifnull(e.sellType,'')<>'2' ";*/
        // 减去退货
        sql = sql + " SELECT '' sellId, '' detailId, '' deviceId,'总计:' as commodityName,'' commodityType,'' workName," +
            " round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -s.sellNum ELSE s.sellNum END,0)),2) presentNum," +
            " round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -s.commodityPrice ELSE s.commodityPrice END,0)),2) sellPrice," +
            " round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -(s.sellNum*s.commodityPrice) ELSE (s.sellNum*s.commodityPrice) END,0)),2) presentAmount," +  // 商品赠送总价
            //" round(SUM(ifnull((CASE WHEN e.sellType='2' THEN -1 ELSE 1 END)*(CASE WHEN s.isdiscount='0' THEN s.sellAmount ELSE s.sellAmount*e.discount/100.0 END),0)),2) sellAmount," +
            //" round(SUM(ifnull((CASE WHEN e.sellType='2' THEN -1 ELSE 1 END)*(CASE WHEN s.isdiscount='0' THEN s.sellAmount ELSE s.sellAmount*e.discount/100.0 END),0)),2) gainAmount, " +
            " 0 flag " +
            " FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId  " +
            " JOIN sellinfo e on s.sellId=e.id " +
            " WHERE s.sellerId = ? and ifnull(e.isDelete,'0') <> '1' AND IFNULL(s.isPresented,'0')='1' and ifnull(e.status,'0') not in ('0','2','3','5','9') and ifnull(s.isDelete,'0')<>'1' ";

        paramArray.push(loginInfo.storeId);
        if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND s.commodityTypeId = ? ';
        }
        if (!Ext.isEmpty(keyArr[1])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND s.commodityName like ? ESCAPE '^' ";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(e.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(e.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND e.deviceId= ? ';
        }
        if (!Ext.isEmpty(keyArr[5])) {
            paramArray.push(keyArr[5]);
            sql = sql + ' AND e.sellType= ? ';
        }
        if (!Ext.isEmpty(keyArr[6])) {
            paramArray.push(keyArr[6]);
            sql = sql + " AND s.optReason=? ";
        }

        // 原型
        /*sql = sql + ' UNION ALL ';
        sql = sql + " SELECT e.deviceId,  s.commodityName,c.name commodityType," +
            " round(SUM(ifnull(s.sellNum,0)),2) sellNum," +
            " round(SUM(ifnull(s.totalAmount,0)),2) totalAmount," +
            " round(SUM(ifnull(case when s.isdiscount='0' then s.sellAmount else s.sellAmount*e.discount/100.0 end,0)),2) sellAmount," +
            " round(SUM(ifnull(case when s.isdiscount='0' then s.sellAmount else s.sellAmount*e.discount/100.0 end,0)),2) gainAmount, " +
            " 1 flag " +
            " FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId  " +
            " JOIN sellinfo e on s.sellId=e.id " +
            " WHERE s.sellerId = ? and ifnull(e.isDelete,'0') <> '1'  and ifnull(e.status,'0') not in ('0','2','3','5','9') and ifnull(e.sellType,'')<>'2' ";*/
        sql = sql + ' UNION ALL ';
        sql = sql + " SELECT e.id sellId, s.id detailId, e.deviceId, s.commodityName,c.name commodityType,e.workName," +
            " round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -s.sellNum ELSE s.sellNum END,0)),2) presentNum," +
            //" round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -s.commodityPrice ELSE s.commodityPrice END,0)),2) sellPrice," +
            " round(IFNULL(CASE WHEN e.sellType='2' THEN -s.commodityPrice ELSE s.commodityPrice END,0),2) sellPrice," +
            " round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -(s.sellNum*s.commodityPrice) ELSE (s.sellNum*s.commodityPrice) END,0)),2) presentAmount," +  // 商品赠送总价
            " 1 flag " +
            " FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId  " +
            " JOIN sellinfo e on s.sellId=e.id " +
            " WHERE s.sellerId = ? and ifnull(e.isDelete,'0') <> '1' AND IFNULL(s.isPresented,'0')='1'  and ifnull(e.status,'0') not in ('0','2','3','5','9')  and ifnull(s.isDelete,'0')<>'1' ";

        paramArray.push(loginInfo.storeId);
        if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND s.commodityTypeId = ? ';
        }
        if (!Ext.isEmpty(keyArr[1])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND s.commodityName like ? ESCAPE '^' ";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(e.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(e.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND e.deviceId= ? ';
        }
        if (!Ext.isEmpty(keyArr[5])) {
            paramArray.push(keyArr[5]);
            sql = sql + ' AND e.sellType= ? ';
        }
        if (!Ext.isEmpty(keyArr[6])) {
            paramArray.push(keyArr[6]);
            sql = sql + " AND s.optReason=? ";
        }

        sql = sql + " GROUP BY c.name,s.commodityName,e.deviceId";
        sql = sql + " ) K ";

        sql = sql + " Order by flag, presentNum desc, commodityName limit ? offset ? ";

        paramArray.push(limitCount);
        paramArray.push((pageIndex - 1) * limitCount);
        //console.log(sql,paramArray,pageIndex,limitCount);
        loadBySqlParam(sql, paramArray, callBack);
    },
    /**
     * 商品销售查询
     * @param object callBack(success,res|err)
     */
    loadSellInfoDataByPage: function (keyArr, limitCount, pageIndex, callBack) {

        var paramArray = [];
        var sql = " SELECT * FROM ( ";
        // 原型
        /*sql = sql + " SELECT '总计:' deviceId,'' as commodityName,'' commodityType," +
            " round(SUM(ifnull(s.sellNum,0)),2) sellNum," +
            " round(SUM(ifnull(s.totalAmount,0)),2) totalAmount," +
            " round(SUM(ifnull(case when s.isdiscount='0' then s.sellAmount else s.sellAmount*e.discount/100.0 end,0)),2) sellAmount," +
            " round(SUM(ifnull(case when s.isdiscount='0' then s.sellAmount else s.sellAmount*e.discount/100.0 end,0)),2) gainAmount, " +
            " 0 flag " +
            " FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId  " +
            " JOIN sellinfo e on s.sellId=e.id " +
            " WHERE s.sellerId = ? and ifnull(e.isDelete,'0') <> '1' and ifnull(e.status,'0') not in ('0','2','3','5','9') and ifnull(e.sellType,'')<>'2' ";*/
        // 减去退货
        sql = sql + " SELECT '总计:' deviceId,'' as commodityName,'' commodityType," +
            " round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -s.sellNum ELSE s.sellNum END,0)),2) sellNum," +
            " round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -s.totalAmount ELSE s.totalAmount END,0)),2) totalAmount," +  // 商品总价
            " round(SUM(ifnull((CASE WHEN e.sellType='2' THEN -1 ELSE 1 END)*(CASE WHEN s.isdiscount='0' THEN s.sellAmount ELSE s.sellAmount*e.discount/100.0 END),0)),2) sellAmount," +
            // " round(SUM(ifnull((CASE WHEN e.sellType='2' THEN -1 ELSE 1 END)*(CASE WHEN s.isdiscount='0' THEN s.sellAmount ELSE s.sellAmount*e.discount/100.0 END),0)),2) gainAmount, " + // 利润这里复制销售额的，都没改
            " round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -s.gainAmount ELSE s.gainAmount END,0)),2) gainAmount," +  // 利润
            " 0 flag " +
            " FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId  " +
            " JOIN sellinfo e on s.sellId=e.id " +
            " WHERE s.sellerId = ? and ifnull(e.isDelete,'0') <> '1' and ifnull(e.status,'0') not in ('0','2','3','5','9') ";

        paramArray.push(loginInfo.storeId);
        if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND s.commodityTypeId = ? ';
        }
        if (!Ext.isEmpty(keyArr[1])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND s.commodityName like ? ESCAPE '^' ";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(e.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(e.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND e.deviceId= ? ';
        }

        // 原型
        /*sql = sql + ' UNION ALL ';
        sql = sql + " SELECT e.deviceId,  s.commodityName,c.name commodityType," +
            " round(SUM(ifnull(s.sellNum,0)),2) sellNum," +
            " round(SUM(ifnull(s.totalAmount,0)),2) totalAmount," +
            " round(SUM(ifnull(case when s.isdiscount='0' then s.sellAmount else s.sellAmount*e.discount/100.0 end,0)),2) sellAmount," +
            " round(SUM(ifnull(case when s.isdiscount='0' then s.sellAmount else s.sellAmount*e.discount/100.0 end,0)),2) gainAmount, " +
            " 1 flag " +
            " FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId  " +
            " JOIN sellinfo e on s.sellId=e.id " +
            " WHERE s.sellerId = ? and ifnull(e.isDelete,'0') <> '1'  and ifnull(e.status,'0') not in ('0','2','3','5','9') and ifnull(e.sellType,'')<>'2' ";*/
        sql = sql + ' UNION ALL ';
        sql = sql + " SELECT e.deviceId,  s.commodityName,c.name commodityType," +
            " round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -s.sellNum ELSE s.sellNum END,0)),2) sellNum," +
            " round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -s.totalAmount ELSE s.totalAmount END,0)),2) totalAmount," +
            " round(SUM(ifnull((CASE WHEN e.sellType='2' THEN -1 ELSE 1 END)*(CASE WHEN s.isdiscount='0' THEN s.sellAmount ELSE s.sellAmount*e.discount/100.0 END),0)),2) sellAmount," +
            // " round(SUM(ifnull((CASE WHEN e.sellType='2' THEN -1 ELSE 1 END)*(CASE WHEN s.isdiscount='0' THEN s.sellAmount ELSE s.sellAmount*e.discount/100.0 END),0)),2) gainAmount, " +
            " round(SUM(ifnull(CASE WHEN e.sellType='2' THEN -s.gainAmount ELSE s.gainAmount END,0)),2) gainAmount," +  // 利润
            " 1 flag " +
            " FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId  " +
            " JOIN sellinfo e on s.sellId=e.id " +
            " WHERE s.sellerId = ? and ifnull(e.isDelete,'0') <> '1'  and ifnull(e.status,'0') not in ('0','2','3','5','9') ";

        paramArray.push(loginInfo.storeId);
        if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND s.commodityTypeId = ? ';
        }
        if (!Ext.isEmpty(keyArr[1])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND s.commodityName like ? ESCAPE '^' ";
        }
        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(e.sellTime) >= ? ';
        }
        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(e.sellTime) <= ? ';
        }
        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND e.deviceId= ? ';
        }

        sql = sql + " GROUP BY e.deviceId,s.commodityName,c.name";
        sql = sql + " ) K ";

        sql = sql + " Order by flag, sellNum desc, commodityName limit ? offset ? ";

        paramArray.push(limitCount);
        paramArray.push((pageIndex - 1) * limitCount);
        //console.log(sql,paramArray,pageIndex,limitCount);
        loadBySqlParam(sql, paramArray, callBack);
    },


    /**
     * 商品赠送报表
     * @param param
     * @param callBack
     */
    loadPresentCommodityByTotal : function(keyArr, callBack) {
        var sql = "";
        // 原型
        /*sql = sql + " SELECT ifnull(count(ttlNum),0) ttlNum FROM (";
        var sql = sql + " SELECT count(*) ttlNum FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId " +
            "  JOIN sellinfo e on s.sellId=e.id " +
            "  WHERE s.sellerId = ?  and ifnull(e.isDelete,'0') <> '1'  and ifnull(e.status,'0') not in ('0','2','3','5','9') and ifnull(e.sellType,'')<>'2' ";*/
        sql = sql + " SELECT ifnull(count(ttlNum),0) ttlNum FROM (";
        var sql = sql + " SELECT count(*) ttlNum FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId " +
            "  JOIN sellinfo e on s.sellId=e.id " +
            "  WHERE s.sellerId = ?  and ifnull(e.isDelete,'0') <> '1' AND IFNULL(s.isPresented,'0')='1' and ifnull(e.status,'0') not in ('0','2','3','5','9') and ifnull(s.isDelete,'0')<>'1' ";

        var paramArray = [];
        paramArray.push(loginInfo.storeId);
        // console.log(keyArr);
        if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND s.commodityTypeId=? ';
        }

        // if (keyArr[1]) {
        //     paramArray.push('%' + keyArr[1] + '%');
        //     sql = sql + ' AND s.commodityName like ? ';
        // }

        if (!Ext.isEmpty(keyArr[1])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND s.commodityName like ? ESCAPE '^' ";
        }

        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(e.sellTime) >= ? ';
        }

        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(e.sellTime) <= ? ';
        }

        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND e.deviceId= ? ';
        }

        if(!Ext.isEmpty(keyArr[5])) {
            paramArray.push(keyArr[5]);
            sql = sql + " AND e.sellType=? ";
        }

        if (!Ext.isEmpty(keyArr[6])) {
            paramArray.push(keyArr[6]);
            sql = sql + " AND s.optReason=? ";
        }

        sql = sql + " GROUP BY c.name,s.commodityName,e.deviceId ) K  ";
        // console.log('商品销售查询总数',sql,paramArray);
        getBySql(sql, paramArray, callBack);
    },
    /**
    * 商品赠送明细
    * */
    loadPresentDetailDataForGrid: function(keyArr,callBack) {
        var paramArray = [];
        var sql =
            "SELECT " +
            " date(b.sellTime) date," +
            " a.id txtId," +
            " b.deviceId deviceId," +
            " workName," +
            " commodityName," +
            " IFNULL((CASE WHEN b.sellType='2' THEN -a.sellNum ELSE a.sellNum END),'0') sellNum," +
            " ROUND(IFNULL(CASE WHEN b.sellType='2' THEN -a.sellNum*a.commodityPrice ElSE a.sellNum*a.commodityPrice END,'0'),2) sellPrice," +
            " a.optReason" +
            " FROM" +
            "  selldetail a " +
            " LEFT JOIN sellinfo b ON a.sellId = b.id" +
            " WHERE" +
            " a.sellerId=?  AND IFNULL(a.isPresented,'0')='1' AND ifnull(b.status,'')='1' AND ifnull(b.isDelete,'') <> '1' and ifnull(a.isDelete,'0')<>'1' " ;
        paramArray.push(loginInfo.storeId);
        if (keyArr) {
            if (keyArr[0]) {
                sql = sql + " AND workName = ? ";
                paramArray.push(keyArr[0]);
            }
            if (keyArr[1]) {
                sql = sql + " AND commodityName=? ";
                paramArray.push(replaceSQLiteCharacters(keyArr[1]));
            }
            if (keyArr[2]) {
                sql = sql + ' AND date(b.sellTime) >= ?';
                paramArray.push(keyArr[2]);
            }
            if (keyArr[3]) {
                sql = sql + ' AND date(b.sellTime) <= ?';
                paramArray.push(keyArr[3]);
            }
            if (!Ext.isEmpty(keyArr[4])) {
                paramArray.push(keyArr[4]);
                sql = sql + ' AND b.deviceId= ? ';
            }
            if (!Ext.isEmpty(keyArr[5])) {
                paramArray.push(keyArr[5]);
                sql = sql + " AND a.optReason=? ";
            }
            loadBySqlParam(sql, paramArray, callBack);
        }
    },
    /**
     * 商品销售查询
     * @param object callBack(success,res|err)
     */
    loadSellInfoDataByTotal: function (keyArr, callBack) {

        var sql = "";
        // 原型
        /*sql = sql + " SELECT ifnull(count(ttlNum),0) ttlNum FROM (";
        var sql = sql + " SELECT count(*) ttlNum FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId " +
            "  JOIN sellinfo e on s.sellId=e.id " +
            "  WHERE s.sellerId = ?  and ifnull(e.isDelete,'0') <> '1'  and ifnull(e.status,'0') not in ('0','2','3','5','9') and ifnull(e.sellType,'')<>'2' ";*/
        sql = sql + " SELECT ifnull(count(ttlNum),0) ttlNum FROM (";
        var sql = sql + " SELECT count(*) ttlNum FROM selldetail s LEFT JOIN commoditytype c ON s.commodityTypeId = c.id AND s.sellerId = c.sellerId " +
            "  JOIN sellinfo e on s.sellId=e.id " +
            "  WHERE s.sellerId = ?  and ifnull(e.isDelete,'0') <> '1'  and ifnull(e.status,'0') not in ('0','2','3','5','9') ";

        var paramArray = [];
        paramArray.push(loginInfo.storeId);
        // console.log(keyArr);
        if (keyArr[0]) {
            paramArray.push(keyArr[0]);
            sql = sql + ' AND s.commodityTypeId=? ';
        }

        // if (keyArr[1]) {
        //     paramArray.push('%' + keyArr[1] + '%');
        //     sql = sql + ' AND s.commodityName like ? ';
        // }

        if (!Ext.isEmpty(keyArr[1])) {
            paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            sql = sql + " AND s.commodityName like ? ESCAPE '^' ";
        }

        if (keyArr[2]) {
            paramArray.push(keyArr[2]);
            sql = sql + ' AND date(e.sellTime) >= ? ';
        }

        if (keyArr[3]) {
            paramArray.push(keyArr[3]);
            sql = sql + ' AND date(e.sellTime) <= ? ';
        }

        if (!Ext.isEmpty(keyArr[4])) {
            paramArray.push(keyArr[4]);
            sql = sql + ' AND e.deviceId= ? ';
        }

        sql = sql + " GROUP BY s.commodityName,e.deviceId,c.name ) K  ";
        // console.log('商品销售查询总数',sql,paramArray);
        getBySql(sql, paramArray, callBack);

    },
    //查询反结账数据
    loadSellReverseByPage: function (keyArr, limitCount, pageIndex, callBack) {

        var paramArray = [];
        var sql = "select * from ( ";
        sql = sql + " select '' optReason, '总计:' as deviceId,'' sellTime,'' endTime, round(SUM(ifnull(sellAmount, 0)),2) sellAmount,round(SUM(ifnull(costAmount, 0)),2) costAmount,'' sellType,'' status,'' workName,'' customerName," +
            " round(SUM(ifnull(commodityNum, 0)),2) commodityNum," +
            " round(SUM(ifnull(gainAmount, 0)),2) gainAmount,'' id," +
            "0 flag" +
            " FROM sellinfo WHERE sellerId = ? AND ifnull(status,'') = '2' AND ifnull(isDelete,'') <> '1' ";

        paramArray.push(loginInfo.storeId);

        if (keyArr) {
            if (keyArr[0]) {

                sql = sql + ' AND workName = ? ';
                paramArray.push(keyArr[0]);
            }
            if (keyArr[1]) {
                sql = sql + ' AND date(sellTime) >= ? ';
                paramArray.push(keyArr[1]);
            }
            if (keyArr[2]) {
                sql = sql + ' AND date(sellTime) <= ?';
                paramArray.push(keyArr[2]);
            }
            if (keyArr[3]) {
                sql = sql + ' AND deviceId = ? ';
                paramArray.push(keyArr[3]);
            }
            if (!Ext.isEmpty(keyArr[4])) {
                sql = sql + ' AND optReason = ?';
                paramArray.push(keyArr[4]);
            }
        }
        sql = sql + ' union ';

        sql = sql + "SELECT optReason,deviceId, sellTime,endTime,sellAmount,costAmount," + " CASE WHEN sellType = '0' THEN '销售' WHEN sellType = '1' THEN '外卖' WHEN sellType = '2' THEN '退货' ELSE ''END sellType" +
            ",'反结账'as status,workName,customerName,commodityNum,gainAmount,id ,1 flag FROM sellinfo WHERE sellerId = ? AND ifnull(status,'') = '2' AND ifnull(isDelete,'') <> '1'";

        paramArray.push(loginInfo.storeId);
        if (keyArr) {
            if (keyArr[0]) {

                sql = sql + ' AND workName = ? ';
                paramArray.push(keyArr[0]);
            }
            if (keyArr[1]) {
                sql = sql + ' AND date(sellTime) >= ? ';
                paramArray.push(keyArr[1]);
            }
            if (keyArr[3]) {
                sql = sql + ' AND  deviceId = ? ';
                paramArray.push(keyArr[3]);
            }
            if (!Ext.isEmpty(keyArr[4])) {
                sql = sql + ' AND optReason = ?';
                paramArray.push(keyArr[4]);
            }
        }

        sql = sql + " ) K ";
        sql = sql + " Order by date(sellTime)  limit ? offset ? ";
        paramArray.push(limitCount);
        paramArray.push((pageIndex - 1) * limitCount);

        //console.log(sql);
        loadBySqlParam(sql, paramArray, callBack);
    },

    //查询反结账数据总行数
    loadSellReverseByTotal: function (keyArr, callBack) {
        var sql = "SELECT count(id) as ttlNum FROM sellinfo WHERE sellerId = ? AND ifnull(status,'') = '2' AND ifnull(isDelete,'') <> '1'";
        var paramArray = [loginInfo.storeId];
        if (keyArr) {
            if (!Ext.isEmpty(keyArr[0])) {
                sql = sql + ' AND workName = ? ';
                paramArray.push(keyArr[0]);
            }
            if (!Ext.isEmpty(keyArr[1])) {
                sql = sql + ' AND date(sellTime) >= ? ';
                paramArray.push(keyArr[1]);
            }
            if (!Ext.isEmpty(keyArr[2])) {
                sql = sql + ' AND date(sellTime) <= ? ';
                paramArray.push(keyArr[2]);
            }
            if (!Ext.isEmpty(keyArr[3])) {
                sql = sql + ' AND deviceId  = ? ';
                paramArray.push(keyArr[3]);
            }
            if (!Ext.isEmpty(keyArr[4])) {
                sql = sql + ' AND optReason = ?';
                paramArray.push(keyArr[4]);
            }
        }

        // sql = sql+ " GROUP BY date(sellTime),employeeId";
        getBySql(sql, paramArray, callBack);

    },
    //查询退款数据
    loadSellTRrtReverseByPage: function (keyArr, limitCount, pageIndex, callBack) {

        var paramArray = [];
        var sql = "select * from ( ";

        sql = sql + " select '总计:' as deviceId,'' sellTime,'' endTime, round(SUM(ifnull(sellAmount, 0)),2) sellAmount,round(SUM(ifnull(costAmount, 0)),2) costAmount,'' sellType,'' status,'' workName,'' customerName," +

            " round(SUM(ifnull(commodityNum, 0)),2) commodityNum," +
            " round(SUM(ifnull(gainAmount, 0)),2) gainAmount,'' id," +
            "0 flag" +
            " FROM sellinfo WHERE sellerId = ? AND ifnull(status,'') = '5' AND ifnull(isDelete,'') <> '1' ";

        paramArray.push(loginInfo.storeId);

        if (keyArr) {
            if (keyArr[0]) {

                sql = sql + ' AND workName = ? ';
                paramArray.push(keyArr[0]);
            }
            if (keyArr[1]) {
                sql = sql + ' AND date(sellTime) >= ? ';
                paramArray.push(keyArr[1]);
            }
            if (keyArr[2]) {
                sql = sql + ' AND date(sellTime) <= ?';
                paramArray.push(keyArr[2]);
            }
            if (keyArr[3]) {
                sql = sql + ' AND deviceId = ? ';
                paramArray.push(keyArr[3]);
            }
        }
        sql = sql + ' union ';

        sql = sql + "SELECT  deviceId,sellTime,endTime,sellAmount,ifnull(costAmount,0)," + " CASE WHEN sellType = '0' THEN '销售' WHEN sellType = '1' THEN '外卖' WHEN sellType = '2' THEN '退货' ELSE ''END sellType" +
            ",'退款'as status,workName,customerName,commodityNum,gainAmount,id ,1 flag FROM sellinfo WHERE sellerId = ? AND ifnull(status,'') = '5' AND ifnull(isDelete,'') <> '1'";

        paramArray.push(loginInfo.storeId);
        if (keyArr) {
            if (keyArr[0]) {

                sql = sql + ' AND workName = ? ';
                paramArray.push(keyArr[0]);
            }
            if (keyArr[1]) {
                sql = sql + ' AND date(sellTime) >= ? ';
                paramArray.push(keyArr[1]);
            }
            if (keyArr[3]) {
                sql = sql + ' AND  deviceId = ? ';
                paramArray.push(keyArr[3]);
            }
        }

        sql = sql + " ) K ";
        sql = sql + " Order by date(sellTime)  limit ? offset ? ";
        paramArray.push(limitCount);
        paramArray.push((pageIndex - 1) * limitCount);

        //console.log(sql,paramArray);
        loadBySqlParam(sql, paramArray, callBack);
    },
    //查询退款数据总行数
    loadSellRrtReverseTotal: function (keyArr, callBack) {
        var sql = "SELECT count(id) as ttlNum FROM sellinfo WHERE sellerId = ? AND ifnull(status,'') = '5' AND ifnull(isDelete,'') <> '1'";
        var paramArray = [loginInfo.storeId];
        if (keyArr) {
            if (!Ext.isEmpty(keyArr[0])) {
                sql = sql + ' AND workName = ? ';
                paramArray.push(keyArr[0]);
            }
            if (!Ext.isEmpty(keyArr[1])) {
                sql = sql + ' AND date(sellTime) >= ? ';
                paramArray.push(keyArr[1]);
            }
            if (!Ext.isEmpty(keyArr[2])) {
                sql = sql + ' AND date(sellTime) <= ? ';
                paramArray.push(keyArr[2]);
            }
            if (!Ext.isEmpty(keyArr[3])) {
                sql = sql + ' AND deviceId  = ? ';
                paramArray.push(keyArr[3]);
            }
        }

        // sql = sql+ " GROUP BY date(sellTime),employeeId";
        getBySql(sql, paramArray, callBack);

    },

    //商品折扣统计
    loadSellInfoShangPinDiscountByPage: function (keyArr, limitCount, pageIndex, callBack) {
        var paramArray = [];
        var sql = " SELECT * FROM ( ";
        sql = sql + " SELECT '总计:' deviceId, '' workName,'' commodityName, round( sum( ifnull(a.totalAmount, 0) - ifnull(a.sellAmount, 0) ),2 ) AS amount," +
            " ifnull(count(a.discount),0) as countTime,a.sellTime, " +
            "0 flag " +
            " FROM sellinfo b " +
            " LEFT JOIN selldetail a  on b.id=a.sellId WHERE a.sellerId=? and a.discount < 100 AND IFNULL(a.isPresented,'0')<>'1' and ifnull(b.status,'')='1' AND ifnull(b.isDelete,'') <> '1' and ifnull(a.isDelete,'0')<>'1' ";
        paramArray.push(loginInfo.storeId);

        if (keyArr) {
            if (keyArr[0]) {
                sql = sql + " AND b.workName = ?  ";
                paramArray.push(keyArr[0]);
            }
            if (keyArr[1]) {
                sql = sql + " AND commodityName like ?  ESCAPE '^' ";
                paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            }
            if (keyArr[2]) {
                sql = sql + ' AND date(b.sellTime) >= ? ';
                paramArray.push(keyArr[2]);
            }
            if (keyArr[3]) {
                sql = sql + ' AND date(b.sellTime) <= ? ';
                paramArray.push(keyArr[3]);
            }
            if (!Ext.isEmpty(keyArr[4])) {
                paramArray.push(keyArr[4]);
                sql = sql + ' AND b.deviceId= ? ';
            }
            if (!Ext.isEmpty(keyArr[5])) {
                paramArray.push(keyArr[5]);
                sql = sql + ' AND a.optReason= ? ';
            }
        }
        sql = sql + " UNION ";
        sql = sql +
            "SELECT " +
                " deviceId," +
                " b.workName," +
                " commodityName," +
                " round( sum( ifnull(a.totalAmount, 0) - ifnull(a.sellAmount, 0) ),2 ) AS amount," +
                " ifnull(count(a.discount),0) AS countTime,a.sellTime, " +
                "1 flag " +
            " FROM" +
                " sellinfo b" +
                " LEFT JOIN selldetail a ON a.sellId = b.id" +
            " WHERE" +
                " a.sellerId=? AND a.discount < 100 AND IFNULL(a.isPresented,'0')<>'1' AND ifnull(b.status,'')='1' AND ifnull(b.isDelete,'') <> '1' and ifnull(a.isDelete,'0')<>'1' " ;
            paramArray.push(loginInfo.storeId);
        if (keyArr) {
            if (keyArr[0]) {
                sql = sql + ' AND b.workName = ?';
                paramArray.push(keyArr[0]);
            }
            if (keyArr[1]) {
                sql = sql + ' AND commodityName like ?';
                paramArray.push('%' + keyArr[1] + '%');
            }
            if (keyArr[2]) {
                sql = sql + ' AND date(b.sellTime) >= ?';
                paramArray.push(keyArr[2]);
            }
            if (keyArr[3]) {
                sql = sql + ' AND date(b.sellTime) <= ?';
                paramArray.push(keyArr[3]);
            }
            if (!Ext.isEmpty(keyArr[4])) {
                paramArray.push(keyArr[4]);
                sql = sql + ' AND b.deviceId= ? ';
            }
            if (!Ext.isEmpty(keyArr[5])) {
                paramArray.push(keyArr[5]);
                sql = sql + ' AND a.optReason= ? ';
            }
        }
        sql=sql+
            " GROUP BY" +
                " workName," +
                " commodityName,b.deviceId";
        sql = sql + " ) K ";
        sql = sql + " Order by flag  limit " + limitCount + " offset (" + pageIndex + "-1)*" + limitCount;
        //console.log(sql,'\n',paramArray)
        //---------------------------------------------------
        loadBySqlParam(sql, paramArray, callBack);
    },


    //商品折扣统计查看详细
    loadDetailDataForGrid:function (keyArr,callBack) {
        var paramArray = [];
        var sql =
            "SELECT " +
                " date(b.sellTime) date," +
                " a.id txtId," +
                " b.deviceId deviceId," +
                " workName," +
                " commodityName," +
                " sellNum," +
                " a.totalAmount," +
                " a.sellAmount," +
                " a.discount," +
                " a.optReason," +
                " round( ifnull(a.totalAmount, 0) - ifnull(a.sellAmount, 0),2 ) discountAmount" +
            " FROM" +
                "  sellinfo b " +
            " LEFT JOIN selldetail a ON a.sellId = b.id" +
            " WHERE" +
                " a.sellerId=? AND a.discount < 100 AND IFNULL(a.isPresented,'0')<>'1' AND ifnull(b.status,'')='1' AND ifnull(b.isDelete,'') <> '1' and ifnull(a.isDelete,'0')<>'1' " ;
        paramArray.push(loginInfo.storeId);
        if (keyArr) {
            if (keyArr[0]) {
                sql = sql + " AND workName = ? ";
                paramArray.push(keyArr[0]);
            }
            if (keyArr[1]) {
                sql = sql + " AND commodityName LIKE  ? ESCAPE '^' ";
                paramArray.push('%'+ replaceSQLiteCharacters(keyArr[1])+'%');
            }
            if (keyArr[2]) {
                sql = sql + ' AND date(b.sellTime) >= ?';
                paramArray.push(keyArr[2]);
            }
            if (keyArr[3]) {
                sql = sql + ' AND date(b.sellTime) <= ?';
                paramArray.push(keyArr[3]);
            }
            if (!Ext.isEmpty(keyArr[4])) {
                paramArray.push(keyArr[4]);
                sql = sql + ' AND b.deviceId= ? ';
            }
            if (!Ext.isEmpty(keyArr[5])) {
                paramArray.push(keyArr[5]);
                sql = sql + ' AND a.optReason= ? ';
            }
            loadBySqlParam(sql, paramArray, callBack);
        }
    },



    //商品折扣统计
    loadSellInfoShangPinDiscountByTotal: function (keyArr, callBack) {

        var paramArray = [];
        var sql ="SELECT count(id) AS ttlNum FROM (";
        sql = sql +
            " SELECT" +
            " a.id" +
            " FROM" +
            "  sellinfo b" +
            " LEFT JOIN selldetail a ON a.sellId = b.id" +
            " WHERE" +
            " a.sellerId=? AND a.discount < 100 AND IFNULL(a.isPresented,'0')<>'1' AND ifnull(b.status,'')='1' AND ifnull(b.isDelete,'') <> '1' and ifnull(a.isDelete,'0')<>'1' " ;
        paramArray.push(loginInfo.storeId);
        if (keyArr) {
            if (keyArr[0]) {
                sql = sql + " AND workName like ? ESCAPE '^' ";
                paramArray.push('%' +replaceSQLiteCharacters(keyArr[0])+ '%');
            }
            if (keyArr[1]) {
                sql = sql + " AND commodityName like ? ESCAPE '^' ";
                paramArray.push('%' + replaceSQLiteCharacters(keyArr[1]) + '%');
            }
            if (keyArr[2]) {
                sql = sql + ' AND date(b.sellTime) >= ? ';
                paramArray.push(keyArr[2]);
            }
            if (keyArr[3]) {
                sql = sql + ' AND date(b.sellTime) <= ? ';
                paramArray.push(keyArr[3]);
            }
            if (!Ext.isEmpty(keyArr[4])) {
                paramArray.push(keyArr[4]);
                sql = sql + ' AND b.deviceId= ? ';
            }
            if (!Ext.isEmpty(keyArr[5])) {
                paramArray.push(keyArr[5]);
                sql = sql + ' AND a.optReason= ? ';
            }
        }
        sql=sql+
            " GROUP BY" +
            " workName," +
            " commodityName,b.deviceId)";
        getBySql(sql, paramArray, callBack);
    },


    /**
     * 根据id查询销售单据数据
     * @param {Object} callback(success,err)
     */
    getById: function (id, callback) {
        var sql = "SELECT * FROM sellInfo where id=?";
        getBySql(sql, [id], callback);
    },



    /**
     * 查询销售单据
     * @param {Object} callBack(success,res|err)
     */
    loadSearchSalesInfoByPage: function (param, pageSize, pageIndex, callBack) {
        var keyArr = [];
        var sql = "SELECT * FROM ( ";
        sql = sql+"SELECT '总计:' deviceId, '' id,'' sellTime, '' endTime, " +
            //" ifnull(round(SUM(CASE WHEN s.sellType != '2' AND s.status NOT IN ('2', '5') THEN s.commodityNum END), 2),0)   commodityNum," +
            /* 减去反结账的 */
            " ifnull(round(SUM(CASE WHEN s.status='2' OR s.sellType='2' THEN -s.commodityNum WHEN s.sellType != '2' AND s.status NOT IN ('5') THEN s.commodityNum END), 2),0)   commodityNum," +
            " '' workName,'' orderClerkName,'' cashierName,'' reverseEmployeeName," +
            //" ifnull(round(SUM(s.totalAmount),2),0) as totalAmount," +
            //" ifnull(round(SUM(CASE WHEN s.sellType != '2' AND s.status NOT IN ('2', '5') THEN s.totalAmount END), 2),0)   totalAmount," +
            " ifnull(round(SUM(CASE WHEN s.status='2' OR s.sellType='2' THEN -s.totalAmount WHEN s.sellType != '2' AND s.status NOT IN ('5') THEN s.totalAmount END), 2),0)   totalAmount," +
            //" ifnull(round(SUM(s.sellAmount),2),0) as sellAmount," +
            //" ifnull(round(SUM(CASE WHEN s.sellType != '2' AND s.status NOT IN ('2', '5') THEN s.sellAmount END), 2),0)   sellAmount," +
            " ifnull(round(SUM(CASE WHEN s.status='2' OR s.sellType='2' THEN -s.sellAmount WHEN s.sellType != '2' AND s.status NOT IN ('5') THEN s.sellAmount END), 2),0)   sellAmount," +
            //" ifnull(round(SUM(s.couponMoney),2),0) as couponMoney," +
            //"ifnull(round(SUM(CASE WHEN s.couponMoney != '2' AND s.status NOT IN ('2', '5') THEN s.couponMoney END), 2),0)  couponMoney," +
            " ifnull(round(SUM(CASE WHEN s.status='2' OR s.sellType='2' THEN -s.couponMoney WHEN s.sellType!='2' AND s.status NOT IN ('5') THEN s.couponMoney END), 2),0)  couponMoney," +
            //" ifnull(round(SUM(s.discountAmount),2),0) as discountAmount," +
            //"ifnull(round(SUM(CASE WHEN s.sellType != '2' AND s.status NOT IN ('2', '5') THEN s.discountAmount END), 2),0)  discountAmount," +
            " ifnull(round(SUM(CASE WHEN s.status='2' OR s.sellType='2' THEN -s.discountAmount WHEN s.sellType != '2' AND s.status NOT IN ('5') THEN s.discountAmount END), 2),0)  discountAmount," +
            //" ifnull(round(SUM(s.notDiscountAmount),2),0) as notDiscountAmount," +
            //"ifnull(round(SUM(CASE WHEN s.sellType != '2' AND s.status NOT IN ('2', '5') THEN s.notDiscountAmount END), 2),0)   notDiscountAmount," +
            " ifnull(round(SUM(CASE WHEN s.status='2' OR s.sellType='2' THEN -s.notDiscountAmount WHEN s.sellType != '2' AND s.status NOT IN ('5') THEN s.notDiscountAmount END), 2),0)  notDiscountAmount," +
            " ''  as discount," +
            " '' AS status," +
            " '' AS sellType," +
            " '' AS payType, " +
            //" ifnull(round(SUM(s.alreadyDiscountAmount),2),0) alreadyDiscountAmount," +
            //"ifnull(round(SUM(CASE WHEN s.sellType != '2' AND s.status NOT IN ('2', '5') THEN s.alreadyDiscountAmount END), 2),0)  alreadyDiscountAmount," +
            //" IFNULL(round(SUM(CASE WHEN s.sellType='2' THEN IFNULL(-round(s.alreadyDiscountAmount,2),0) WHEN s.status IN ('2','5') THEN IFNULL(-round(s.alreadyDiscountAmount,2),0) ELSE IFNULL(round(s.alreadyDiscountAmount,2),0) END),2),0) alreadyDiscountAmount, " +
            " IFNULL(round(SUM(CASE WHEN s.status='2' OR s.sellType='2' THEN -s.alreadyDiscountAmount WHEN s.sellType<>'2' AND s.status NOT IN ('5') THEN s.alreadyDiscountAmount END), 2), 0) alreadyDiscountAmount, " +
            //" ifnull(round(SUM(s.eraseZeroAmount),2),0) eraseZeroAmount," +
            //" ifnull(round(SUM(CASE WHEN s.sellType != '2' AND s.status NOT IN ('2', '5') THEN s.eraseZeroAmount END), 2),0)   eraseZeroAmount," +
            //" IFNULL(round(SUM(CASE WHEN s.sellType='2' THEN IFNULL(-round(s.eraseZeroAmount,2),0) WHEN s.status IN ('2','5') THEN IFNULL(-round(s.eraseZeroAmount,2),0) ELSE IFNULL(round(s.eraseZeroAmount,2),0) END), 2),0) eraseZeroAmount, " +
            " IFNULL(round(SUM(CASE WHEN s.sellType='2' OR s.status='2' THEN -s.eraseZeroAmount WHEN s.sellType<>'2' AND s.status NOT IN ('5') THEN s.eraseZeroAmount END), 2),0) eraseZeroAmount, " +
            //" ifnull(round(SUM(CASE WHEN s.sellType != '2' AND s.status NOT IN ('2','5') THEN s.roundAmount END), 2), 0) roundAmount," + // 舍入金额
            //" IFNULL(round(SUM(CASE WHEN s.sellType = '2' THEN ifnull(- round(s.roundAmount, 2),0) WHEN s.status IN ('2', '5') THEN ifnull(- round(s.roundAmount,2),0) ELSE ifnull(round(s.roundAmount, 2),0) END),2),0) roundAmount, " +
            " IFNULL(round(SUM(CASE WHEN s.sellType='2' OR s.status='2' THEN -s.roundAmount WHEN s.sellType<>'2' AND s.status NOT IN ('5') THEN s.roundAmount END),2),0) roundAmount, " +
            //" ifnull(round(SUM(s.teaAmount),2),0) teaAmount," +
            "ifnull(round(SUM(CASE WHEN s.sellType != '2' AND s.status NOT IN ('2', '5') THEN s.teaAmount END), 2),0) teaAmount," +
            //" ifnull(round(SUM(s.costAmount),2),0) costAmount," +
            //"ifnull(round(SUM(CASE WHEN s.sellType != '2' AND s.status NOT IN ('2', '5') THEN s.costAmount END), 2),0)  costAmount," +
            "ifnull(round(SUM(CASE WHEN s.status='2' OR s.sellType='2' THEN -s.costAmount  WHEN s.sellType != '2' AND s.status NOT IN ('5') THEN s.costAmount END), 2),0)  costAmount," +
            //" ifnull(round(SUM(s.gainAmount),2),0) gainAmount," +
            //"ifnull(round(SUM(CASE WHEN s.sellType != '2' AND s.status NOT IN ('2', '5') THEN s.gainAmount END), 2),0)  gainAmount," +
            "ifnull(round(SUM(CASE WHEN s.status='2' OR s.sellType='2' THEN -s.gainAmount WHEN s.sellType != '2' AND s.status NOT IN ('2', '5') THEN s.gainAmount END), 2),0)  gainAmount," +
            " '' customerName," +
            " '' remark," +
            " '' sourceType," +
            " '' sellNo," +
            // " '' orderId," +
            " ifnull(round(SUM(s.boxAmount),2),0) boxAmount," +
            " ifnull(round(SUM(s.shippingFee),2),0) shippingFee," +
            " 0 flag," +
            " '' orderId ," +
            " '' mtOrderId, " +
            "combinationAmount, " +
            "payType AS payTp " +
            "from sellInfo s  where s.sellerId=?  AND ifnull(s.isDelete,'') <> '1' ";
        keyArr.push(loginInfo.storeId);
        if (param.length >= 5) {
            if (!Ext.isEmpty(param[0])) {
                keyArr.push(param[0]);
                //sql = sql + ' and  s.saleId = ? ';
                sql = sql + ' and s.workId = ? ';
            }
            if (!Ext.isEmpty(param[1])) {
                keyArr.push(param[1]);
                sql = sql + ' and  s.sellType = ?';
            }
            if (!Ext.isEmpty(param[2])) {
                keyArr.push(param[2]);
                sql = sql + " and  ifnull(s.status,'') = ? ";
            }
            if (!Ext.isEmpty(param[3])) {
                keyArr.push(Ext.Date.format(new Date(param[3]), 'Y-m-d H:i:s'));
                //sql = sql + ' and  date(s.sellTime) >= ?'
                sql = sql + ' and  datetime(s.sellTime) >= ?'
                // 改为 endTime
                //sql = sql + ' and  datetime(s.endTime) >= ?'
            }
            if (!Ext.isEmpty(param[4])) {
                keyArr.push(Ext.Date.format(new Date(param[4]), 'Y-m-d H:i:s'));
                //sql = sql + ' and  date(s.sellTime) <= ?'
                sql = sql + ' and  datetime(s.sellTime) <= ?'
                // 改为 endTime
                //sql = sql + ' and  datetime(s.endTime) <= ?'
            }
            if (!Ext.isEmpty(param[5])) {
                keyArr.push(param[5]);
                sql = sql + ' and  s.deviceId = ?'
            }
            if (!Ext.isEmpty(param[6])) {
                if(param[6]=="-1"){//自定义支付
                    sql = sql + " and  s.payType not in ('1','2','3','4','5','6','7','8','9','10','11') and s.isComboPay<>'true'"
                }
                else if(param[6]=="-2"){//组合支付方式
                    sql = sql + " and s.isComboPay='true'"
                }
                else {//默认支付方式
                    keyArr.push(param[6]);
                    sql = sql + ' and  s.payType = ?'
                }

            }
            // if (!Ext.isEmpty(param[7])) {
            //     keyArr.push(param[7]);
            //     sql = sql + " and (ifnull(s.isReverse,\'0\') = ? or s.isReverse='')";
            // }
        }

        sql = sql + " UNION ";
        sql = sql+"SELECT s.deviceId, s.id,s.sellTime,s.endTime," +
            //"(CASE  WHEN s.status in('2','5') THEN  round(0-s.commodityNum,2) WHEN s.sellType='2' THEN round(0-s.commodityNum,2) WHEN s.sellType in('0','1') THEN round(s.commodityNum,2) WHEN s.status in('-1','0','1','3','5') THEN round(s.commodityNum,2) END) AS commodityNum," +
            " case when s.sellType='2' then  -round(s.commodityNum,2) WHEN s.status in('2','5') THEN -round(s.commodityNum,2) else round(s.commodityNum,2)  end commodityNum," +
            "s.workName,s.orderClerkName,s.cashierName,s.reverseEmployeeName," +
            //"CASE s.isReverse WHEN '0' THEN '未反结账' WHEN '1' THEN '已反结账' WHEN '' THEN '未反结账' END as isReverse, " +
            //"CASE WHEN ifnull(s.isReverse,'0')='0' THEN '否' WHEN '1' THEN '是' WHEN '' THEN '否' END as isReverse, " +
            //"ifnull(round(s.totalAmount,2),0) as totalAmount," +
            " case when s.sellType='2' then  -round(s.totalAmount,2) WHEN s.status in('2','5') THEN -round(s.totalAmount,2) else round(s.totalAmount,2)  end totalAmount," +
            //"ifnull(round(s.sellAmount,2),0) as sellAmount," +
            " case when s.sellType='2' then  -round(s.sellAmount,2) WHEN s.status in('2','5') THEN -round(s.sellAmount,2) else round(s.sellAmount,2)  end sellAmount," +
            //"ifnull(round(s.couponMoney,2),0) as couponMoney," +
            " case when s.sellType='2' then  -round(s.couponMoney,2) WHEN s.status in('2','5') THEN -round(s.couponMoney,2) else round(s.couponMoney,2)  end couponMoney," +
            //"ifnull(round(s.discountAmount,2),0) as discountAmount," +
            " CASE WHEN s.sellType = '2' THEN ifnull(-round(s.discountAmount, 2),0) WHEN s.status IN ('2', '5') THEN ifnull(-round(s.discountAmount, 2),0) ELSE ifnull(round(s.discountAmount, 2),0) END discountAmount,"+
            //"ifnull(round(s.notDiscountAmount,2),0) as notDiscountAmount," +
            " CASE WHEN s.sellType = '2' THEN ifnull(- round(s.notDiscountAmount, 2),0) WHEN s.status IN ('2', '5') THEN ifnull(- round(s.notDiscountAmount, 2),0) ELSE ifnull(round(s.notDiscountAmount, 2),0) END notDiscountAmount,"+
            "ifnull(round(s.discount,2),0) as discount," +
            " CASE s.status WHEN '-1' THEN '挂单' WHEN '0' THEN '下单' WHEN '1' THEN '完成' WHEN '2' THEN '反结账' WHEN '3' THEN '取消' WHEN '4' THEN '删除' WHEN '5' THEN '退款' WHEN '9' THEN '待支付' END AS status," +
            " CASE s.sellType WHEN '0' THEN '销售' WHEN '1' THEN '外卖' WHEN '2' THEN '退货' END AS sellType," +
            " K.PayTypeName as payType,"+
            //" ifnull(round(s.alreadyDiscountAmount,2),0) alreadyDiscountAmount, " +
            " CASE WHEN s.sellType = '2' THEN ifnull(- round(s.alreadyDiscountAmount, 2),0) WHEN s.status IN ('2', '5') THEN ifnull(- round(s.alreadyDiscountAmount, 2),0) ELSE ifnull(round(s.alreadyDiscountAmount, 2),0) END alreadyDiscountAmount,"+
            //" ifnull(round(s.eraseZeroAmount,2),0) eraseZeroAmount, " +
            " CASE WHEN s.sellType = '2' THEN - round(s.eraseZeroAmount, 2) WHEN s.status IN ('2', '5') THEN - round(s.eraseZeroAmount, 2) ELSE round(s.eraseZeroAmount, 2) END eraseZeroAmount,"+
            " CASE WHEN s.sellType = '2' THEN ifnull(- round(s.roundAmount, 2),0) WHEN s.status IN ('2', '5') THEN ifnull(- round(s.roundAmount,2),0) ELSE ifnull(round(s.roundAmount, 2),0) END roundAmount," + // 舍入金额
            //" ifnull(round(s.teaAmount,2),0) teaAmount, " +
            " CASE WHEN s.sellType = '2' THEN - round(s.teaAmount, 2) WHEN s.status IN ('2', '5') THEN - round(s.teaAmount, 2) ELSE round(s.teaAmount, 2) END teaAmount,"+
            //" ifnull(round(s.costAmount,2),0) costAmount," +
            " CASE WHEN s.sellType = '2' THEN ifnull(-round(s.costAmount, 2),0) WHEN s.status IN ('2', '5') THEN ifnull(- round(s.costAmount, 2),0) ELSE ifnull(round(s.costAmount,2),0) END costAmount,"+
            //" ifnull(round(s.gainAmount,2),0) gainAmount," +
            " case when s.sellType='2' then  ifnull(-round(s.gainAmount,2),0) WHEN s.status in('2','5') THEN ifnull(-round(s.gainAmount,2),0) else ifnull(round(s.gainAmount,2),0)  end gainAmount," +
            " s.customerName," +
            " s.remark," +
            " case s.sourceType when '0' then '收银台' when '1' then '微信' when '2' then '支付宝' when '3' then 'app' when '4' then '系统' when '5' then '点菜宝' when '6' then '美团' end as sourceType, " +
            " s.sellNo," +
            // " s.orderId," +
            " round(ifnull(s.boxAmount,0),2) boxAmount," +
            //" case when s.sellType='2' then  -round(s.boxAmount,2) WHEN s.status in('2','5') THEN -round(s.boxAmount,2) else round(s.boxAmount,2)  end boxAmount," +
            " round(ifnull(s.shippingFee,0),2) shippingFee, " +
            //" case when s.sellType='2' then  -round(s.shippingFee,2) WHEN s.status in('2','5') THEN -round(s.shippingFee,2) else round(s.shippingFee,2)  end shippingFee," +
            " 1 flag ," +
            " case s.sourceType  when '1' then orderId else '' end orderId,  " +
            " case s.sourceType  when '6' then orderId else '' end  mtOrderId, " +
            "ifnull(s.combinationAmount,''), " +
            "ifnull(s.payType,'')  AS payTp " +
            " from sellInfo s left join (SELECT payType,MAX(PayTypeName) PayTypeName FROM payconfig GROUP BY payType UNION SELECT '10','美团在线支付') k on s.payType=K.payType " +
            " where s.sellerId = ?  AND ifnull(s.isDelete,'') <> '1' ";

        keyArr.push(loginInfo.storeId);
        if (param.length >= 5) {

            if (!Ext.isEmpty(param[0])) {
                keyArr.push(param[0]);
                //sql = sql + ' and  s.saleId = ? ';
                sql = sql + ' and  s.workId = ? ';
            }
            if (!Ext.isEmpty(param[1])) {
                keyArr.push(param[1]);
                sql = sql + ' and  s.sellType = ?';
            }
            if (!Ext.isEmpty(param[2])) {
                keyArr.push(param[2]);
                sql = sql + " and  ifnull(s.status,'') = ? ";
            }
            if (!Ext.isEmpty(param[3])) {
                keyArr.push(Ext.Date.format(new Date(param[3]), 'Y-m-d H:i:s'));
                //sql = sql + ' and  date(s.sellTime) >= ?'
                sql = sql + ' and  datetime(s.sellTime) >= ?'
                //sql = sql + ' and  datetime(s.endTime) >= ?'
            }
            if (!Ext.isEmpty(param[4])) {
                keyArr.push(Ext.Date.format(new Date(param[4]), 'Y-m-d H:i:s'));
                //sql = sql + ' and  date(s.sellTime) <= ?'
                sql = sql + ' and  datetime(s.sellTime) <= ?'
                //sql = sql + ' and  datetime(s.endTime) <= ?'
            }
            if (!Ext.isEmpty(param[5])) {
                keyArr.push(param[5]);
                sql = sql + ' and  s.deviceId = ?'
            }
            if (!Ext.isEmpty(param[6])) {//payType: -1-自定义支付；-2-组合支付；1-11为默认支付
                if(param[6]=="-1"){//自定义支付
                    sql = sql + " and  s.payType not in ('1','2','3','4','5','6','7','8','9','10','11') and s.isComboPay<>'true'"
                }
                else if(param[6]=="-2"){//组合支付方式
                    sql = sql + " and s.isComboPay='true'"
                }
                else {//默认支付方式
                    keyArr.push(param[6]);
                    sql = sql + ' and  s.payType = ?'
                }
            }
            // if (!Ext.isEmpty(param[7])) {
            //     keyArr.push(param[7]);
            //     sql = sql + " and (ifnull(s.isReverse,\'0\') = ? or s.isReverse='')";
            // }
        }

        sql = sql + " ) K ";
        sql = sql + " order by flag,sellTime desc limit " + pageSize + " offset (" + pageIndex + "-1)*" + pageSize;
        //sql = sql + " order by flag,endTime desc limit " + pageSize + " offset (" + pageIndex + "-1)*" + pageSize;
        loadBySqlParam(sql, keyArr, callBack);
    },


    /**
     * 查询所有销售单据
     * @param {Object} callBack(success,res|err)
     */
    loadAllSalesInfo: function (callBack) {
        var keyArr = [];
        var sql = "SELECT * FROM ( ";
        sql = sql+"SELECT '总计:' deviceId, '' id,'' sellTime, " +
            " ifnull(round(SUM(s.commodityNum),2),0)  commodityNum," +
            " '' workName,'' orderClerkName,'' cashierName,'' reverseEmployeeName,'' isReverse," +
            " ifnull(round(SUM(s.totalAmount),2),0) as totalAmount," +
            " ifnull(round(SUM(s.sellAmount),2),0) as sellAmount," +
            " ifnull(round(SUM(s.couponMoney),2),0) as couponMoney," +
            " ifnull(round(SUM(s.discountAmount),2),0) as discountAmount," +
            " ifnull(round(SUM(s.notDiscountAmount),2),0) as notDiscountAmount," +
            " ''  as discount," +
            " '' AS status," +
            " '' AS sellType," +
            " '' AS payType, " +
            " ifnull(round(SUM(s.alreadyDiscountAmount),2),0) alreadyDiscountAmount," +
            " ifnull(round(SUM(s.eraseZeroAmount),2),0) eraseZeroAmount," +
            " ifnull(round(SUM(s.teaAmount),2),0) teaAmount," +
            " ifnull(round(SUM(s.costAmount),2),0) costAmount," +
            " ifnull(round(SUM(s.gainAmount),2),0) gainAmount," +
            " '' sellerCustomerId," +
            " '' remark," +
            " '' sourceType," +
            " '' sellNo," +
            // " '' orderId," +
            " ifnull(round(SUM(s.boxAmount),2),0) boxAmount," +
            " ifnull(round(SUM(s.shippingFee),2),0) shippingFee," +
            " 0 flag," +
            " '' orderId ," +
            " '' mtOrderId " +
            "from sellInfo s  where s.sellerId=?  AND ifnull(s.isDelete,'') <> '1' ";
        keyArr.push(loginInfo.storeId);

        sql = sql + " UNION ";
        sql = sql+"SELECT s.deviceId, s.id,s.sellTime," +
            "round(s.commodityNum,2) commodityNum," +
            "s.workName,s.orderClerkName,s.cashierName,s.reverseEmployeeName," +
            //"CASE s.isReverse WHEN '0' THEN '未反结账' WHEN '1' THEN '已反结账' WHEN '' THEN '未反结账' END as isReverse, " +
            "CASE WHEN ifnull(s.isReverse,'0')='0' THEN '否' WHEN '1' THEN '是' WHEN '' THEN '否' END as isReverse, " +
            "ifnull(round(s.totalAmount,2),0) as totalAmount," +
            "ifnull(round(s.sellAmount,2),0) as sellAmount," +
            "ifnull(round(s.couponMoney,2),0) as couponMoney," +
            "ifnull(round(s.discountAmount,2),0) as discountAmount," +
            "ifnull(round(s.notDiscountAmount,2),0) as notDiscountAmount," +
            "ifnull(round(s.discount,2),0) as discount," +
            "CASE s.status WHEN '-1' THEN '挂单' WHEN '0' THEN '下单' WHEN '1' THEN '完成' WHEN '2' THEN '反结账' WHEN '3' THEN '取消' WHEN '4' THEN '删除' WHEN '9' THEN '待支付' END AS status," +
            "CASE s.sellType WHEN '0' THEN '正常' WHEN '1' THEN '外卖' WHEN '2' THEN '退货' END AS sellType," +
            " K.PayTypeName as payType,"+
            " ifnull(round(s.alreadyDiscountAmount,2),0) alreadyDiscountAmount, " +
            " ifnull(round(s.eraseZeroAmount,2),0) eraseZeroAmount, " +
            " ifnull(round(s.teaAmount,2),0) teaAmount, " +
            " ifnull(round(s.costAmount,2),0) costAmount," +
            " ifnull(round(s.gainAmount,2),0) gainAmount," +
            " s.sellerCustomerId," +
            " s.remark," +
            " case s.sourceType when '0' then '收银台' when '1' then '微信' when '2' then '支付宝' when '3' then 'app' when '4' then '系统' when '5' then '点菜宝' when '6' then '美团' end as sourceType, " +
            " s.sellNo," +
            // " s.orderId," +
            " round(ifnull(s.boxAmount,0),2) boxAmount," +
            " round(ifnull(s.shippingFee,0),2) shippingFee, " +
            " 1 flag ," +
            " case s.sourceType  when '1' then orderId else '' end orderId,  " +
            " case s.sourceType  when '6' then orderId else '' end  mtOrderId " +
            " from sellInfo s left join (SELECT payType,MAX(PayTypeName) PayTypeName FROM payconfig GROUP BY payType UNION SELECT '10','美团在线支付') k on s.payType=K.payType " +
            " where s.sellerId = ?  AND ifnull(s.isDelete,'') <> '1' ";

        keyArr.push(loginInfo.storeId);

        sql = sql + " ) K ";
        sql = sql + " order by flag,sellTime desc";
        loadBySqlParam(sql, keyArr, callBack);
    },

    /**
     * 查询销售单据
     * @param {Object} callBack(success,res|err)
     */
    loadSearchSalesInfoByTotal: function (param, callBack) {
        //console.log(keyword);
        var sql = "SELECT count(s.id) as ttlNum from sellInfo s  where s.sellerId = ? AND ifnull(s.isDelete,'') <> '1' ";
        var keyArr = [loginInfo.storeId];
        if (param.length >= 5) {

            if (!Ext.isEmpty(param[0])) {
                keyArr.push(param[0]);
                //sql = sql + ' and  s.saleId = ? ';
                sql = sql + ' and  s.workId = ? ';
            }
            if (!Ext.isEmpty(param[1])) {
                keyArr.push(param[1]);
                sql = sql + ' and  s.sellType = ? ';
            }
            if (!Ext.isEmpty(param[2])) {
                keyArr.push(param[2]);
                sql = sql + ' and  s.status = ? ';
            }
            if (!Ext.isEmpty(param[3])) {
                keyArr.push(Ext.Date.format(new Date(param[3]), 'Y-m-d H:i:s'));
                //sql = sql + ' and  date(s.sellTime) >= ? ';
                sql = sql + ' and  datetime(s.sellTime) >= ? ';
                //sql = sql + ' and  datetime(s.endTime) >= ? ';
            }
            if (!Ext.isEmpty(param[4])) {
                keyArr.push(Ext.Date.format(new Date(param[4]), 'Y-m-d H:i:s'));
                //sql = sql + ' and  date(s.sellTime) <= ?'
                sql = sql + ' and  datetime(s.sellTime) <= ?'
                //sql = sql + ' and  datetime(s.endTime) <= ?'
            }
            if (!Ext.isEmpty(param[5])) {
                keyArr.push(param[5]);
                sql = sql + ' and  s.deviceId = ?'
            }
            if (!Ext.isEmpty(param[6])) {
                if(param[6]=="-1"){//自定义支付
                    sql = sql + " and  s.payType not in ('1','2','3','4','5','6','7','8','9','10','11') and s.isComboPay<>'true'"
                }
                else if(param[6]=="-2"){//组合支付方式
                    sql = sql + " and s.isComboPay='true'"
                }
                else {//默认支付方式
                    keyArr.push(param[6]);
                    sql = sql + ' and  s.payType = ?'
                }
            }
            // if (!Ext.isEmpty(param[7])) {
            //     keyArr.push(param[7]);
            //     sql = sql + " and (ifnull(s.isReverse,\'0\') = ? or s.isReverse='')";
            // }

        }
        getBySql(sql, keyArr, callBack);
    },

    /**
     * 查询分时段统计数据的总页数
     * @param array callBack(success,res|err)
     */
    //这里的查询条件可能存在问题， 没有根据selltype和status去查询
    loadInfoByTimePageSize:function (keyArr,callback) {

        var sql = "select count(time) ttlNum from(SELECT  strftime('%Y-%m-%d %H:00:00',sellTime) as time FROM sellinfo s where sellerId = ?  AND ifnull(isDelete,'0')<>'1' AND ifnull(status, '0')= '1' AND ifnull(sellType,'0' ) <> '2' ";
        var paramArr = [loginInfo.storeId];
        if(keyArr[0]){
            sql = sql + "AND date(s.sellTime) >= ? ";
            paramArr.push( keyArr[0] );
        }
        if(keyArr[1]){
            sql = sql + "AND date(s.sellTime) <= ? ";
            paramArr.push( keyArr[1] );
        }
        sql = sql + "group by time)";
        loadBySqlParam(sql,paramArr,callback);

    },
    /**
     * 查询分时段统计数据
     * @param array callBack(success,res|err)
     */
    loadInfoByTime:function ( keyArr, pageSize, pageIndex,callback) {
        var paramArr = [];
        var sql = "SELECT * FROM ( ";
        sql = sql+ "SELECT " +
            "  '总计:'  time ," +
            " count(id) sellCount, " +
            " ifnull(round(SUM(s.personNum),2),0) as personNum," +
            " ifnull(round(SUM(s.sellAmount),2),0) as sellAmount " +
            "FROM sellinfo s where sellerId = ? AND ifnull(status, '0')= '1' AND ifnull(isDelete,'0')<>'1'  AND ifnull(sellType,'0' ) <> '2' ";
        paramArr.push(loginInfo.storeId);
        if (keyArr[0]) {
            sql = sql + "AND date(s.sellTime) >= ? ";
            paramArr.push(keyArr[0]);
        }
        if (keyArr[1]) {
            sql = sql + "AND date(s.sellTime) <= ? ";
            paramArr.push(keyArr[1]);
        }

        sql = sql+ " UNION ";

        sql = sql+ "SELECT " +
            "  strftime('%Y-%m-%d %H:00:00',sellTime) || strftime('-%H:59:59',sellTime) as time ," +
            " count(id) sellCount , " +
            "round( sum( personNum ),2) personNum ," +
            "round( sum( sellAmount ),2 ) sellAmount " +
            "FROM sellinfo s where sellerId = ? AND ifnull(status, '0')= '1' AND ifnull(isDelete,'0')<>'1' AND ifnull(sellType,'0' ) <> '2' ";
        paramArr.push(loginInfo.storeId);
        if (keyArr[0]) {
            sql = sql + "AND date(s.sellTime) >= ? ";
            paramArr.push(keyArr[0]);
        }
        if (keyArr[1]) {
            sql = sql + "AND date(s.sellTime) <= ? ";
            paramArr.push(keyArr[1]);
        }
        sql = sql + ' GROUP BY time  ';
        sql = sql + " ) s ";
        sql = sql + " order by time desc";
        sql = sql + " limit ? offset ? ";
        paramArr.push(pageSize);
        paramArr.push(( pageIndex - 1) * pageSize);
        loadBySqlParam(sql, paramArr, callback);
    },


    /**
     * 查询开台数统计数据的总页数
     * @param array callBack(success,res|err)
     */
    loadDeckCountPageSize:function (keyArr,callback) {

        var sql = "select count(time) ttlNum from(SELECT  date(sellTime) as time,placeName FROM sellinfo s where sellerId = ? AND ifnull(isDelete,'0')<>'1' and sellType = '0' AND placeName <> '' AND ifnull(status, '0')= '1' AND ifnull(sellType,'0' ) <> '2' ";
        var paramArr = [loginInfo.storeId];
        if(keyArr[0]){
            sql = sql + "AND date(s.sellTime) >= ? ";
            paramArr.push( keyArr[0] );
        }
        if(keyArr[1]){
            sql = sql + "AND date(s.sellTime) <= ? ";
            paramArr.push( keyArr[1] );
        }
        sql = sql + "group by time,placeName )";
        // console.log(sql,paramArr);
        loadBySqlParam(sql,paramArr,callback);
    },

    /**
     * 查询开台数统计数据
     * @param array callBack(success,res|err)
     */
    loadDeckCountData:function ( keyArr, pageSize, pageIndex,callback) {
        var paramArr = [];
        var sql = "SELECT * FROM ( ";
        sql = sql+
            " SELECT '总计:' time," +
            " '' placeName," +
            "count(id) num," +
            "round( sum( sellAmount ),2) sellAmount," +
            "round( sum( personNum ),2) personNum " +
            "FROM  sellinfo s  WHERE  sellerId = ? " +
            "AND sellType = '0' AND placeName <> '' AND ifnull(status, '0')= '1' AND ifnull(isDelete,'')<>'1' AND ifnull(sellType,'0' ) <> '2' ";
        paramArr.push(loginInfo.storeId);
        if(keyArr[0]){
            sql = sql + "AND date(sellTime) >= ? ";
            paramArr.push( keyArr[0] );
        }
        if(keyArr[1]){
            sql = sql + "AND date(sellTime) <= ? ";
            paramArr.push( keyArr[1] );
        }
        sql = sql+ " UNION ";

        sql = sql+
            "SELECT date(sellTime) AS time," +
            "placeName," +
            "count(id) num," +
            "round( sum( sellAmount ),2) sellAmount," +
            "round( sum( personNum ),2) personNum " +
            "FROM  sellinfo s  WHERE sellerId = ? " +
            "AND sellType = '0' AND placeName <> '' AND ifnull(status, '0')= '1' AND ifnull(isDelete,'')<>'1' AND ifnull(sellType,'0' ) <> '2' ";
        paramArr.push(loginInfo.storeId);
        if(keyArr[0]){
            sql = sql + "AND date(sellTime) >= ? ";
            paramArr.push( keyArr[0] );
        }
        if(keyArr[1]){
            sql = sql + "AND date(sellTime) <= ? ";
            paramArr.push( keyArr[1] );
        }
        sql = sql + ' GROUP BY time,placeName ';
        sql = sql + " ) s ";
        sql = sql + " order by time desc";
        sql = sql + " limit ? offset ? " ;
        paramArr.push( pageSize );
        paramArr.push( ( pageIndex -1) * pageSize );
        // console.log(sql,paramArr);
        loadBySqlParam(sql,paramArr,callback);

    },




    /**
     * 查询
     * @param {Object} callBack(success,res|err)
     */
    dataForDayCount: function (param, callBack) {

    },

    /**
     *增加类型
     */
    add: function (sqlData, callBack) {
        insert("sellInfo", sqlData, callBack);
    },

    /**
     *删除类型
     */
    delete: function (id, callBack) {
        del("sellInfo", id, callBack);
    },
    /**
     * 更新类型
     * @param {Object} callback(success,err)
     */
    update: function (sqlData, id, callback) {
        update('sellInfo', sqlData, id, callback)
    },


    /**
     * 查询所有数据
     * @param {Object} callBack(success,res|err)
     */
    loadAllData: function (callBack) {
        //console.log(keyword);
        var sql = "SELECT * FROM sellInfo ";
        loadBySql(sql, callBack);
    },


    /**
     * 整单折扣统计
     * @param {Object} callBack(success,res|err)
     */
    loadBillsDiscountByPage: function (keyArr, callBack) {

        var paramArr = [];

        paramArr = [ loginInfo.storeId ] ;
        var sql = 'select * from( ' ;


        //sql = sql + "select '总计:' as deviceId,'' workName, '' sellTime, count(discount) AS countTime,round(sum(totalAmount-sellAmount),2) AS amount, " +
            //" 0 flag " +
            //"from sellinfo where sellerId = ? and discount < 100 and status = '1' AND ifnull(isDelete,'') <> '1' ";
        sql = sql + "select '总计:' as deviceId,'' workName, '' sellTime, count(discount) AS countTime,round(sum(alreadyDiscountAmount),2) AS amount, " +
            " 0 flag " +
            "from sellinfo where sellerId = ? and discount < 100 and status = '1' AND ifnull(isDelete,'') <> '1' ";
        if (keyArr) {
            if (keyArr[0]) {
                sql = sql + " AND workName  LIKE ? ESCAPE '^' ";
                paramArr.push('%' + replaceSQLiteCharacters(keyArr[0]) + '%');
            }
            if (keyArr[1]) {
                sql = sql + ' AND date(sellTime) >=? ';
                paramArr.push(keyArr[1])
            }
            if (keyArr[2]) {
                sql = sql + ' AND date(sellTime) <= ? ';
                paramArr.push(keyArr[2]);
            }
            if (keyArr[3]) {
                sql = sql + ' AND deviceId = ? ';
                paramArr.push(keyArr[3]);
            }
        }
        sql = sql + ' union ';

        //sql = sql + "SELECT deviceId , workName ,date(sellTime) as sellTime , count(discount) AS countTime,round(sum(totalAmount-sellAmount),2) AS amount,1 flag FROM sellInfo " +
            //"WHERE sellerId=? and discount < 100 AND status = '1' AND ifnull(isDelete,'') <> '1' ";
        sql = sql + "SELECT deviceId , workName ,date(sellTime) as sellTime , count(discount) AS countTime,round(sum(alreadyDiscountAmount),2) AS amount,1 flag FROM sellInfo " +
            "WHERE sellerId=? and discount < 100 AND status = '1' AND ifnull(isDelete,'') <> '1' ";

        paramArr.push(loginInfo.storeId);
        if (keyArr) {
            if (keyArr[0]) {
                sql = sql + " AND workName=? ";
                paramArr.push(keyArr[0]);
            }
            if (keyArr[1]) {
                sql = sql + ' AND date(sellTime) >=? ';
                paramArr.push(keyArr[1])
            }
            if (keyArr[2]) {
                sql = sql + ' AND date(sellTime) <= ? ';
                paramArr.push(keyArr[2]);
            }
            if (keyArr[3]) {
                sql = sql + ' AND deviceId = ? ';
                paramArr.push(keyArr[3]);
            }
        }

        sql = sql + " GROUP BY date(sellTime) ";
        sql = sql + " ) k order by flag";
        sql = sql + " limit " + keyArr[4] + " offset (" + keyArr[5] + "-1)*" + keyArr[4];
        //console.log('整单统计表',sql,paramArr);
        loadBySqlParam(sql, paramArr, callBack);
    },

    /**
     * 整单折扣统计
     * @param {Object} callBack(success,res|err)
     */
    loadBillsDiscountByPageTotal: function (keyArr, callBack) {
        var sql = "select count( ttlNum ) ttlNum from("

        //sql = sql + "SELECT count(sellTime) as ttlNum FROM sellInfo WHERE sellerId = ? and discount < 100 and status = '1' AND ifnull(isDelete,'') <> '1'";
        sql = sql + "SELECT count(sellTime) as ttlNum FROM sellInfo WHERE sellerId = ? and discount < 100 and status = '1' AND ifnull(isDelete,'') <> '1'";
        var paramArr = [loginInfo.storeId];
        if (keyArr) {
            if (keyArr[0]) {
                sql = sql + " AND workName= ?  ";
                paramArr.push(keyArr[0]);
            }
            if (keyArr[1]) {
                sql = sql + ' AND date(sellTime) >= ? ';
                paramArr.push(keyArr[1])
            }
            if (keyArr[2]) {
                sql = sql + ' AND date(sellTime) <=? ';
                paramArr.push(keyArr[2])
            }
            if (keyArr[3]) {
                sql = sql + ' AND deviceId =? ';
                paramArr.push(keyArr[3]);
            }
        }
        sql = sql + " GROUP BY date(sellTime) )";
      //  console.log('getTTlnum',sql,paramArr)
        getBySql(sql, paramArr, callBack);
    },


    /**
     * 分页查询
     * @param {Object} callBack(success,res|err)
     */
    loadEraseZeroByPage: function (keyArr, pageSize, pageIndex, callBack) {

        var param = [];
        var sql = " SELECT * FROM ( ";
        sql = sql + " SELECT '' as sellDate,'' workName,'总计:' deviceId,count(id) countTime," +
            " round(ifnull(sum(eraseZeroAmount),0),2) AS amount," +
            " 0 flag " +
            " FROM sellInfo   " +
            " WHERE eraseZeroAmount > 0 AND sellerId = ? and ifnull(status,'0')= '1' AND ifnull(isDelete,'') <> '1' ";
        param.push(loginInfo.storeId);
        if (keyArr) {
            if (keyArr[0]) {
                param.push(keyArr[0]);
                sql = sql + ' AND workName = ? ';

            }
            if (keyArr[1]) {
                param.push(keyArr[1]);
                sql = sql + ' AND date(sellTime) >= ? ';
            }
            if (keyArr[2]) {
                param.push(keyArr[2]);
                sql = sql + ' AND date(sellTime) <= ? ';
            }
            if (!Ext.isEmpty(keyArr[3])) {
                param.push(keyArr[3]);
                sql = sql + '  AND deviceId= ? ';
            }
        }
        sql = sql + " union ";
        sql = sql + " SELECT date(sellTime) as sellDate,workName,deviceId,count(id) countTime," +
            " round(ifnull(sum(eraseZeroAmount),0),2) AS amount," +
            " 1 flag FROM sellInfo   " +
            " WHERE eraseZeroAmount > 0 AND sellerId = ? and ifnull(status,'0')= '1' AND ifnull(isDelete,'') <> '1' ";

        param.push(loginInfo.storeId);
        if (keyArr) {
            if (keyArr[0]) {
                param.push(keyArr[0]);
                sql = sql + ' AND workName = ? ';
            }
            if (keyArr[1]) {
                param.push(keyArr[1]);
                sql = sql + ' AND date(sellTime) >= ? ';
            }
            if (keyArr[2]) {
                param.push(keyArr[2]);
                sql = sql + ' AND date(sellTime) <= ? ';
            }
            if (!Ext.isEmpty(keyArr[3])) {
                param.push(keyArr[3]);
                sql = sql + '  AND deviceId= ? ';
            }
        }

        sql = sql + " GROUP BY date(sellTime),workName,deviceId ";
        sql = sql + " ) K ";
        sql = sql + " ORDER BY flag, sellDate,workName limit ? offset ? ";

        param.push(pageSize);
        param.push((pageIndex - 1) * pageSize);


        //console.log('查询数据',sql,param);
        // console.log(sql);
        // console.log(param);
        loadBySqlParam(sql, param, callBack);
    },

    /**
     * 分页查询总行数
     * @param {Object} callBack(success,res|err)
     */
    loadEraseZeroByPageTotal: function (keyArr, callBack) {

        var sql = "SELECT count(eraseZeroAmount) as ttlNum FROM sellinfo WHERE eraseZeroAmount > 0 AND sellerId = ? and ifnull(status,'0')= '1' AND ifnull(isDelete,'') <> '1' ";
        var param = [loginInfo.storeId];


        if (!Ext.isEmpty(keyArr)) {
            if (keyArr[0]) {
                param.push(keyArr[0]);
                sql = sql + ' AND workName = ? ';
            }
            if (keyArr[1]) {
                param.push(keyArr[1]);
                sql = sql + ' AND date(sellTime) >= ? ';
            }
            if (keyArr[2]) {
                param.push(keyArr[2]);
                sql = sql + ' AND date(sellTime) <= ? ';
            }
            if (!Ext.isEmpty(keyArr[3])) {
                param.push(keyArr[3]);
                sql = sql + '  AND deviceId= ? ';
            }

        }
        sql = sql + ' GROUP BY date(sellTime),workName ';

        loadBySqlParam(sql, param, callBack);

    },
    /**
     * 舍入统计的分页查询
     * @param {Object} callBack(success,res|err)
     */
    loadRoundByPage: function (keyArr, pageSize, pageIndex, callBack) {

        var param = [];
        var sql = " SELECT * FROM ( ";
        sql = sql + " SELECT '' as sellDate,'' workName,'总计:' deviceId," +
            " round(ifnull(sum(CASE WHEN IFNULL(sellType,'0')='2' THEN -roundAmount ELSE roundAmount END),0),2) AS amount," +
            " 0 flag " +
            " FROM sellInfo   " +
            " WHERE IFNULL(roundAmount,0) <> 0 AND sellerId = ? and ifnull(status,'0')= '1' AND ifnull(isDelete,'') <> '1' ";
        param.push(loginInfo.storeId);
        if (keyArr) {
            if (keyArr[0]) {
                param.push(keyArr[0]);
                sql = sql + ' AND workName = ? ';

            }
            if (keyArr[1]) {
                param.push(keyArr[1]);
                sql = sql + ' AND date(sellTime) >= ? ';
            }
            if (keyArr[2]) {
                param.push(keyArr[2]);
                sql = sql + ' AND date(sellTime) <= ? ';
            }
            if (!Ext.isEmpty(keyArr[3])) {
                param.push(keyArr[3]);
                sql = sql + '  AND deviceId= ? ';
            }
        }
        sql = sql + " union ";
        sql = sql + " SELECT date(sellTime) as sellDate,workName,deviceId," +
            " round(ifnull(sum(CASE WHEN IFNULL(sellType,'0')='2' THEN -roundAmount ELSE roundAmount END),0),2) AS amount," +
            " 1 flag FROM sellInfo   " +
            " WHERE IFNULL(roundAmount,0) <> 0 AND sellerId = ? and ifnull(status,'0')= '1' AND ifnull(isDelete,'') <> '1' ";

        param.push(loginInfo.storeId);
        if (keyArr) {
            if (keyArr[0]) {
                param.push(keyArr[0]);
                sql = sql + ' AND workName = ? ';
            }
            if (keyArr[1]) {
                param.push(keyArr[1]);
                sql = sql + ' AND date(sellTime) >= ? ';
            }
            if (keyArr[2]) {
                param.push(keyArr[2]);
                sql = sql + ' AND date(sellTime) <= ? ';
            }
            if (!Ext.isEmpty(keyArr[3])) {
                param.push(keyArr[3]);
                sql = sql + '  AND deviceId= ? ';
            }
        }

        sql = sql + " GROUP BY date(sellTime),workName,deviceId ";
        sql = sql + " ) K ";
        sql = sql + " ORDER BY flag, sellDate,workName limit ? offset ? ";

        param.push(pageSize);
        param.push((pageIndex - 1) * pageSize);


        //console.log('查询数据',sql,param);
        // console.log(sql);
        // console.log(param);
        loadBySqlParam(sql, param, callBack);
    },

    /**
     * 分页查询总行数
     * @param {Object} callBack(success,res|err)
     */
    loadRoundByPageTotal: function (keyArr, callBack) {

        var sql = "SELECT count(roundAmount) as ttlNum FROM sellinfo WHERE IFNULL(roundAmount,0)<>0 AND sellerId = ? and ifnull(status,'0')= '1' AND ifnull(isDelete,'') <> '1' ";
        var param = [loginInfo.storeId];


        if (!Ext.isEmpty(keyArr)) {
            if (keyArr[0]) {
                param.push(keyArr[0]);
                sql = sql + ' AND workName = ? ';
            }
            if (keyArr[1]) {
                param.push(keyArr[1]);
                sql = sql + ' AND date(sellTime) >= ? ';
            }
            if (keyArr[2]) {
                param.push(keyArr[2]);
                sql = sql + ' AND date(sellTime) <= ? ';
            }
            if (!Ext.isEmpty(keyArr[3])) {
                param.push(keyArr[3]);
                sql = sql + '  AND deviceId= ? ';
            }

        }
        sql = sql + ' GROUP BY date(sellTime),workName ';

        loadBySqlParam(sql, param, callBack);

    },
    loadRoundDetailData:function (keyArr,callback) {
        var sql = "SELECT " +
            "deviceId, id txtId, workName, totalAmount,sellAmount,discount,CASE WHEN IFNULL(sellType,'0')='2' THEN -roundAmount ELSE roundAmount END roundAmount " +
            " FROM sellinfo " +
            "  WHERE IFNULL(roundAmount,0)<>0 AND sellerId = ? AND IFNULL(status,'0')='1' and ifnull(isDelete,'0') <> '1' ";
        var paramArr = [loginInfo.storeId];
        if(keyArr){
            if(keyArr[0]){
                sql = sql+ ' and workName = ? ';
                paramArr.push( keyArr[0] );
            }
            if(keyArr[1]){
                sql = sql+ ' and deviceId = ? ';
                paramArr.push( keyArr[1] );
            }
            if(keyArr[2]){
                sql = sql+ ' and date(sellTime) = ? ';
                paramArr.push( keyArr[2] );
            }
        }
        //console.log(sql,paramArr);
        loadBySqlParam(sql,paramArr,callback);
    },
}
