(function (exports) {

    //单行数据
    exports.getPOSSingleRowData = function (e) {
        //console.log(e.data.SQL);
        //console.log('VPOS Single查询数据库：'+Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
        CommonDao.getSingleRowDataByParam(e.data.SQL, e.data.filterParam, e.data.filterValue, function (success, item) {
            if (success) {
                mposConfig.sendTrue(e, EVENT_TYPE.SINGLEROWDATA, {
                    'returnVal': item
                });
                //console.log(item);
                //console.log('VPOS Single查询数据库完毕：'+Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
            } else {
                mposConfig.sendFalse(e, EVENT_TYPE.SINGLEROWDATA, "读取失败.");
                //console.log('bb');
            }
        });
    };


    //查询多行数据
    exports.getPOSMultiRowData = function (e) {
        //console.log(e.data.SQL);
        // console.log('VPOS Multi查询数据库：'+Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
        CommonDao.getMultiRowDataByParam(e.data.SQL, e.data.filterParam, e.data.filterValue, function (success, item) {
            if (success) {
                mposConfig.sendTrue(e, EVENT_TYPE.MULTIROWDATA, {
                    'returnVal': item
                });
                // console.log(item);
                //  console.log('VPOS Multi查询数据库完毕：'+Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
            } else {
                mposConfig.sendFalse(e, EVENT_TYPE.MULTIROWDATA, "读取失败.");
                //console.log('bb');
            }
        });
    };

    //新增数据
    exports.addPOSData = function (e) {
        //console.log(e.data.SQL);
        //console.log('VPOS开始执行插入数据：' + Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
        CommonDao.add(e.data.tableName, e.data.sqlData, function (success) {
            if (success) {
                mposConfig.sendTrue(e, EVENT_TYPE.ADDMPOSDATA, {'returnVal': 'ok',});

            } else {
                mposConfig.sendFalse(e, EVENT_TYPE.ADDMPOSDATA, "插入数据失败.");

            }
            //  console.log('VPOS执行插入数据完毕：' + Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
        });
    };

    //更新数据
    exports.updatePOSData = function (e) {
        //console.log(e.data.SQL);
        // console.log('VPOS开始执行更新数据：' + Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
        CommonDao.update(e.data.tableName, e.data.sqlData, e.data.id, function (success) {
            if (success) {
                mposConfig.sendTrue(e, EVENT_TYPE.UPDATEMPOSDATA, {'returnVal': 'ok',});

            } else {
                mposConfig.sendFalse(e, EVENT_TYPE.UPDATEMPOSDATA, "更新数据失败.");

            }
            //console.log('VPOS执行更新数据完毕：' + Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
        });
    };
    //执行sql
    exports.excuteSql = function (e) {
        CommonDao.excuteSql(e.data.sql, function (success) {
            if (success) {
                mposConfig.sendTrue(e, EVENT_TYPE.EXCUTEMPOSSQL, {'returnVal': 'ok',});

            } else {
                mposConfig.sendFalse(e, EVENT_TYPE.EXCUTEMPOSSQL, "执行sql失败.");

            }
        })
    };

    //删除数据
    exports.deletePOSData = function (e) {
        //console.log(e.data.SQL);
        //console.log('VPOS开始执行删除数据：' + Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
        CommonDao.delete(e.data.tableName, e.data.id, function (success) {
            if (success) {
                mposConfig.sendTrue(e, EVENT_TYPE.DELETEMPOSDATA, {'returnVal': 'ok',});

            } else {
                mposConfig.sendFalse(e, EVENT_TYPE.DELETEMPOSDATA, "删除数据失败.");

            }
            //console.log('VPOS开始执行删除数据完毕：' + Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
        });
    };

    //执行事务
    exports.execTransactionData = function (e) {
        fgDB.transaction(function (tx) {
            var sqlArr = e.data.sqlArr;
            var len = sqlArr.length;
            for (var i = 0; i < len; i++) {
                var sArr = sqlArr[i];
                //console.log(sArr);
                if (sArr.length == 1) {
                    tx.executeSql(sArr[0]);
                } else if (sArr.length == 2) {
                    tx.executeSql(sArr[0], sArr[1]);
                } else {

                    mposConfig.sendFalse(e, EVENT_TYPE.TRANSACTIONDATA, "参数个数不正确.");
                }
            }
        }, function () {
            mposConfig.sendTrue(e, EVENT_TYPE.TRANSACTIONDATA, {'returnVal': 'ok',});
            //console.log('a');
        }, function (er) {
            mposConfig.sendFalse(e, EVENT_TYPE.TRANSACTIONDATA, "error");
            // console.log(er);
        });
    };

    //获取接口数据
    exports.getAPIData = function (e) {
        var requestUrl = webHostDownInterface;
        if(e.data.InterfaceName === '1') requestUrl = webHostOrderDownInterface; //微信
        else if(e.data.InterfaceName ==='2') requestUrl =webHostPayInterface; //支付
        else if(e.data.InterfaceName === '3') requestUrl =webHostSynDataInterface;//同步
        else if(e.data.InterfaceName === '4') requestUrl =webHostVersionInterface;
        else if(e.data.InterfaceName === '5') requestUrl =webTakeoutHost; //外卖
        var postUrl=requestUrl +  e.data.apiMethodURL+'?time='+ new Date().getTime();
        //var postUrl=webHostDownInterface +  e.data.apiMethodURL+'?time='+ new Date().getTime();
        console.log(e.data.InterfaceName);
        //console.log(postUrl);

        if(e.data.requestType==='get'){
            // var params = [];
            // var dataParam = e.data.dataParam;
            // for(var paramKey in dataParam) {
            //     if(dataParam.hasOwnProperty(paramKey))
            //         params.push(paramKey + "=" + dataParam[paramKey]);
            // }
            // if(params.length>0){
            //     postUrl += '&'+params.join("&");
            // }
            // // window.location.href=postUrl;
            //
            // var href = postUrl;//window.URL.createObjectURL(tmpDown); //创建对象超链接
            // var a = document.createElement("a");
            // // a.download='会员资料';
            // a.href = href; //绑定a标签
            // a.click();//模拟点击实现下载


            nativeGetRequest(postUrl,e.data.dataParam, function(result) {//
                // console.log(result);
                // console.log('VPOS结束读取接口数据A：' + Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
                mposConfig.sendTrue(e, EVENT_TYPE.WEBAPIDATA, {'returnVal': result,});

            }, function(err) {
                // console.log(err);
                // console.log('VPOS结束读取接口数据B：' + Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
                mposConfig.sendFalse(e, EVENT_TYPE.WEBAPIDATA, "error");
            }, 30000);
        }else {
            nativePostRequest(postUrl,e.data.dataParam, function(result) {//nativeGetRequest
                // console.log(result);
                // console.log('VPOS结束读取接口数据A：' + Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
                mposConfig.sendTrue(e, EVENT_TYPE.WEBAPIDATA, {'returnVal': result,});

            }, function(err) {
                // console.log(err);
                // console.log('VPOS结束读取接口数据B：' + Ext.Date.format(new Date(), 'Y-m-d H:i:s'))
                mposConfig.sendFalse(e, EVENT_TYPE.WEBAPIDATA, "error");
            }, 30000);
        }

    };

    exports.evalMethod=function(e) {
        if (e.data.methodName == "refreshData") {
            /* 刷新商品数据 */
            if(e.data.dataParam.type === "commodity") sendCommodityUpdate();
            mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EVALMETHOD, {'returnVal':{'state':true}});
        }else if(e.data.methodName=="downloadImg"){
            if (window.downloadImg){
                var src=webHostImagePath + e.data.dataParam.logo + "@400w_300h_100Q_c_0";
                downloadImg(e.data.dataParam.commodityId+".png",src);
            } else if(isAndroidSys()) {
                try {
                    var logo = e.data.dataParam.logo;
                    if(logo.startWith("/")) logo = logo.substr(1);
                    var src = webHostImagePath + logo + "@400w_300h_100Q_c_0";
                    new AndroidImageUtil(seller.id, e.data.dataParam.commodityId, src, LoadDataDao.dealImage).load();
                } catch(err) {console.log(err);}
            }
		    mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EVALMETHOD, {'returnVal':{'state':true}});
        }else if(e.data.methodName=="resetPrintTemplate"){
              PrintTemplateDao.resetPrintTemplate(function(success){
                  if(success){
                      mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EVALMETHOD, {'returnVal':{'state':true}});
                  }else{
                      mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EVALMETHOD, {'returnVal':{'state':false}});
                  }
              });
        }else if(e.data.methodName=="resetPrintTemplateByType"){
               //获取打印模板信息
              PrintTemplateDao.resetPrintTemplateByType(e.data.dataParam.ticketType, function (success, items) {
                  if(success){
                      mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EVALMETHOD, {'returnVal':{'state':true}});
                  }else{
                      mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EVALMETHOD, {'returnVal':{'state':false}});
                  }
              });
        }else if(e.data.methodName=="isPrintTemplateChange"){
    	    //获取打印模板信息
              PrintTemplateDao.isPrintTemplateChange(function (success) {
                  if(success){
                      mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EVALMETHOD, {'returnVal':{'state':true}});
                  }else{
                      mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EVALMETHOD, {'returnVal':{'state':false}});
                  }
              });
        }else if(e.data.methodName=="updatePrintTemplateFromDefault"){
              PrintTemplateDao.updatePrintTemplateFromDefault(function(success2){
                  if(success2){
                      mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EVALMETHOD, {'returnVal':{'state':true}});
                  }else{
                      mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EVALMETHOD, {'returnVal':{'state':false}});
                  }
              });
        } else {
              //
              var paramArr = [];
              var paramStr = '';
              var dataParam = e.data.dataParam;
              if (dataParam != {}) {
                  for (var keys in dataParam) {
                      var param = dataParam[keys];
                      if (typeof param == 'string') {
                          if (param[0] == "'")
                              param = '"' + param + '"';
                          else
                              param = "'" + param + "'";
                      }
                      paramArr.push(param);
                  }
                  paramStr = paramArr.join(',');
              }
              console.warn('执行代码: ' + e.data.methodName + '(' + paramStr + ')');
              eval(e.data.methodName + '(' + paramStr + ')')
        }
    }
    //获取接口数据
    exports.downloadFile = function (e) {
        var requestUrl = webHostDownInterface;

        var postUrl=requestUrl +  e.data.apiMethodURL+'?time='+ new Date().getTime();
        var params = [];
        var dataParam = e.data.dataParam;
        for(var paramKey in dataParam) {
            if(dataParam.hasOwnProperty(paramKey))
                params.push(paramKey + "=" + dataParam[paramKey]);
        }
        if(params.length>0){
            postUrl += '&'+params.join("&");
        }

        var href = postUrl;//window.URL.createObjectURL(tmpDown); //创建对象超链接
        var a = document.createElement("a");
        // a.download='会员资料';
        a.href = href; //绑定a标签
        a.click();//模拟点击实现下载
    };

    //进入MPos
    exports.enterMPos = function (e) {
        SellerEmployeeDao.loadMposPermission(seller.id, function (success, infos) {
            if (success) {
                var parentGroup = {};
                var parentHideList = [];
                var childHideList = [];
                for (var isi = 0; isi < infos.length; isi++) {
                    var info = infos[isi];
                    var parentId = info.parentNavId;
                    if (!parentGroup[parentId]) parentGroup[parentId] = [];
                    if (info.status == '9') {
                        childHideList.push(info.navId);
                    } else if (parentGroup[parentId]) {
                        parentGroup[parentId].push(info.navId);
                    } else {
                        parentGroup[parentId] = [];
                        parentGroup[parentId].push(info.navId);
                    }
                }

                for (var keys in parentGroup) {
                    if (parentGroup[keys].length == 0) {
                        parentHideList.push(keys);
                    }
                }
                console.warn(parentHideList);
                console.warn(childHideList);
                mposConfig.sendTrue(e, EVENT_TYPE.ENTERMPOS, {'parentHideList' : parentHideList, 'childHideList' : childHideList});
            }
        });
    };
    exports.updateVPosData = function(e) {
    	var updateData = e.data;
        var updateTarget = updateData.target;
        if(!(updateTarget in window)) return;
        var updateValue = updateData.value;
    	if(window[updateTarget] instanceof Ext.util.HashMap){
    	    var updateKey=updateData.key;
            window[updateTarget].replace(updateKey,updateValue);
        }else if(typeof window[updateTarget] === 'object') {
            for(var key in updateValue) {
                if(updateValue.hasOwnProperty(key))
                    window[updateTarget][key] = updateValue[key];
            }
        } else {
            window[updateTarget] = updateValue;   // 基本类型数据
        }
    };
    exports.getWinVPosData = function(e) {
        try {
            var getWinProperty = e.data.value[0];
            mposConfig.sendTrue(e, MPOS_EVENT_TYPE.GETWINVPOSDATA, {
                'returnVal': window[getWinProperty]
            });
        } catch(err) {}
    };
    exports.exportFile = function(e) {
        try {
            var exportData = e.data;
            var data = exportData.data ;
            var filename = exportData.filename;
            var dirname = exportData.dirname;
            var sheetname = exportData.sheetname;
            showToast("正在导出到下载目录, 请稍候...");
            if(filename.endWith(".zip") || filename.endWith(".xlsx") || filename.endWith(".xls")) {
                var exportFileSystem = new FileSystem("sdcard", "persistent");
                exportFileSystem.root.getDirectory(dirname, {create:true,exclusive:false},
                    function(dirEntry) {
                        console.log(dirEntry);
                        dirEntry.getFile(filename, {create: true, exclusive: false},
                            function (fileEntry) {
                                fileEntry.createWriter(function (writer) {
                                    writer.onwriteend = function() {
                                        showToast("导出成功!");
                                        mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EXPORTFILE, {
                                            'returnVal': "ok"
                                        });
                                    };

                                    writer.onerror = function (e) {
                                        showToast("导出失败!");
                                        mposConfig.sendFalse(e, MPOS_EVENT_TYPE.EXPORTFILE, {
                                            'returnVal': "false"
                                        });
                                    };
                                    writer.write(data);
                                });
                            }, function() {});
                    },
                    function() {console.log(arguments);});
            } else {
                if(data && data.length > 0) data.splice(0, 1);
                /*  Modelo dos parâmetros
                    var data = [
                                    {id:"1", name:"claudio"} ,
                                    {id:"2", name:"marta"} ,
                                    {id:"3", name:"isabela"}
                               ];
                    dirname = "ExcelAPI";
                    filename = "file-example.xls";
                    sheetname = "Plan1";
                */
                //window.xls.save( data, dirname, filename, sheetname,
                window.cordova.plugins.CordovaSaveXLS.save(data, dirname, filename, sheetname,
                    function () {
                        mposConfig.sendTrue(e, MPOS_EVENT_TYPE.EXPORTFILE, {
                            'returnVal': "ok"
                        });
                    },
                    function (err) {
                        mposConfig.sendFalse(e, MPOS_EVENT_TYPE.EXPORTFILE, {
                            'returnVal': "false"
                        });
                    }
                );
            }
        } catch(err) {
            console.log(err);
        }
    };
})((function () {
    if (typeof exports === 'undefined') {
        window.mposService = {};
        return window.mposService;
    } else {
        return exports;
    }
})());
